# Entering network.mk

# Entering /lnx/work/pse/linux/920/src_020425/buildtools/mkfile/prefix.mk

# Entering /lnx/work/pse/linux/920/src_020425/buildtools/mkfile/defs.mk

SHELL=/bin/sh

AS_EXT=s
CC_EXT=cpp
LIB_EXT=a
OBJ_EXT=o
PLB_EXT=plb
SO_EXT=so
LOCK_EXT=lk
SQL_EXT=sql
SYM_EXT=sym
JAVA_EXT=java
CLASS_EXT=class
JAR_EXT=jar
ZIP_EXT=zip

LIB_PREFIX=lib
LDLIBFLAG=-l
LDPATHFLAG=-L
PATHSEP= :

AR=ar
AS=as
AWK=awk
CAT=cat
CC=cc
CCC=CC
CD=cd
CHMOD=chmod
CP=cp
CPP=cpp
DATE=date
ECHO=echo
ECHON=echo -n
EXEC=exec
FIND=find
FOLLOW=-follow
NOLEAF=-noleaf
GREP=grep
KILL=kill
SLEEP=sleep
LD=ld
LMAKE=make
LN=ln
LNS=ln -s
MKDIR=mkdir
MKDIRP=mkdir -p
MV=mv
NM=nm
PERL=perl
RM=rm
RMF=rm -f
RMRF=rm -rf
SED=sed
SORT=sort
TOUCH=touch
TR=tr
XARGS=xargs
LS=ls

NULL_DEVICE=/dev/null

BINDIR=bin
LIBDIR=lib
BINHOME=$(ORACLE_HOME)/$(BINDIR)/
LIBHOME=$(ORACLE_HOME)/$(LIBDIR)/

PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/
PRODLIBHOME=$(PRODHOME)$(LIBDIR)/
PRODSOHOME=$(PRODLIBHOME)

ECHODO=$(BINHOME)echodo
GENSYSLIB=$(BINHOME)gensyslib
GENCLNTSH=$(BINHOME)genclntsh
GENCLNTST=$(BINHOME)genclntst
GENAGTSH=$(BINHOME)genagtsh
GENNAFLG=$(BINHOME)gennaflg
GENAUTAB=$(BINHOME)genautab

ARCHIVE_OBJ=$(AR) r $@ $*.$(OBJ_EXT)
ARCREATE=$(AR) cr$(ARLOCAL)
ARDELETE=$(AR) d$(ARLOCAL)
AREXTRACT=$(AR) x 
ARPRINT=$(AR) t
ARREPLACE=$(AR) r 
DOAR=$(ARCREATE) $@ $? $(RANLIB)

JARCHIVE_OBJ=$(JAR) cv0f $@ $(JPKG_FILES) $(EXTRA_CLASS_FILES)
JARCREATE=$(JAR) cv0f
JARDELETE=$(ECHO) "no such thing"
JAREXTRACT=$(JAR) xf
JARPRINT=$(JAR) tvf
JARREPLACE=$(JAR) uf

CCARCREATE=$(CCC) -xar -o 

MAKE=$(LMAKE)
QUIET=>/dev/null 2>&1
QUIETE=2>/dev/null
SILENT=@

CTSCLEAN=clean
CTSCOMPTYPE=comp_ar1 _UNLOCK='$$(_unlock)' _LOCK='$$(_lock)' _RM='$$(_rm)' 
CTSDEPLIST=DEPLIST=/dev/null
CTSMAKEFLAGS=$(SILENT:@=--no-print-directory -s) $(CTSCLEAN) $(CTSCOMPTYPE) $(CTSDEPLIST)

CFLAGS=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
CFLAGSCC=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGSCC) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
PFLAGS=$(INCLUDE) $(SPFLAGS) $(LPFLAGS)

LD_SHARED_FLAG=$(SHARED_CFLAG)

LDCCOM=$(ADE_DEL_FILE_CMD) $(PURECMDS) $(CC) $(GFLAG) $(CCFLAGS) $(EXOSFLAGS) $(LDFLAGS)
LDCCOMCC=$(ADE_DEL_FILE_CMD) $(PURECMDS) $(CCC) $(GFLAG) $(CCFLAGSCC) $(EXOSFLAGS) $(LDFLAGS)
PURECMDS=$(PURELINK) $(PURIFY) $(PURECOV) $(QUANTIFY)
LINK=$(LDCCOM)
LINKCC=$(LDCCOMCC)
LDFLAGS=-o $@ $(LDPATHFLAG)$(PRODLIBHOME) $(LDPATHFLAG)$(LIBHOME)
LDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(EXSYSLIBS) $(MATHLIB) $(USRLIBS)
MATHLIB=-lm
LINKLDLIBS=$(LDLIBS)
COBLDLIBS=$(LDLIBS)

SYSLIBLIST=$(LIBHOME)sysliblist
SYSLIBS=`$(CAT) $(SYSLIBLIST)`

NAETTOBJS=$(NAUTAB) $(NAETAB) $(NAEDHS)
TTLIBD=$(NETLIBD) $(LIBRDBMS_CLT) $(LIBMM) $(CORELIBD) $(LIBEPC) $(LIBCLNTSH)
ORACLETTLIBS1=$(NTZEOBJ) $(NETLIBS) $(LLIBRDBMS_CLT) $(LLIBWTC) $(LLIBMM) $(CORELIBS)\
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT) $(LLIBEPC) $(CORELIBS) \
       $(LLIBRDBMS_CLT) $(CORELIBS)
ORACLETTLIBS=$(ORACLETTLIBS1)
STATICTTLIBS=$(ORACLETTLIBS) $(LDLIBS)
TTLIBS=$(LLIBCLNTSH) $(STATICTTLIBS)
DEVTTLIBS=$(TTLIBS)
LINKTTLIBS=$(LLIBCLNTSH) $(ORACLETTLIBS) $(LINKLDLIBS)
COBTTLIBS=$(ORACLETTLIBS) $(COBLDLIBS)

STATIC_ORACLETTLIBS=$(NTZEOBJ) $(NETLIBS) $(LIBRDBMS_CLT) \
    $(LIBMM) $(CORELIBS) $(NETLIBS) $(LIBRDBMS_CLT) $(LIBPLS_CLT) \
    $(LIBEPC) $(CORELIBS) $(LIBRDBMS_CLT) $(CORELIBS)

ORACLESTLIBS=$(SGL_ON) $(RDBMSLIB)kpufpd.$(OBJ_EXT) $(CONFIG) $(LLIBSERVER) \
	$(LLIBODM) $(LLIBSKGXP) $(NMLIBS) $(LLIBSKGXNI) \
	$(LLIBPLSF) $(LLIBSLAX) $(LLIBGENERIC) \
	$(LLIBCLIENT) $(LLIBCOMMON) $(LLIBWTC) $(LLIBMM) $(LLIBKNLOPT) $(LLIBPLSB)\
	$(LLIBSERVER) $(LLIBEXTP) $(NAUTAB) $(NAETAB) $(NAEDHS) $(NTZEOBJ) \
	$(NETLIBS) $(LLIBCLIENT) $(LLIBPLSF) $(LLIBICX) $(LLIBOWSUTL) \
	$(LLIBJAVAVMORJOX) $(NETLIBS) $(LLIBEPC) $(SDOLIBS) $(LLIBCORE) \
	$(LLIBVSN) $(LLIBCOMMON) $(LLIBGENERIC) $(LLIBKNLOPT) \
	$(CARTLIBS) $(LLIBUNLSRTL) $(LLIBSNLSRTL) $(CORELIBS) $(LLIBNLSRTL) \
	$(LLIBWWG) $(LLIBOCIJDBC) $(LLIBXSD) $(CORELIBS)
STLIBS=$(ORACLESTLIBS) $(LDLIBS)
LINKSTLIBS=$(ORACLESTLIBS) $(LINKLDLIBS)

SHARED_CLIENTLIBS=$(LLIBCLNTSH) $(LDFLAGSLIST)
STATIC_CLIENTLIBS=$(LLIBCLNTST) $(LDFLAGSLIST)
SHARED_LDCLIENTLIBS=$(SHARED_CLIENTLIBS) $(LDLIBS)
STATIC_LDCLIENTLIBS=$(STATIC_CLIENTLIBS) $(LDLIBS)

I_SYM=-I

# Exiting /lnx/work/pse/linux/920/src_020425/buildtools/mkfile/defs.mk
# Entering /lnx/work/pse/linux/920/src_020425/buildtools/mkfile/platform.mk

FAMILY=unix
PLATFORM=linux

MOTIFHOME=
OPENWINHOME=
GUILIBHOME= 

DIRSEP=/

SO_EXT=so

GMAKE=make
LMAKE=make
FIND=/usr/bin/find 
PS=ps -feda
RANLIB=echo

ARCHIVE=@`if echo ${LIB} | grep lib > /dev/null 2>&1;then $(ARCREATE) $(LIB) $? ; $(RANLIB) $(LIB) ; else echo ""; fi`

JARCHIVE=@`if echo ${JLIB} | egrep '\.jar' > /dev/null 2>&1;then $(JARCREATE) $(JLIB) $? ; else echo ""; fi`

GROUP=/etc/group

LDFLAGS=-o $@ $(LDPATHFLAG)$(PRODLIBHOME) $(LDPATHFLAG)$(LIBHOME) $(LDPATHFLAG)$(LIBHOME)stubs/
LINK=$(PURECMDS) gcc $(LDFLAGS) $(COMPSOBJS)

LLIBTHREAD=

MOTIFLIBS= -lXm -lXt -lX11 -lgen -lm -lXext -lX11 -lm
XLIBS=
EXOSFLAGS=

COMPOBJS=

SHAREDLIBPATH = -Wl,-rpath,$(ORACLE_HOME)/lib
EXSYSLIBS=-ldl

LLPPATH=$(LD_LIBRARYPATH)
LINKEXSYSLIBS= $(SHAREDLIBPATH):/lib:/usr/lib

LINKLDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(LINKEXSYSLIBS) $(MATHLIB) $(USRLIBS) $(LDLIBS) $(COMPEOBJS)

OPTIMIZE3=-O3
OPTIMIZE6=-O6
OPTIMIZE=$(OPTIMIZE3)
OPTIMIZE0=-O0
OPTIMIZEG=-g

ROFLAGS=-c
SPFLAGS=-DLINUX -D_GNU_SOURCE -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -DSLTS_ENABLE -DSLMXMX_ENABLE -D_REENTRANT -DNS_THREADS

AR=/usr/bin/ar
AS=/usr/bin/as
LD=/usr/bin/ld
NM=/usr/bin/nm
TR=/bin/tr
CPP=/lib/cpp
CHMOD=/bin/chmod
CHGRP=/bin/chgrp
CHOWN=/bin/chown

KPIC_OPTION=-fPIC

CCC=/usr/bin/g++
CCFLAGSCC=-DOCCI_NO_WSTRING=1
CCARCREATE=$(AR) cr$(ARLOCAL)

ASPFLAGS=
NOKPIC_ASFLAGS=
ASFLAGS=
ASRO=$(AS) $<
ASROFLAGS=$(ASFLAGS)

ANSI=-ansi

COMPXA=$(subst -ansi,,$(COMPO))
COMPXACC=$(subst -ansi,,$(COMPOCC))


SHARED_LDFLAG=-shared -L$(ORACLE_HOME)/lib -o
SHARED_CFLAG=

NOKPIC_CCFLAGS=-trigraphs


# Exiting /lnx/work/pse/linux/920/src_020425/buildtools/mkfile/platform.mk
# Entering /lnx/work/pse/linux/920/src_020425/buildtools/mkfile/rules.mk
 
# Exiting /lnx/work/pse/linux/920/src_020425/buildtools/mkfile/rules.mk
# Exiting /lnx/work/pse/linux/920/src_020425/buildtools/mkfile/prefix.mk
# Entering /lnx/work/pse/linux/920/src_020425/rdbms/exports.mk


RDBMS_VERSION = 9

LIBCLNTSTNAME=clntst$(RDBMS_VERSION)
LIBCLNTST=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSTNAME).$(LIB_EXT)
LLIBCLNTST=$(LDLIBFLAG)$(LIBCLNTSTNAME)

LIBSERVERNAME=server$(RDBMS_VERSION)
LIBSERVER=$(LIBHOME)$(LIB_PREFIX)$(LIBSERVERNAME).$(LIB_EXT)
LLIBSERVER=$(LDLIBFLAG)$(LIBSERVERNAME)$(LIB_SUFFIX)

LIBCLIENTNAME=client$(RDBMS_VERSION)
LIBCLIENT=$(LIBHOME)$(LIB_PREFIX)$(LIBCLIENTNAME).$(LIB_EXT)
LLIBCLIENT=$(LDLIBFLAG)$(LIBCLIENTNAME)

LIBGENERICNAME=generic$(RDBMS_VERSION)
LIBGENERIC=$(LIBHOME)$(LIB_PREFIX)$(LIBGENERICNAME).$(LIB_EXT)
LLIBGENERIC=$(LDLIBFLAG)$(LIBGENERICNAME)

LIBSKGXPNAME=skgxp$(RDBMS_VERSION)
LIBSKGXP=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXPNAME).$(SKGXP_EXT)
LLIBSKGXP=$(LDLIBFLAG)$(LIBSKGXPNAME)

SKGXN_VERSION=2
LIBSKGXNNAME=skgxn$(SKGXN_VERSION)
LIBSKGXN=$(ORACLUSTERDIR)$(LIB_PREFIX)$(LIBSKGXNNAME).$(SKGXN_EXT)
LLIBSKGXN=$(LDLIBFLAG)$(LIBSKGXNNAME)
LIBSKGXNINAME=skgxn$(RDBMS_VERSION)
LIBSKGXNI=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXNINAME).$(SKGXN_EXT)
LLIBSKGXNI=$(LDLIBFLAG)$(LIBSKGXNINAME)

LIBOCCINAME=occi
LIBOCCI=$(LIBHOME)$(LIB_PREFIX)$(LIBOCCINAME)$(RDBMS_VERSION).$(LIB_EXT)
LLIBOCCI=$(LDLIBFLAG)$(LIBOCCINAME)$(RDBMS_VERSION)
LLIBOCCISTATIC=$(LDLIBFLAG)$(LIBOCCINAME)$(RDBMS_VERSION)

LIBSKGXP_CLT=
LLIBSKGXP_CLT=

LIBCOMMONNAME=common$(RDBMS_VERSION)
LIBCOMMON=$(LIBHOME)$(LIB_PREFIX)$(LIBCOMMONNAME).$(LIB_EXT)
LLIBCOMMON=$(LDLIBFLAG)$(LIBCOMMONNAME)

LIBVSNNAME=vsn$(RDBMS_VERSION)
LIBVSN=$(LIBHOME)$(LIB_PREFIX)$(LIBVSNNAME).$(LIB_EXT)
LLIBVSN=$(LDLIBFLAG)$(LIBVSNNAME)

LIBAGENTNAME=agent$(RDBMS_VERSION)
LIBAGENT=$(LIBHOME)$(LIB_PREFIX)$(LIBAGENTNAME).$(LIB_EXT)
LLIBAGENT=$(LDLIBFLAG)$(LIBAGENTNAME)

LIBDBTOOLSNAME=dbtools$(RDBMS_VERSION)
LIBDBTOOLS=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDBTOOLSNAME).$(LIB_EXT)
LLIBDBTOOLS=$(LDLIBFLAG)$(LIBDBTOOLSNAME)

LIBWTCNAME=wtc$(RDBMS_VERSION)
LIBWTC=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCNAME).$(LIB_EXT)
LLIBWTC=$(LDLIBFLAG)$(LIBWTCNAME)

LIBWTCSERVERNAME=wtcserver$(RDBMS_VERSION)
LIBWTCSERVER=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCSERVERNAME).$(LIB_EXT)
LLIBWTCSERVER=$(LDLIBFLAG)$(LIBWTCSERVERNAME)

DLMHOME=$(ORACLE_HOME)/odlm/

LIBMMNAME=mm
LIBMM=$(LIBHOME)$(LIB_PREFIX)$(LIBMMNAME).$(LIB_EXT)
LLIBMM=$(LDLIBFLAG)$(LIBMMNAME)


LIBRDBMS_CLT=$(LIBCLIENT) $(LIBSKGXP_CLT) $(LIBVSN) $(LIBWTC) $(LIBCOMMON) \
	$(LIBGENERIC)
LLIBRDBMS_CLT=$(LLIBCLIENT) $(LLIBSKGXP_CLT) $(LLIBVSN) $(LLIBWTC) \
	$(LLIBCOMMON) $(LLIBGENERIC)

LIBRDBMS_SERVER=$(LIBCLIENT) $(LIBSKGXP_CLT) $(LIBVSN) $(LIBWTCSERVER) \
	$(LIBCOMMON) $(LIBGENERIC)
LLIBRDBMS_SERVER=$(LLIBCLIENT) $(LLIBSKGXP_CLT) $(LLIBVSN) $(LLIBWTCSERVER) \
	$(LLIBCOMMON) $(LLIBGENERIC)

LIBCLNTSHNAME=clntsh
LIBCLNTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSHNAME).$(SO_EXT)
LLIBCLNTSH=$(LDLIBFLAG)$(LIBCLNTSHNAME)

LIBAGTSHNAME=agtsh
LIBAGTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBAGTSHNAME).$(SO_EXT)
LLIBAGTSH=$(LDLIBFLAG)$(LIBAGTSHNAME)

LIBSHWTC=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCNAME).$(SO_EXT)
LLIBSHWTC=$(LDLIBFLAG)$(LIBWTCNAME)

LIBKNLOPTNAME=knlopt
LIBKNLOPT=$(RDBMSLIB)$(LIB_PREFIX)$(LIBKNLOPTNAME).$(LIB_EXT)
LLIBKNLOPT=$(LDLIBFLAG)$(LIBKNLOPTNAME)

CONFIG = $(RDBMSLIB)config.$(OBJ_EXT)



LLIBORDSDO=$(LDLIBFLAG)$(LIBORDSDONAME)$(LIB_SUFFIX)
SDOLIBS = `if ${AR} tv $(LIBKNLOPT) | $(GREP) "kxmnsd.$(OBJ_EXT)" > /dev/null 2>&1 ; then echo " " ; else echo "${LLIBORDSDO}"; fi`

DEF_ON= $(RDBMSLIB)kpudfo.$(OBJ_EXT)
DEF_OFF= $(RDBMSLIB)kpundf.$(OBJ_EXT)
DEF_OPT= $(RDBMSLIB)defopt.$(OBJ_EXT)

RDBMSHOME=$(ORACLE_HOME)/rdbms/
RDBMSLIB=$(RDBMSHOME)$(LIBDIR)/
RDBMSADMIN=$(RDBMSHOME)admin/

ORAMAPLIB=$(RDBMSLIB)

LIBNIDNAME=nid
LIBNID=$(RDBMSLIB)$(LIB_PREFIX)$(LIBNIDNAME).$(LIB_EXT)
LLIBNID=$(LDLIBFLAG)$(LIBNIDNAME)

# Entering /lnx/work/pse/linux/920/src_020425/rdbms/s_exports.mk


SKGXP_EXT=$(SO_EXT)



SKGXN_EXT=$(SO_EXT)


SKGXN_VERSION=9
LLIBOCCI=$(LDLIBFLAG)$(LIBOCCINAME)
LIBOCCI=$(LIBHOME)$(LIB_PREFIX)$(LIBOCCINAME).$(SO_EXT).$(RDBMS_VERSION).0

# Exiting /lnx/work/pse/linux/920/src_020425/rdbms/s_exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/rdbms/exports.mk
# Entering /lnx/work/pse/linux/920/src_020425/oracore/exports.mk

COREHOME    = $(ORACLE_HOME)/oracore/
ORACOREHOME = $(COREHOME)



CORE_LIB_NAME     = core
CORE_LIB_VER      = 9
CORE_LIB          = $(CORE_LIB_NAME)$(CORE_LIB_VER)

LIBCORE_STATIC    = $(LIB_PREFIX)$(CORE_LIB).$(LIB_EXT)
LIBCORE_SHARED    = $(LIB_PREFIX)$(CORE_LIB).$(SO_EXT)
LIBCORE_SLH       = $(LIB_PREFIX)$(CORE_LIB).$(ILIB_EXT)

LIBCORE           = $(LIBHOME)$(LIBCORE_STATIC)
LLIBCORE          = $(LDLIBFLAG)$(CORE_LIB)

LIBCORE_ARC_LIB   = $(LIBCORE)
LIBCORE_SHARE_LIB = $(LIBHOME)$(LIBCORE_SHARED)


SLTS_LIB_NAME     = slts
SLTS_LIB_VER      = $(CORE_LIB_VER)
SLTS_LIB          = $(SLTS_LIB_NAME)$(SLTS_LIB_VER)

LIBSLTS_STATIC    = $(LIB_PREFIX)$(SLTS_LIB).$(LIB_EXT)
LIBSLTS_SHARED    = $(LIB_PREFIX)$(SLTS_LIB).$(SO_EXT)
LIBSLTS_SLH       = $(LIB_PREFIX)$(SLTS_LIB).$(ILIB_EXT)

LIBSLTS           = $(LIBHOME)$(LIBSLTS_STATIC)
LLIBSLTS          = $(LDLIBFLAG)$(SLTS_LIB)

LIBSLTS_ARC_LIB   = $(LIBSLTS)
LIBSLTS_SHARE_LIB = $(LIBHOME)$(LIBSLTS_SHARED)


SLF_LIB_NAME     = slf
SLF_LIB_VER      = $(CORE_LIB_VER)
SLF_LIB          = $(SLF_LIB_NAME)$(SLF_LIB_VER)

LIBSLF_STATIC    = $(LIB_PREFIX)$(SLF_LIB).$(LIB_EXT)
LIBSLF_SHARED    = $(LIB_PREFIX)$(SLF_LIB).$(SO_EXT)
LIBSLF_SLH       = $(LIB_PREFIX)$(SLF_LIB).$(ILIB_EXT)

LIBSLF           = $(LIBHOME)$(LIBSLF_STATIC)
LLIBSLF          = $(LDLIBFLAG)$(SLF_LIB)

LIBSLF_ARC_LIB   = $(LIBSLF)
LIBSLF_SHARE_LIB = $(LIBHOME)$(LIBSLF_SHARED)


XB8_LIB_NAME     = xb8
XB8_LIB_VER      = $(CORE_LIB_VER)
XB8_LIB          = $(XB8_LIB_NAME)$(XB8_LIB_VER)

LIBXB8_STATIC    = $(LIB_PREFIX)$(XB8_LIB).$(LIB_EXT)
LIBXB8_SHARED    = $(LIB_PREFIX)$(XB8_LIB).$(SO_EXT)
LIBXB8_SLH       = $(LIB_PREFIX)$(XB8_LIB).$(ILIB_EXT)

LIBXB8           = $(LIBHOME)$(LIBXB8_STATIC)
LLIBXB8          = $(LDLIBFLAG)$(XB8_LIB)

LIBXB8_ARC_LIB   = $(LIBXB8)
LIBXB8_SHARE_LIB = $(LIBHOME)$(LIBXB8_SHARED)


LEH_LIB_NAME     = leh
LEH_LIB_VER      = $(CORE_LIB_VER)
LEH_LIB          = $(LEH_LIB_NAME)$(LEH_LIB_VER)

LIBLEH_STATIC    = $(LIB_PREFIX)$(LEH_LIB).$(LIB_EXT)
LIBLEH_SHARED    = $(LIB_PREFIX)$(LEH_LIB).$(SO_EXT)
LIBLEH_SLH       = $(LIB_PREFIX)$(LEH_LIB).$(ILIB_EXT)

LIBLEH           = $(LIBHOME)$(LIBLEH_STATIC)
LLIBLEH          = $(LDLIBFLAG)$(LEH_LIB)

LIBLEH_ARC_LIB   = $(LIBLEH)
LIBLEH_SHARE_LIB = $(LIBHOME)$(LIBLEH_SHARED)


LIB816  = /oracore/sun5/8.1.6.0.0/lib
CORE816 = $(LIB816)/$(LIBCORE_STATIC)
NLS816  = $(LIB816)/$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)


LIB817  = /oracore/sun5/8.1.7.0.0/lib
CORE817 = $(LIB817)/$(LIBCORE_STATIC)
NLS817  = $(LIB817)/$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)


S0MAIN   = $(LIBHOME)s0main.$(OBJ_EXT)
S1MAIN_C = $(COREHOME)src/corehl/lpm/sosd/main/s1main.c
SCOREPT  = $(LIBHOME)scorept.$(OBJ_EXT)
SSCOREED = $(LIBHOME)sscoreed.$(OBJ_EXT)

COREPUBLIC=$(COREHOME)include $(COREHOME)public/ $(XDKPUBLIC)

ORACOREPUBH=$(I_SYM)$(COREHOME)include $(I_SYM)$(COREHOME)public $(I_SYM)$(COREHOME)port/include $(XDKPUBH)


CORELIBD = $(LIBNLSRTL) $(LIBCV6) $(LIBCORE) $(LIBNLSRTL) $(LIBCORE) \
             $(LIBNLSRTL)  $(LIBUNLSRTL) $(LIBNLSRTL)
CORELIBS = $(LLIBNLSRTL) $(LLIBCV6) $(LLIBCORE) $(LLIBNLSRTL) $(LLIBCORE) \
             $(LLIBNLSRTL) $(LLIBXML) $(LLIBCORE) $(LLIBUNLSRTL) $(LLIBNLSRTL)


# Entering /lnx/work/pse/linux/920/src_020425/oracore/s_exports.mk
 
# Exiting /lnx/work/pse/linux/920/src_020425/oracore/s_exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/oracore/exports.mk
# Entering /lnx/work/pse/linux/920/src_020425/nlsrtl/exports.mk

NLSRTLHOME= $(ORACLE_HOME)/nlsrtl/


ORA_NLS = $(ORACLE_HOME)/ocommon/nls/admin/data/
ORA_NLS33 = $(ORACLE_HOME)/ocommon/nls/admin/data/

NLSRTL_VERSION = 9
NLSRTL_DEBUG_LIBTAG = 

LIBNLSRTLNAME = nls$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)
LLIBNLSRTL= $(LDLIBFLAG)$(LIBNLSRTLNAME)$(LIB_SUFFIX)

LIBUNLSRTLNAME = unls$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBUNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBUNLSRTLNAME).$(LIB_EXT)
LLIBUNLSRTL= $(LDLIBFLAG)$(LIBUNLSRTLNAME)$(LIB_SUFFIX)

LIBSNLSRTLNAME = snls$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBSNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBSNLSRTLNAME).$(LIB_EXT)
LLIBSNLSRTL= $(LDLIBFLAG)$(LIBSNLSRTLNAME)$(LIB_SUFFIX)

NLSRTLPUBH = $(I_SYM)$(NLSRTLHOME)include


GSSHOME = $(ORACLE_HOME)/nlsrtl3/java
GSSCLASSES11 = $(GSSHOME)/lib/gss-1_1.zip
GSSCLASSES12 = $(GSSHOME)/lib/gss-1_2.zip
GSSCHARSET11 = $(GSSHOME)/lib/gss_charset-1_1.zip
GSSCHARSET12 = $(GSSHOME)/lib/gss_charset-1_2.zip

# Entering /lnx/work/pse/linux/920/src_020425/nlsrtl/s_exports.mk


# Exiting /lnx/work/pse/linux/920/src_020425/nlsrtl/s_exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/nlsrtl/exports.mk
# Entering /lnx/work/pse/linux/920/src_020425/plsql/exports.mk

PLSQL_VERSION=9

WRAP=$(BINHOME)wrap

LIBPLSNAME=pls
LIBPLSN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPLS=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION) 
LIBPLSNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(SO_EXT)
ILIBPLSN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(ILIB_EXT)
LIBPLPNAME=plp
LIBPLPN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPLP=$(LDLIBFLAG)$(LIBPLPNAME)$(PLSQL_VERSION)
LIBPLPNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(SO_EXT)
ILIBPLPN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(ILIB_EXT)
LIBPLCNAME=plc
LIBPLCN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPLC=$(LDLIBFLAG)$(LIBPLCNAME)$(PLSQL_VERSION)
LIBPLCSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(SO_EXT)
ILIBPLCN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(ILIB_EXT)

LIBEXTP=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBEXTP=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION)

LIBPLSF=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION).$(LIB_EXT) 
LLIBPLSF=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION) $(LDLIBFLAG)$(LIBPLPNAME)$(PLSQL_VERSION)

LIBPLSB=$(LIBHOME)$(LIBPLSNAME)$(PLSQL_VERSION)
LLIBPLSB=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION)

PLSQLLIBS=$(LIBPLSN) $(LIBPLPN)
LPLSQLLIBS=$(LLIBPLS)


LLIBPLSQL= $(LPLSQLLIBS) $(LLIBPLP)

LIBPSANAME=psa
LIBICD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBICD=$(LDLIBFLAG)$(LIBPLPNAME)$(PLSQL_VERSION)
LIBPSD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPSD=$(LDLIBFLAG)$(LIBPLCNAME)$(PLSQL_VERSION)
LIBPSA=$(LIBHOME)$(LIB_PREFIX)$(LIBPSANAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPSA=$(LDLIBFLAG)$(LIBPSANAME)$(PLSQL_VERSION)

PLSQLHOME=$(ORACLE_HOME)/plsql/

# Entering /lnx/work/pse/linux/920/src_020425/plsql/s_exports.mk
 
# Exiting /lnx/work/pse/linux/920/src_020425/plsql/s_exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/plsql/exports.mk
# Entering /lnx/work/pse/linux/920/src_020425/otrace/exports.mk

TRACE_VERSION=9

LIBTRACENAME=trace$(TRACE_VERSION)
LIBTRACE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACENAME).$(LIB_EXT)
LLIBTRACE=$(LDLIBFLAG)$(LIBTRACENAME)$(LIB_SUFFIX)
LIBEPC=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACENAME).$(LIB_EXT)
LLIBEPC=$(LDLIBFLAG)$(LIBTRACENAME)$(LIB_SUFFIX)

LIBTRACEPTNAME=tracept$(TRACE_VERSION)
LIBTRACEPT=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPTNAME).$(LIB_EXT)
LLIBTRACEPT=$(LDLIBFLAG)$(LIBTRACEPTNAME)$(LIB_SUFFIX)
LIBEPCPT=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPTNAME).$(LIB_EXT)
LLIBEPCPT=$(LDLIBFLAG)$(LIBTRACEPTNAME)$(LIB_SUFFIX)

LIBTRACEFENAME=tracefe$(TRACE_VERSION)
LIBTRACEFE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEFENAME).$(LIB_EXT)
LLIBTRACEFE=$(LDLIBFLAG)$(LIBTRACEFENAME)$(LIB_SUFFIX)
LIBEPCFE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEFENAME).$(LIB_EXT)
LLIBEPCFE=$(LDLIBFLAG)$(LIBTRACEFENAME)$(LIB_SUFFIX)

LIBTRACEPLSNAME=tracepls$(TRACE_VERSION)
LIBTRACEPLS=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPLSNAME).$(LIB_EXT)
LLIBTRACEPLS=$(LDLIBFLAG)$(LIBTRACEPLSNAME)$(LIB_SUFFIX)
LIBEPCPLS=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPLSNAME).$(LIB_EXT)
LLIBEPCPLS=$(LDLIBFLAG)$(LIBTRACEPLSNAME)$(LIB_SUFFIX)

# Entering /lnx/work/pse/linux/920/src_020425/otrace/s_exports.mk

# Exiting /lnx/work/pse/linux/920/src_020425/otrace/s_exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/otrace/exports.mk
# Entering /lnx/work/pse/linux/920/src_020425/oemagent/exports.mk

# Entering /lnx/work/pse/linux/920/src_020425/oemagent/s_exports.mk

OEMAGENTLIB64 = $(OEMAGENTHOME)lib64/

LLLIBTCL = tcl
LLIBTCL = $(LDLIBFLAG)$(LLLIBTCL)
LIBTCL = $(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBTCL).$(LIB_EXT)
LIBTCL_COPY = $(CP) $(OEMAGENTTCLSRC)$(LIB_PREFIX)$(LLLIBTCL).$(LIB_EXT) $(LIBTCL)
 
LLLIBPEER = peer
LLIBPEER = $(LDLIBFLAG)$(LLLIBPEER)
LIBPEER = $(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBPEER).$(LIB_EXT)
PEERLIB_EXT = $(LIB_EXT)

# Exiting /lnx/work/pse/linux/920/src_020425/oemagent/s_exports.mk

LLLIBNMU=nmu
LLIBNMU=$(LDLIBFLAG)$(LLLIBNMU)
LIBNMU=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMU).$(LIB_EXT)
LIBNMU_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMU).$(ILIB_EXT)
LIBNMU_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMU).$(EXP_EXT)
LIBNMU_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBNMU).$(SO_EXT)

LLLIBNMI=nmi
LLIBNMI=$(LDLIBFLAG)$(LLLIBNMI)
LIBNMI=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMI).$(LIB_EXT)
LIBNMI_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMI).$(ILIB_EXT)
LIBNMI_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMI).$(EXP_EXT)
LIBNMI_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBNMI).$(SO_EXT)


LLLIBNMC=nmc
LLIBNMC=$(LDLIBFLAG)$(LLLIBNMC)
LIBNMC=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMC).$(LIB_EXT)
LIBNMC_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMC).$(ILIB_EXT)
LIBNMC_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMC).$(EXP_EXT)
LIBNMC_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBNMC).$(SO_EXT)

LLLIBNMD=nmd
LLIBNMD=$(LDLIBFLAG)$(LLLIBNMD)
LIBNMD=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMD).$(LIB_EXT)
LIBNMD_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMD).$(ILIB_EXT)
LIBNMD_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMD).$(EXP_EXT)
LIBNMD_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBNMD).$(SO_EXT)

LLLIBNMS=nms
LLIBNMS=$(LDLIBFLAG)$(LLLIBNMS)
LIBNMS=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMS).$(LIB_EXT)
LIBNMS_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMS).$(ILIB_EXT)
LIBNMS_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMS).$(EXP_EXT)
LIBNMS_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBNMS).$(SO_EXT)

LLLIBNMS0=nms0
LLIBNMS0=$(LDLIBFLAG)$(LLLIBNMS0)
LIBNMS0=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMS0).$(LIB_EXT)
LIBNMS0_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMS0).$(ILIB_EXT)
LIBNMS0_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMS0).$(EXP_EXT)
LIBNMS0_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBNMS0).$(SO_EXT)

LLLIBNMSP=nmsp
LLIBNMSP=$(LDLIBFLAG)$(LLLIBNMSP)
LIBNMSP=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMSP).$(LIB_EXT)
LIBNMSP_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMSP).$(ILIB_EXT)
LIBNMSP_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMSP).$(EXP_EXT)
LIBNMSP_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBNMSP).$(SO_EXT)

LLLIBNMSE=nmse
LLIBNMSE=$(LDLIBFLAG)$(LLLIBNMSE)
LIBNMSE=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMSE).$(LIB_EXT)
LIBNMSE_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMSE).$(ILIB_EXT)
LIBNMSE_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMSE).$(EXP_EXT)
LIBNMSE_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBNMSE).$(SO_EXT)

LLLIBNMT=nmt
LLIBNMT=$(LDLIBFLAG)$(LLLIBNMT)
LIBNMT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMT).$(LIB_EXT)
LIBNMT_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMT).$(ILIB_EXT)
LIBNMT_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNMT).$(EXP_EXT)
LIBNMT_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBNMT).$(SO_EXT)

LLLIBNML=nml
LLIBNML=$(LDLIBFLAG)$(LLLIBNML)
LIBNML=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNML).$(LIB_EXT)
LIBNML_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNML).$(ILIB_EXT)
LIBNML_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBNML).$(EXP_EXT)
LIBNML_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBNML).$(SO_EXT)

LLLIBVPPDC=vppdc
LLIBVPPDC=$(LDLIBFLAG)$(LLLIBVPPDC)
LIBVPPDC=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPPDC).$(LIB_EXT)
LIBVPPDC_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPPDC).$(ILIB_EXT)
LIBVPPDC_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPPDC).$(EXP_EXT)
LIBVPPDC_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBVPPDC).$(SO_EXT)

LLLIBVPS=vps
LLIBVPS=$(LDLIBFLAG)$(LLLIBVPS)
LIBVPS=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPS).$(LIB_EXT)
LIBVPS_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPS).$(ILIB_EXT)
LIBVPS_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPS).$(EXP_EXT)
LIBVPS_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBVPS).$(SO_EXT)

LLLIBVDC=vdc
LLIBVDC=$(LDLIBFLAG)$(LLLIBVDC)
LIBVDC=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVDC).$(LIB_EXT)
LIBVDC_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVDC).$(ILIB_EXT)
LIBVDC_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVDC).$(EXP_EXT)
LIBVDC_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBVDC).$(SO_EXT)

LLLIBVPXDBA=vpxdba
LLIBVPXDBA=$(LDLIBFLAG)$(LLLIBVPXDBA)
LIBVPXDBA=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXDBA).$(LIB_EXT)
LIBVPXDBA_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXDBA).$(ILIB_EXT)
LIBVPXDBA_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXDBA).$(EXP_EXT)
LIBVPXDBA_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBVPXDBA).$(SO_EXT)

LLLIBVPXSAPR3=vpxsapr3
LLIBVPXSAPR3=$(LDLIBFLAG)$(LLLIBVPXSAPR3)
LIBVPXSAPR3=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXSAPR3).$(LIB_EXT)
LIBVPXSAPR3_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXSAPR3).$(ILIB_EXT)
LIBVPXSAPR3_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXSAPR3).$(EXP_EXT)
LIBVPXSAPR3_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBVPXSAPR3).$(SO_EXT)

LLLIBVPXOAFND=vpxoafnd
LLIBVPXOAFND=$(LDLIBFLAG)$(LLLIBVPXOAFND)
LIBVPXOAFND=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXOAFND).$(LIB_EXT)
LIBVPXOAFND_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXOAFND).$(ILIB_EXT)
LIBVPXOAFND_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXOAFND).$(EXP_EXT)
LIBVPXOAFND_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBVPXOAFND).$(SO_EXT)

LLLIBVPXAGENTDIAG=vpxagentdiag
LLIBVPXAGENTDIAG=$(LDLIBFLAG)$(LLLIBVPXAGENTDIAG)
LIBVPXAGENTDIAG=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXAGENTDIAG).$(LIB_EXT)
LIBVPXAGENTDIAG_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXAGENTDIAG).$(ILIB_EXT)
LIBVPXAGENTDIAG_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXAGENTDIAG).$(EXP_EXT)
LIBVPXAGENTDIAG_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBVPXAGENTDIAG).$(SO_EXT)

LLLIBVPXEAP=vpxeap
LLIBVPXEAP=$(LDLIBFLAG)$(LLLIBVPXEAP)
LIBVPXEAP=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXEAP).$(LIB_EXT)
LIBVPXEAP_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXEAP).$(ILIB_EXT)
LIBVPXEAP_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVPXEAP).$(EXP_EXT)
LIBVPXEAP_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBVPXEAP).$(SO_EXT)

LLLIBVDG = vdg
LLIBVDG = $(LDLIBFLAG)$(LLLIBVDG)
LIBVDG = $(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVDG).$(LIB_EXT)
LIBVDG_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVDG).$(ILIB_EXT)
LIBVDG_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVDG).$(EXP_EXT)
LIBVDG_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBVDG).$(SO_EXT)

LLLIBVDBJDBCEXT = VdbJdbcExt
LLIBVDBJDBCEXT = $(LDLIBFLAG)$(LLLIBVDBJDBCEXT)
LIBVDBJDBCEXT = $(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVDBJDBCEXT).$(LIB_EXT)
LIBVDBJDBCEXT_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVDBJDBCEXT).$(ILIB_EXT)
LIBVDBJDBCEXT_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBVDBJDBCEXT).$(EXP_EXT)
LIBVDBJDBCEXT_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBVDBJDBCEXT).$(SO_EXT)

LLLIBTVPXXML=tvpxxml
LLIBTVPXXML=$(LDLIBFLAG)$(LLLIBTVPXXML)
LIBTVPXXML=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBTVPXXML).$(LIB_EXT)
LIBTVPXXML_IMPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBTVPXXML).$(ILIB_EXT)
LIBTVPXXML_EXPORT=$(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBTVPXXML).$(EXP_EXT)
LIBTVPXXML_SHARED=$(PRODSOHOME)$(LIB_PREFIX)$(LLLIBTVPXXML).$(SO_EXT)


OEMAGENTHOME=$(ORACLE_HOME)/oemagent/
OEMAGENTLIB=$(OEMAGENTHOME)lib/
OEMAGENTBIN=$(OEMAGENTHOME)bin/

# Entering /lnx/work/pse/linux/920/src_020425/oemagent/s_exports.mk

OEMAGENTLIB64 = $(OEMAGENTHOME)lib64/

LLLIBTCL = tcl
LLIBTCL = $(LDLIBFLAG)$(LLLIBTCL)
LIBTCL = $(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBTCL).$(LIB_EXT)
LIBTCL_COPY = $(CP) $(OEMAGENTTCLSRC)$(LIB_PREFIX)$(LLLIBTCL).$(LIB_EXT) $(LIBTCL)
 
LLLIBPEER = peer
LLIBPEER = $(LDLIBFLAG)$(LLLIBPEER)
LIBPEER = $(OEMAGENTLIB)$(LIB_PREFIX)$(LLLIBPEER).$(LIB_EXT)
PEERLIB_EXT = $(LIB_EXT)

# Exiting /lnx/work/pse/linux/920/src_020425/oemagent/s_exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/oemagent/exports.mk
# Entering /lnx/work/pse/linux/920/src_020425/precomp/exports.mk

TOP=$(ORACLE_HOME)/precomp

PRECOMP_VERSION=9
LIBSQLNAME=sql$(PRECOMP_VERSION)
LLIBSQL=$(LDLIBFLAG)$(LIBSQLNAME)$(LIB_SUFFIX)
LIBSQL=$(LIBHOME)$(LIB_PREFIX)$(LIBSQLNAME).$(LIB_EXT)

PRECOMP_PRD=precomp
PRECOMPHOME=$(ORACLE_HOME)/precomp/
PRECOMPADMIN=$(PRECOMPHOME)admin/
PRECOMPLIB=$(PRECOMPHOME)$(LIBDIR)/

OTTCLASSESZIP=$(PRECOMPLIB)ottclasses.$(ZIP_EXT)

PRECOMPPUBH=$(I_SYM)$(PRECOMPHOME)public $(I_SYM)$(PRECOMPHOME)include

# Entering /lnx/work/pse/linux/920/src_020425/precomp/s_exports.mk
 
# Exiting /lnx/work/pse/linux/920/src_020425/precomp/s_exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/precomp/exports.mk
# Entering /lnx/work/pse/linux/920/src_020425/ldap/exports.mk

LDAP_VERSION=9

LIBGSLSSFNAME= gslssf$(LDAP_VERSION)
LLIBGSLSSF= $(LDLIBFLAG)$(LIBGSLSSFNAME)$(LIB_SUFFIX)
LIBGSLSSF= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSSFNAME).$(LIB_EXT)

LIBGSLSSBNAME= gslssb$(LDAP_VERSION)
LLIBGSLSSB= $(LDLIBFLAG)$(LIBGSLSSBNAME)$(LIB_SUFFIX)
LIBGSLSSB= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSSBNAME).$(LIB_EXT)

LIBGSLBER_SNAME= gslber_s$(LDAP_VERSION)
LLIBGSLBER_S= $(LDLIBFLAG)$(LIBGSLBER_SNAME)$(LIB_SUFFIX)
LIBGSLBER_S= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLBER_SNAME).$(LIB_EXT)

LIBGSLAVLNAME= gslavl$(LDAP_VERSION)
LLIBGSLAVL= $(LDLIBFLAG)$(LIBGSLAVLNAME)$(LIB_SUFFIX)
LIBGSLAVL= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLAVLNAME).$(LIB_EXT)

LIBGSLRNAME= gslr$(LDAP_VERSION)
LLIBGSLR= $(LDLIBFLAG)$(LIBGSLRNAME)$(LIB_SUFFIX)
LIBGSLR= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLRNAME).$(LIB_EXT)

LIBGSLDBNAME= gsldb$(LDAP_VERSION)
LLIBGSLDB= $(LDLIBFLAG)$(LIBGSLDBNAME)$(LIB_SUFFIX)
LIBGSLDB= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLDBNAME).$(LIB_EXT)

LIBGSLSGNAME= gslsg$(LDAP_VERSION)
LLIBGSLSG= $(LDLIBFLAG)$(LIBGSLSGNAME)$(LIB_SUFFIX)
LIBGSLSG= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSGNAME).$(LIB_EXT)

LIBGSLECNAME= gslec$(LDAP_VERSION)
LLIBGSLEC= $(LDLIBFLAG)$(LIBGSLECNAME)$(LIB_SUFFIX)
LIBGSLEC= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLECNAME).$(LIB_EXT)

LIBSGSL_SNAME= sgsl_s$(LDAP_VERSION)
LLIBSGSL_S= $(LDLIBFLAG)$(LIBSGSL_SNAME)$(LIB_SUFFIX)
LIBSGSL_S= $(LIBHOME)$(LIB_PREFIX)$(LIBSGSL_SNAME).$(LIB_EXT)

LIBLDAPCLNTNAME= ldapclnt$(LDAP_VERSION)
LIBLDAPCLNT= $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPCLNTNAME).$(LIB_EXT)
LLIBLDAPCLNT= $(LDLIBFLAG)$(LIBLDAPCLNTNAME)

LIBLDAPJCLNTNAME= ldapjclnt$(LDAP_VERSION)
LIBLDAPJCLNT= $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPJCLNTNAME).$(LIB_EXT)
LIBLDAPJCLNTSH = $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPJCLNTNAME).$(SO_EXT)
LLIBLDAPJCLNT= $(LDLIBFLAG)$(LIBLDAPJCLNTNAME)

LIBGSLMTNAME= gslmt$(LDAP_VERSION)
LLIBGSLMT= $(LDLIBFLAG)$(LIBGSLMTNAME)$(LIB_SUFFIX)
LIBGSLMT= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLMTNAME).$(LIB_EXT)

LDAPHOME=    $(ORACLE_HOME)/ldap/
LDAPBIN=     $(LDAPHOME)$(BINDIR)/
LDAPLIB=     $(LDAPHOME)$(LIBDIR)/
LDAPJLIB=    $(LDAPHOME)jlib/

LDAPPUBH=    $(I_SYM)$(LDAPHOME)public $(I_SYM)$(LDAPHOME)include


# Entering /lnx/work/pse/linux/920/src_020425/ldap/s_exports.mk


# Exiting /lnx/work/pse/linux/920/src_020425/ldap/s_exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/ldap/exports.mk
# Entering /lnx/work/pse/linux/920/src_020425/slax/exports.mk

TOP = $(ORACLE_HOME)/slax

SLAX_VERSION=9
LIBSLAXNAME=slax$(SLAX_VERSION)
LLIBSLAX=$(LDLIBFLAG)$(LIBSLAXNAME)$(LIB_SUFFIX)
LIBSLAX=$(LIBHOME)$(LIB_PREFIX)$(LIBSLAXNAME).$(LIB_EXT)

SLAX_PRD=slax
SLAXHOME=$(ORACLE_HOME)/slax/
SLAXADMIN=$(SLAXHOME)admin/
SLAXLIB=$(SLAXHOME)$(LIBDIR)/
 
SLAXPUBH=$(I_SYM)$(SLAXHOME)include

# Entering /lnx/work/pse/linux/920/src_020425/slax/s_exports.mk

# Exiting /lnx/work/pse/linux/920/src_020425/slax/s_exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/slax/exports.mk
# Entering /lnx/work/pse/linux/920/src_020425/encryption/exports.mk

ENCRYPTIONHOME  = $(ORACLE_HOME)/encryption/
ENCRYPTIONLIB   = $(ENCRYPTIONHOME)$(LIBDIR)/
ENCRYPTIONJLIB  = $(ENCRYPTIONHOME)jlib/
ENCRYPTIONPUBH  = $(I_SYM)$(ENCRYPTIONHOME)include

ENCRYPTION_VERSION=9
BASENAME        =n
CRYPTNAME       =${BASENAME}crypt$(ENCRYPTION_VERSION)
LIBSNS          =$(ENCRYPTIONLIB)$(LIB_PREFIX)$(CRYPTNAME).$(LIB_EXT)
LLIBNCRYPT      =$(LDLIBFLAG)$(ILIB_PREFIX)$(CRYPTNAME)$(ILIB_SUFFIX)

RSASTDNAME	=rsastd
BCERTNAME	=bcert
NZRNAME		=nzr
LIBRSASTD	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(RSASTDNAME).$(LIB_EXT)
LIBBCERT	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(BCERTNAME).$(LIB_EXT)
LIBNZR		=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(NZRNAME).$(LIB_EXT)

PHAOSJAR=$(ENCRYPTIONJLIB)Phaos_Security_Engine_2_1_P5.$(JAR_EXT)

# Entering /lnx/work/pse/linux/920/src_020425/encryption/s_exports.mk

# Exiting /lnx/work/pse/linux/920/src_020425/encryption/s_exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/encryption/exports.mk
# Entering /lnx/work/pse/linux/920/src_020425/xdk/exports.mk

XDKHOME    = $(ORACLE_HOME)/xdk/

XDK_LIB_VER    = 9



XML_LIB_NAME     = xml
XML_LIB_VER      = $(XDK_LIB_VER)
XML_LIB          = $(XML_LIB_NAME)$(XML_LIB_VER)

LIBXML_STATIC    = $(LIB_PREFIX)$(XML_LIB).$(LIB_EXT)
LIBXML_SHARED    = $(LIB_PREFIX)$(XML_LIB).$(SO_EXT)
LIBXML_SLH       = $(LIB_PREFIX)$(XML_LIB).$(ILIB_EXT)

LIBXML           = $(LIBHOME)$(LIBXML_STATIC)
LLIBXML          = $(LDLIBFLAG)$(XML_LIB)

LIBXML_ARC_LIB	 = $(LIBXML)
LIBXML_SHARE_LIB = $(LIBHOME)$(LIBXML_SHARED)


XMLCG_LIB_NAME     = xmlg
XMLCG_LIB_VER      = $(XDK_LIB_VER)
XMLCG_LIB          = $(XMLCG_LIB_NAME)$(XMLCG_LIB_VER)

LIBXMLCG_STATIC    = $(LIB_PREFIX)$(XMLCG_LIB).$(LIB_EXT)
LIBXMLCG_SHARED    = $(LIB_PREFIX)$(XMLCG_LIB).$(SO_EXT)
LIBXMLCG_SLH       = $(LIB_PREFIX)$(XMLCG_LIB).$(ILIB_EXT)

LIBXMLCG           = $(LIBHOME)$(LIBXMLCG_STATIC)
LLIBXMLCG          = $(LDLIBFLAG)$(XMLCG_LIB)

LIBXMLCG_ARC_LIB   = $(LIBXMLCG)
LIBXMLCG_SHARE_LIB = $(LIBHOME)$(LIBXMLCG_SHARED)


XSD_LIB_NAME       = xsd
XSD_LIB_VER        = $(XDK_LIB_VER)
XSD_LIB            = $(XSD_LIB_NAME)$(XSD_LIB_VER)

LIBXSD_STATIC      = $(LIB_PREFIX)$(XSD_LIB).$(LIB_EXT)
LIBXSD_SHARED      = $(LIB_PREFIX)$(XSD_LIB).$(SO_EXT)
LIBXSD_SLH         = $(LIB_PREFIX)$(XSD_LIB).$(ILIB_EXT)

LIBXSD             = $(LIBHOME)$(LIBXSD_STATIC)
LLIBXSD            = $(LDLIBFLAG)$(XSD_LIB)

LIBXSD_ARC_LIB     = $(LIBXSD)
LIBXSD_SHARE_LIB   = $(LIBHOME)$(LIBXSD_SHARED)


XMLPS_LIB_NAME     = xmlps
XMLPS_LIB_VER      = $(XDK_LIB_VER)
XMLPS_LIB          = $(XMLPS_LIB_NAME)$(XMLPS_LIB_VER)

LIBXMLPS_STATIC    = $(LIB_PREFIX)$(XMLPS_LIB).$(LIB_EXT)
LIBXMLPS_SHARED    = $(LIB_PREFIX)$(XMLPS_LIB).$(SO_EXT)
LIBXMLPS_SLH       = $(LIB_PREFIX)$(XMLPS_LIB).$(ILIB_EXT)

LIBXMLPS           = $(LIBHOME)$(LIBXMLPS_STATIC)
LLIBXMLPS          = $(LDLIBFLAG)$(XMLPS_LIB)

LIBXMLPS_ARC_LIB   = $(LIBXMLPS)
LIBXMLPS_SHARE_LIB = $(LIBHOME)$(LIBXMLPS_SHARED)


XMLPC_LIB_NAME     = xmlpc
XMLPC_LIB_VER      = $(XDK_LIB_VER)
XMLPC_LIB          = $(XMLPC_LIB_NAME)$(XMLPC_LIB_VER)

LIBXMLPC_STATIC    = $(LIB_PREFIX)$(XMLPC_LIB).$(LIB_EXT)
LIBXMLPC_SHARED    = $(LIB_PREFIX)$(XMLPC_LIB).$(SO_EXT)
LIBXMLPC_SLH       = $(LIB_PREFIX)$(XMLPC_LIB).$(ILIB_EXT)

LIBXMLPC           = $(LIBHOME)$(LIBXMLPC_STATIC)
LLIBXMLPC          = $(LDLIBFLAG)$(XMLPC_LIB)

LIBXMLPC_ARC_LIB   = $(LIBXMLPC)
LIBXMLPC_SHARE_LIB = $(LIBHOME)$(LIBXMLPC_SHARED)

LLIBXDKS = $(LLIBXMLPS)                   
LLIBXDKC =              
LLIBXDKG = $(LLIBXML)                      


XML815C_LIB_NAME     = xmlc
XML815C_LIB_VER      = $(XDK_LIB_VER)
XML815C_LIB          = $(XML815C_LIB_NAME)$(XML815C_LIB_VER)

LIBXML815C_STATIC    = $(LIB_PREFIX)$(XML815C_LIB).$(LIB_EXT)
LIBXML815C_SHARED    = $(LIB_PREFIX)$(XML815C_LIB).$(SO_EXT)
LIBXML815C_SLH       = $(LIB_PREFIX)$(XML815C_LIB).$(ILIB_EXT)

LIBXML815C           = $(LIBHOME)$(LIBXML815C_STATIC)
LLIBXML815C          = $(LDLIBFLAG)$(XML815C_LIB)

LIBXML815C_ARC_LIB   = $(LIBXML815C)
LIBXML815C_SHARE_LIB = $(LIBHOME)$(LIBXML815C_SHARED)


XML816C_LIB_NAME     = xmlc
XML816C_LIB_VER      = $(XDK_LIB_VER)
XML816C_LIB          = $(XML816C_LIB_NAME)$(XML816C_LIB_VER)

LIBXML816C_STATIC    = $(LIB_PREFIX)$(XML816C_LIB).$(LIB_EXT)
LIBXML816C_SHARED    = $(LIB_PREFIX)$(XML816C_LIB).$(SO_EXT)
LIBXML816C_SLH       = $(LIB_PREFIX)$(XML816C_LIB).$(ILIB_EXT)

LIBXML816C           = $(LIBHOME)$(LIBXML816C_STATIC)
LLIBXML816C          = $(LDLIBFLAG)$(XML816C_LIB)

LIBXML816C_ARC_LIB   = $(LIBXML816C)
LIBXML816C_SHARE_LIB = $(LIBHOME)$(LIBXML816C_SHARED)


LIB816  = /oracore/sun5/8.1.6.0.0/lib
CORE816 = $(LIB816)/$(LIBCORE_STATIC)
NLS816  = $(LIB816)/$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)

XDKPUBLIC=$(XDKHOME)include $(XDKHOME)public

XDKPUBH=$(I_SYM)$(XDKHOME)include $(I_SYM)$(XDKHOME)public

XMLORGJAR = $(XDKSRC)java/lib/xmlorg.jar


XMLPARSERV2 = xmlparserv2
XMLPARSERV2JAR = $(LIBHOME)$(XMLPARSERV2).$(JAR_EXT)

XMLMESG = xmlmesg
XMLMESGJAR = $(LIBHOME)$(XMLMESG).$(JAR_EXT)

XMLPLSQL = xmlplsql
XMLPLSQLJAR = $(LIBHOME)$(XMLPLSQL).$(JAR_EXT)

XMLCOMP = xmlcomp
XMLCOMPJAR = $(LIBHOME)$(XMLCOMP).$(JAR_EXT)

XMLCOMP2 = xmlcomp2
XMLCOMP2JAR = $(LIBHOME)$(XMLCOMP2).$(JAR_EXT)

CLASSGEN = classgen
CLASSGENJAR = $(LIBHOME)$(CLASSGEN).$(JAR_EXT)

XSCHEMA = xschema
XSCHEMAJAR  = $(LIBHOME)$(XSCHEMA).$(JAR_EXT)

XSQL = oraclexsql
XSQLJAR = $(LIBHOME)$(XSQL).$(JAR_EXT)

XSQLSERIAL = xsqlserializers
XSQLSERIALJAR = $(LIBHOME)$(XSQLSERIAL).$(JAR_EXT)

TRANSX = transx
TRANSXJAR  = $(LIBHOME)$(TRANSX).$(ZIP_EXT)


# Entering /lnx/work/pse/linux/920/src_020425/xdk/s_exports.mk
 
# Exiting /lnx/work/pse/linux/920/src_020425/xdk/s_exports.mk



# Exiting /lnx/work/pse/linux/920/src_020425/xdk/exports.mk

# Entering /lnx/work/pse/linux/920/src_020425/network/exports.mk

# Entering /lnx/work/pse/linux/920/src_020425/network/libnames.mk

NETWORK_VERSION=9
BASENAME    =n
NETWORKLIB  = $(NETWORKHOME)$(LIBDIR)/
NETWORKJLIB = $(NETWORKHOME)jlib/

COMMONNAME=${BASENAME}${NETWORK_VERSION}
NLNAME=${BASENAME}l${NETWORK_VERSION}
TCPNAME=${BASENAME}tcp${NETWORK_VERSION}
VINAME=${BASENAME}vi${NETWORK_VERSION}
DECNETNAME=${BASENAME}dec${NETWORK_VERSION}
LU62NAME=${BASENAME}lu62${NETWORK_VERSION}
MBNAME=${BASENAME}mb${NETWORK_VERSION}
DCENAME=${BASENAME}dce${NETWORK_VERSION}
BEQNAME=${BASENAME}beq${NETWORK_VERSION}
IPCNAME=${BASENAME}ipc${NETWORK_VERSION}
SPXNAME=${BASENAME}spx${NETWORK_VERSION}
TLINAME=${BASENAME}tli${NETWORK_VERSION}
TLITNAME=${BASENAME}tlit${NETWORK_VERSION}
TLISNAME=${BASENAME}tlis${NETWORK_VERSION}
TLIDNAME=${BASENAME}tlid${NETWORK_VERSION}
USNAME=${BASENAME}us${NETWORK_VERSION}
SHMNAME=${BASENAME}shm${NETWORK_VERSION}
TCPSNAME=${BASENAME}tcps${NETWORK_VERSION}
ENTRUSTNAME=${BASENAME}nzentr${NETWORK_VERSION}
NSGRNAME=${BASENAME}sgr${NETWORK_VERSION}
LSNRNAME=${BASENAME}lsnr${NETWORK_VERSION}
LSNRCNAME=${BASENAME}lsnrc${NETWORK_VERSION}
K5NAME=${BASENAME}k5${NETWORK_VERSION}
RADNAME=${BASENAME}rad${NETWORK_VERSION}
GSSNAME=${BASENAME}gss${NETWORK_VERSION}
NAUTNAME=${BASENAME}aut${NETWORK_VERSION}
GSSTHIRDPARTY=gss
OSSNAME=${BASENAME}oss${NETWORK_VERSION}
NTSNAME=${BASENAME}nts${NETWORK_VERSION}
NSSNAME=${BASENAME}nss${NETWORK_VERSION}
ONNAME=${BASENAME}on${NETWORK_VERSION}
ONDNAME=${BASENAME}ond${NETWORK_VERSION}
ONCNAME=${BASENAME}onc${NETWORK_VERSION}
ONCJNAME=${BASENAME}oncj${NETWORK_VERSION}
RONAME=${BASENAME}ro${NETWORK_VERSION}
ROCNAME=${BASENAME}roc${NETWORK_VERSION}
ROXNAME=${BASENAME}rox${NETWORK_VERSION}
ROTNAME=${BASENAME}rot${NETWORK_VERSION}
CMNAME=${BASENAME}cm${NETWORK_VERSION}
NHOSTNAME=${BASENAME}host${NETWORK_VERSION}
TNSNAME=${BASENAME}tns${NETWORK_VERSION}
ORACLENAME=${BASENAME}oname${NETWORK_VERSION}
NISNAME=${BASENAME}nis${NETWORK_VERSION}
CDSNAME=${BASENAME}cds${NETWORK_VERSION}
NDSNAME=${BASENAME}nds${NETWORK_VERSION}
LDAPNAME=${BASENAME}ldap${NETWORK_VERSION}
LDAPJNAME=${BASENAME}ldapj${NETWORK_VERSION}
SSLBNAME=${BASENAME}sslb${NETWORK_VERSION}
NUJNINAME=${BASENAME}jni${NETWORK_VERSION}
NZJSNAME=${BASENAME}zjs${NETWORK_VERSION}
JSSLNAME=${BASENAME}jssl${NETWORK_VERSION}
ZTNAME=${BASENAME}zt${NETWORK_VERSION}
OWMNAME=owm2

NMPNAME=${BASENAME}nmp${NETWORK_VERSION}

TANAME=${BASENAME}ta${NETWORK_VERSION}
TALNAME=${BASENAME}tal${NETWORK_VERSION}

NZRNAME=nzr



SNLPTDUM         =  $(NETWORKLIB)snlptdum.$(OBJ_EXT) 
OSNTABST         = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT            = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

LIBNETWORK	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBTHINNCR       =  $(NETWORKLIB)$(LIB_PREFIX)$(ROTNAME).$(LIB_EXT)

LOC_LIBNUJNI     =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(LIB_EXT)
LOC_LIBOWM       =  $(NETWORKLIB)$(LIB_PREFIX)$(OWMNAME).$(LIB_EXT)
LOC_LIBJSSL      =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(LIB_EXT)
LIBONCJ          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(SO_EXT)
LIBNUJNI         =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(SO_EXT)
LIBJSSL          =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(SO_EXT)
LIBOWM           =  $(NETWORKLIB)$(LIB_PREFIX)$(OWMNAME).$(SO_EXT)
LIBLDAPJ         =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(SO_EXT)
LOC_LIBONCJ      =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(LIB_EXT)
LOC_LIBLDAPJ     =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(LIB_EXT)

LIBNCR           =  $(NETWORKLIB)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LIBNFP           =  $(NETWORKLIB)$(LIB_PREFIX)$(CMNAME).$(LIB_EXT)
LIBNI            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCC          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCNAME).$(LIB_EXT)
LIBNND           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONDNAME).$(LIB_EXT)
LIBNNO           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONNAME).$(LIB_EXT)
LIBNSGR          =  $(NETWORKLIB)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LIBNSGL          =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRNAME).$(LIB_EXT)
LIBNSGLC         =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRCNAME).$(LIB_EXT)

LLIBNCR           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)
LLIBNFP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CMNAME)$(ILIB_SUFFIX)
LLIBNI            =  $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)
LLIBNNCC          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONCNAME)$(ILIB_SUFFIX)
LLIBNND           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONDNAME)$(ILIB_SUFFIX)
LLIBNNO           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONNAME)$(ILIB_SUFFIX)
LLIBNSGR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)
LLIBNSGL          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRNAME)$(ILIB_SUFFIX)
LLIBNSGLC         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRCNAME)$(ILIB_SUFFIX)

LOC_LIBNAUT      =  $(NETWORKLIB)$(LIB_PREFIX)$(NAUTNAME).$(LIB_EXT)
LIBNAUT          =  $(NETWORKLIB)$(LIB_PREFIX)$(NAUTNAME).$(SO_EXT)
LOC_LIBNAUK5     =  $(NETWORKLIB)$(LIB_PREFIX)$(K5NAME).$(LIB_EXT)
LIBNAUK5         =  $(NETWORKLIB)$(LIB_PREFIX)$(K5NAME).$(SO_EXT)
LOC_LIBNAUR      =  $(NETWORKLIB)$(LIB_PREFIX)$(RADNAME).$(LIB_EXT)
LIBNAUR          =  $(NETWORKLIB)$(LIB_PREFIX)$(RADNAME).$(SO_EXT)
LOC_LIBNAUG      =  $(NETWORKLIB)$(LIB_PREFIX)$(GSSNAME).$(LIB_EXT)
LIBNAUG          =  $(NETWORKLIB)$(LIB_PREFIX)$(GSSNAME).$(SO_EXT)
LIBNAUZ          =  $(NETWORKLIB)$(LIB_PREFIX)$(OSSNAME).$(LIB_EXT)
LIBNAUNTS        =  $(NETWORKLIB)$(LIB_PREFIX)$(NTSNAME).$(LIB_EXT)

LLIBNAUK5         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(K5NAME)$(ILIB_SUFFIX)
LLIBNAUR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RADNAME)$(ILIB_SUFFIX)
LLIBNAUG          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(GSSNAME)$(ILIB_SUFFIX)
LLIBNAUZ          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(OSSNAME)$(ILIB_SUFFIX)
LLIBNAUNTS        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NTSNAME)$(ILIB_SUFFIX)



LIBNTT           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LOC_LIBNTVI      =  $(NETWORKLIB)$(LIB_PREFIX)$(VINAME).$(LIB_EXT)
LIBNTVI          =  $(NETWORKLIB)$(LIB_PREFIX)$(VINAME).$(SO_EXT)
LIBNTZ           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME).$(LIB_EXT)
LIBNTZSTUB       =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME)_std.$(LIB_EXT)
LOC_LIBNZTWVE    =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTNAME).$(LIB_EXT)
LIBNZTWVE        =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTNAME).$(SO_EXT)
LIBNTS           =  $(NETWORKLIB)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LIBNTD           =  $(NETWORKLIB)$(LIB_PREFIX)$(DECNETNAME).$(LIB_EXT)
LIBNTOD          =  $(NETWORKLIB)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LIBCDS           =  $(NETWORKLIB)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LIBNTLU62        =  $(NETWORKLIB)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LIBNTTLI	 =  $(NETWORKLIB)$(LIB_PREFIX)$(TLINAME).$(LIB_EXT)
LIBNTUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(USNAME).$(LIB_EXT)
LIBNTSHM         =  $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME).$(LIB_EXT)
LIBNTP           =  $(NETWORKLIB)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNTNP          =  $(NETWORKLIB)$(LIB_PREFIX)$(NMPNAME).$(LIB_EXT)

LLIBNTT           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)
LLIBNTVI          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(VINAME)$(ILIB_SUFFIX)
LLIBNTZ           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPSNAME)$(ILIB_SUFFIX)
LLIBNTS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)
LLIBNTD           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DECNETNAME)$(ILIB_SUFFIX)
LLIBNTOD          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)
LLIBCDS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)
LLIBNTLU62        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)
LLIBNTTLI	 =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TLINAME)$(ILIB_SUFFIX)
LLIBNTUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(USNAME)$(ILIB_SUFFIX)
LLIBNTSHM        = $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME)$(ILIB_SUFFIX)
LLIBNTP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(BEQNAME)$(ILIB_SUFFIX)
LLIBNTNP          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NMPNAME)$(ILIB_SUFFIX)

LIBNL1           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBNL2           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)

LIBNL            =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LLIBNL           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NLNAME)$(ILIB_SUFFIX)


LIBNUAPI         =  $(NETWORKLIB)$(LIB_PREFIX)$(TANAME).$(LIB_EXT)
LIBNULOCAL       =  $(NETWORKLIB)$(LIB_PREFIX)$(TALNAME).$(LIB_EXT)

LLIBNUAPI         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL       =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)


LLIBNUAPI	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)
LLIBSSL          = #$(LDLIBFLAG)$(ILIB_PREFIX)sslref-bsafe$(ILIB_SUFFIX)
LLIBSSLB         = $(LDLIBFLAG)$(ILIB_PREFIX)$(SSLBNAME)$(ILIB_SUFFIX)
LLIBNZJS 	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(NZJSNAME)$(ILIB_SUFFIX)


LIBNA            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAE           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAU           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNLNV          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMP           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCI          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNFG          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNG           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNPL           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNR            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNS            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNTR           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNZ            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMS0          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBSSLREF 	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBZT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)

LIBSSLB          =  $(NETWORKLIB)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)

LIBNZJS          =  $(NETWORKLIB)$(LIB_PREFIX)$(NZJSNAME).$(LIB_EXT)

LDAPSYSLIBD = $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPCLNTNAME).$(LIB_EXT)
LDAPSYSLIBS = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBLDAPCLNTNAME)$(ILIB_SUFFIX)

# Exiting /lnx/work/pse/linux/920/src_020425/network/libnames.mk

NETWORKHOME=$(ORACLE_HOME)/network/
NETWORKADMIN=$(NETWORKHOME)admin/
NETWORKINSTALL=$(NETWORKHOME)install/
NETWORKDEMO=$(NETWORKHOME)demo/

# Entering /lnx/work/pse/linux/920/src_020425/network/adapters.mk

# Entering /lnx/work/pse/linux/920/src_020425/network/s_adapters.mk

# Exiting /lnx/work/pse/linux/920/src_020425/network/s_adapters.mk

# Exiting /lnx/work/pse/linux/920/src_020425/network/adapters.mk

LIBNTTCP     = $(LIBHOME)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LLIBNTTCP    = $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)

LIBNTVI      = $(LIBHOME)$(LIB_PREFIX)$(VINAME).$(LIB_EXT)
LLIBNTVI     = $(LDLIBFLAG)$(ILIB_PREFIX)$(VINAME)$(ILIB_SUFFIX)

LIBNTOD      = $(LIBHOME)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LLIBNTOD     = $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)

LIBCDS       = $(LIBHOME)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LLIBCDS      = $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)

LIBNTLU62    = $(LIBHOME)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LLIBNTLU62   = $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)

LIBNTS       = $(LIBHOME)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LLIBNTS      = $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)

LIBNETWORK   = $(LIBHOME)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LLIBNETWORK  = $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)

LIBNSGR      = $(LIBHOME)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LLIBNSGR     = $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)

LIBSQLNET  = $(LDFLAGSFILE) $(PROTOCOLLIBD) $(NATIVELIBD) $(NATIVESYSLIBD) $(LIBNSGR) $(LIBNZJS) $(LIBNETWORK) $(LIBNL)
LLIBSQLNET = $(LDFLAGSLIST) $(PROTOCOLLIBS) $(NATIVELIBS) $(NATIVESYSLIBS) $(LLIBSSLB) $(LLIBNCRYPT) $(LLIBNSGR) $(LLIBNZJS) $(LLIBNETWORK) $(LLIBNL)

LIBRPC       = $(LIBHOME)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LLIBRPC      = $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)

TNSLSNR	     = $(BINHOME)tnslsnr$(EXE_SUFFIX)
LSNRCTL	     = $(BINHOME)lsnrctl$(EXE_SUFFIX)
NAMES	     = $(BINHOME)names$(EXE_SUFFIX)
NAMESCTL     = $(BINHOME)namesctl$(EXE_SUFFIX)

NIGTAB       = $(LIBHOME)nigtab.$(OBJ_EXT)
NIGCON       = $(LIBHOME)nigcon.$(OBJ_EXT) 
NTCONTAB     = $(LIBHOME)ntcontab.$(OBJ_EXT)
MTS_NCR	     = $(LIBHOME)ncrstab.$(OBJ_EXT)

OSNTABST     = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT        = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

NAETAB       = $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS	     = $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB_OBJ   = nautab.$(OBJ_EXT)
NAUTAB	     = $(LIBHOME)$(NAUTAB_OBJ)

NETLIBS      = $(LLIBSQLNET) $(LLIBRPC) $(LLIBSQLNET)
NETLIBD      = $(LIBSQLNET) $(LIBRPC)

LDFLAGSFILE=$(LIBHOME)ldflags
LDFLAGSLIST=`$(CAT) $(LDFLAGSFILE)`

LIBNTP       = $(LIBHOME)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNL        = $(LIBHOME)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBSSLB      = $(LIBHOME)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)


# Entering /lnx/work/pse/linux/920/src_020425/network/s_exports.mk


NAETAB64	= $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS64	= $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB64	= $(LIBHOME)$(NAUTAB_OBJ)


# Exiting /lnx/work/pse/linux/920/src_020425/network/s_exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/network/exports.mk

# Entering /lnx/work/pse/linux/920/src_020425/network/libnames.mk

NETWORK_VERSION=9
BASENAME    =n
NETWORKLIB  = $(NETWORKHOME)$(LIBDIR)/
NETWORKJLIB = $(NETWORKHOME)jlib/

COMMONNAME=${BASENAME}${NETWORK_VERSION}
NLNAME=${BASENAME}l${NETWORK_VERSION}
TCPNAME=${BASENAME}tcp${NETWORK_VERSION}
VINAME=${BASENAME}vi${NETWORK_VERSION}
DECNETNAME=${BASENAME}dec${NETWORK_VERSION}
LU62NAME=${BASENAME}lu62${NETWORK_VERSION}
MBNAME=${BASENAME}mb${NETWORK_VERSION}
DCENAME=${BASENAME}dce${NETWORK_VERSION}
BEQNAME=${BASENAME}beq${NETWORK_VERSION}
IPCNAME=${BASENAME}ipc${NETWORK_VERSION}
SPXNAME=${BASENAME}spx${NETWORK_VERSION}
TLINAME=${BASENAME}tli${NETWORK_VERSION}
TLITNAME=${BASENAME}tlit${NETWORK_VERSION}
TLISNAME=${BASENAME}tlis${NETWORK_VERSION}
TLIDNAME=${BASENAME}tlid${NETWORK_VERSION}
USNAME=${BASENAME}us${NETWORK_VERSION}
SHMNAME=${BASENAME}shm${NETWORK_VERSION}
TCPSNAME=${BASENAME}tcps${NETWORK_VERSION}
ENTRUSTNAME=${BASENAME}nzentr${NETWORK_VERSION}
NSGRNAME=${BASENAME}sgr${NETWORK_VERSION}
LSNRNAME=${BASENAME}lsnr${NETWORK_VERSION}
LSNRCNAME=${BASENAME}lsnrc${NETWORK_VERSION}
K5NAME=${BASENAME}k5${NETWORK_VERSION}
RADNAME=${BASENAME}rad${NETWORK_VERSION}
GSSNAME=${BASENAME}gss${NETWORK_VERSION}
NAUTNAME=${BASENAME}aut${NETWORK_VERSION}
GSSTHIRDPARTY=gss
OSSNAME=${BASENAME}oss${NETWORK_VERSION}
NTSNAME=${BASENAME}nts${NETWORK_VERSION}
NSSNAME=${BASENAME}nss${NETWORK_VERSION}
ONNAME=${BASENAME}on${NETWORK_VERSION}
ONDNAME=${BASENAME}ond${NETWORK_VERSION}
ONCNAME=${BASENAME}onc${NETWORK_VERSION}
ONCJNAME=${BASENAME}oncj${NETWORK_VERSION}
RONAME=${BASENAME}ro${NETWORK_VERSION}
ROCNAME=${BASENAME}roc${NETWORK_VERSION}
ROXNAME=${BASENAME}rox${NETWORK_VERSION}
ROTNAME=${BASENAME}rot${NETWORK_VERSION}
CMNAME=${BASENAME}cm${NETWORK_VERSION}
NHOSTNAME=${BASENAME}host${NETWORK_VERSION}
TNSNAME=${BASENAME}tns${NETWORK_VERSION}
ORACLENAME=${BASENAME}oname${NETWORK_VERSION}
NISNAME=${BASENAME}nis${NETWORK_VERSION}
CDSNAME=${BASENAME}cds${NETWORK_VERSION}
NDSNAME=${BASENAME}nds${NETWORK_VERSION}
LDAPNAME=${BASENAME}ldap${NETWORK_VERSION}
LDAPJNAME=${BASENAME}ldapj${NETWORK_VERSION}
SSLBNAME=${BASENAME}sslb${NETWORK_VERSION}
NUJNINAME=${BASENAME}jni${NETWORK_VERSION}
NZJSNAME=${BASENAME}zjs${NETWORK_VERSION}
JSSLNAME=${BASENAME}jssl${NETWORK_VERSION}
ZTNAME=${BASENAME}zt${NETWORK_VERSION}
OWMNAME=owm2

NMPNAME=${BASENAME}nmp${NETWORK_VERSION}

TANAME=${BASENAME}ta${NETWORK_VERSION}
TALNAME=${BASENAME}tal${NETWORK_VERSION}

NZRNAME=nzr



SNLPTDUM         =  $(NETWORKLIB)snlptdum.$(OBJ_EXT) 
OSNTABST         = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT            = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

LIBNETWORK	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBTHINNCR       =  $(NETWORKLIB)$(LIB_PREFIX)$(ROTNAME).$(LIB_EXT)

LOC_LIBNUJNI     =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(LIB_EXT)
LOC_LIBOWM       =  $(NETWORKLIB)$(LIB_PREFIX)$(OWMNAME).$(LIB_EXT)
LOC_LIBJSSL      =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(LIB_EXT)
LIBONCJ          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(SO_EXT)
LIBNUJNI         =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(SO_EXT)
LIBJSSL          =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(SO_EXT)
LIBOWM           =  $(NETWORKLIB)$(LIB_PREFIX)$(OWMNAME).$(SO_EXT)
LIBLDAPJ         =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(SO_EXT)
LOC_LIBONCJ      =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(LIB_EXT)
LOC_LIBLDAPJ     =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(LIB_EXT)

LIBNCR           =  $(NETWORKLIB)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LIBNFP           =  $(NETWORKLIB)$(LIB_PREFIX)$(CMNAME).$(LIB_EXT)
LIBNI            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCC          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCNAME).$(LIB_EXT)
LIBNND           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONDNAME).$(LIB_EXT)
LIBNNO           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONNAME).$(LIB_EXT)
LIBNSGR          =  $(NETWORKLIB)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LIBNSGL          =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRNAME).$(LIB_EXT)
LIBNSGLC         =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRCNAME).$(LIB_EXT)

LLIBNCR           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)
LLIBNFP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CMNAME)$(ILIB_SUFFIX)
LLIBNI            =  $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)
LLIBNNCC          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONCNAME)$(ILIB_SUFFIX)
LLIBNND           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONDNAME)$(ILIB_SUFFIX)
LLIBNNO           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONNAME)$(ILIB_SUFFIX)
LLIBNSGR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)
LLIBNSGL          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRNAME)$(ILIB_SUFFIX)
LLIBNSGLC         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRCNAME)$(ILIB_SUFFIX)

LOC_LIBNAUT      =  $(NETWORKLIB)$(LIB_PREFIX)$(NAUTNAME).$(LIB_EXT)
LIBNAUT          =  $(NETWORKLIB)$(LIB_PREFIX)$(NAUTNAME).$(SO_EXT)
LOC_LIBNAUK5     =  $(NETWORKLIB)$(LIB_PREFIX)$(K5NAME).$(LIB_EXT)
LIBNAUK5         =  $(NETWORKLIB)$(LIB_PREFIX)$(K5NAME).$(SO_EXT)
LOC_LIBNAUR      =  $(NETWORKLIB)$(LIB_PREFIX)$(RADNAME).$(LIB_EXT)
LIBNAUR          =  $(NETWORKLIB)$(LIB_PREFIX)$(RADNAME).$(SO_EXT)
LOC_LIBNAUG      =  $(NETWORKLIB)$(LIB_PREFIX)$(GSSNAME).$(LIB_EXT)
LIBNAUG          =  $(NETWORKLIB)$(LIB_PREFIX)$(GSSNAME).$(SO_EXT)
LIBNAUZ          =  $(NETWORKLIB)$(LIB_PREFIX)$(OSSNAME).$(LIB_EXT)
LIBNAUNTS        =  $(NETWORKLIB)$(LIB_PREFIX)$(NTSNAME).$(LIB_EXT)

LLIBNAUK5         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(K5NAME)$(ILIB_SUFFIX)
LLIBNAUR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RADNAME)$(ILIB_SUFFIX)
LLIBNAUG          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(GSSNAME)$(ILIB_SUFFIX)
LLIBNAUZ          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(OSSNAME)$(ILIB_SUFFIX)
LLIBNAUNTS        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NTSNAME)$(ILIB_SUFFIX)



LIBNTT           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LOC_LIBNTVI      =  $(NETWORKLIB)$(LIB_PREFIX)$(VINAME).$(LIB_EXT)
LIBNTVI          =  $(NETWORKLIB)$(LIB_PREFIX)$(VINAME).$(SO_EXT)
LIBNTZ           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME).$(LIB_EXT)
LIBNTZSTUB       =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME)_std.$(LIB_EXT)
LOC_LIBNZTWVE    =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTNAME).$(LIB_EXT)
LIBNZTWVE        =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTNAME).$(SO_EXT)
LIBNTS           =  $(NETWORKLIB)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LIBNTD           =  $(NETWORKLIB)$(LIB_PREFIX)$(DECNETNAME).$(LIB_EXT)
LIBNTOD          =  $(NETWORKLIB)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LIBCDS           =  $(NETWORKLIB)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LIBNTLU62        =  $(NETWORKLIB)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LIBNTTLI	 =  $(NETWORKLIB)$(LIB_PREFIX)$(TLINAME).$(LIB_EXT)
LIBNTUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(USNAME).$(LIB_EXT)
LIBNTSHM         =  $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME).$(LIB_EXT)
LIBNTP           =  $(NETWORKLIB)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNTNP          =  $(NETWORKLIB)$(LIB_PREFIX)$(NMPNAME).$(LIB_EXT)

LLIBNTT           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)
LLIBNTVI          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(VINAME)$(ILIB_SUFFIX)
LLIBNTZ           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPSNAME)$(ILIB_SUFFIX)
LLIBNTS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)
LLIBNTD           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DECNETNAME)$(ILIB_SUFFIX)
LLIBNTOD          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)
LLIBCDS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)
LLIBNTLU62        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)
LLIBNTTLI	 =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TLINAME)$(ILIB_SUFFIX)
LLIBNTUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(USNAME)$(ILIB_SUFFIX)
LLIBNTSHM        = $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME)$(ILIB_SUFFIX)
LLIBNTP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(BEQNAME)$(ILIB_SUFFIX)
LLIBNTNP          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NMPNAME)$(ILIB_SUFFIX)

LIBNL1           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBNL2           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)

LIBNL            =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LLIBNL           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NLNAME)$(ILIB_SUFFIX)


LIBNUAPI         =  $(NETWORKLIB)$(LIB_PREFIX)$(TANAME).$(LIB_EXT)
LIBNULOCAL       =  $(NETWORKLIB)$(LIB_PREFIX)$(TALNAME).$(LIB_EXT)

LLIBNUAPI         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL       =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)


LLIBNUAPI	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)
LLIBSSL          = #$(LDLIBFLAG)$(ILIB_PREFIX)sslref-bsafe$(ILIB_SUFFIX)
LLIBSSLB         = $(LDLIBFLAG)$(ILIB_PREFIX)$(SSLBNAME)$(ILIB_SUFFIX)
LLIBNZJS 	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(NZJSNAME)$(ILIB_SUFFIX)


LIBNA            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAE           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAU           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNLNV          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMP           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCI          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNFG          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNG           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNPL           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNR            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNS            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNTR           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNZ            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMS0          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBSSLREF 	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBZT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)

LIBSSLB          =  $(NETWORKLIB)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)

LIBNZJS          =  $(NETWORKLIB)$(LIB_PREFIX)$(NZJSNAME).$(LIB_EXT)

LDAPSYSLIBD = $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPCLNTNAME).$(LIB_EXT)
LDAPSYSLIBS = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBLDAPCLNTNAME)$(ILIB_SUFFIX)

# Exiting /lnx/work/pse/linux/920/src_020425/network/libnames.mk

PRODUCT=network

NETWORKSRC=$(NETWORKHOME)src/
NETWORKMESG=$(NETWORKHOME)mesg/

SNLPTDUM=$(NETWORKLIB)snlptdum.$(OBJ_EXT)
NAUDIR=$(NETWORKSRC)nau/
NZDIR=$(NETWORKSRC)nz/

CMGW		= $(NETWORKBIN)cmgw$(EXE_SUFFIX)
CMADMIN 	= $(NETWORKBIN)cmadmin$(EXE_SUFFIX)
CMCTL		= $(NETWORKBIN)cmctl$(EXE_SUFFIX)
SFPUCD		= $(NETWORKBIN)sfpucd$(EXE_SUFFIX)
SNTPTEST	= $(NETWORKBIN)sntptest$(EXE_SUFFIX)

NLUIDGEN  = $(NETWORKBIN)nluidgen$(EXE_SUFFIX)
TESTSTRIP = $(NETWORKBIN)teststrip$(EXE_SUFFIX)
TNLAD     = $(NETWORKBIN)tnlad$(EXE_SUFFIX)
TNLDS     = $(NETWORKBIN)tnlds$(EXE_SUFFIX)
TNLER     = $(NETWORKBIN)tnler$(EXE_SUFFIX)
TNLFI     = $(NETWORKBIN)tnlfi$(EXE_SUFFIX)
TNLFN     = $(NETWORKBIN)tnlfn$(EXE_SUFFIX)
TNLNV     = $(NETWORKBIN)tnlnv$(EXE_SUFFIX)
TNLPA     = $(NETWORKBIN)tnlpa$(EXE_SUFFIX)
TNLSTDG   = $(NETWORKBIN)tnlstdg$(EXE_SUFFIX)
TSETPRM   = $(NETWORKBIN)tsetprm$(EXE_SUFFIX)

S0NSPING     =$(NETWORKLIB)s0nsping.$(OBJ_EXT)
NSPING       =$(NETWORKLIB)nsping.$(OBJ_EXT)
S0NSGL       =$(NETWORKLIB)s0nsgl.$(OBJ_EXT)
S0NSGLC      =$(NETWORKLIB)s0nsglc.$(OBJ_EXT)
SNSGLP       =$(NETWORKLIB)snsglp.$(OBJ_EXT)
S0NNOV       =$(NETWORKLIB)s0nnov.$(OBJ_EXT)
S0NNOV_ONRSD =$(NETWORKLIB)s0nnov_onrsd.$(OBJ_EXT)
S0NNCC       =$(NETWORKLIB)s0nncc.$(OBJ_EXT)
NNCCM        =$(NETWORKLIB)nnccm.$(OBJ_EXT)
S0NMITCLSH   =$(OEMAGENTLIB)s0nmitclsh.$(OBJ_EXT)
S0NMI        =$(OEMAGENTLIB)s0nmi.$(OBJ_EXT)
S0NMIEE      =$(OEMAGENTLIB)s0nmiee.$(OBJ_EXT) 
S0NFPGW      =$(NETWORKLIB)s0nfpg.$(OBJ_EXT)
S0NFPUCD     =$(NETWORKLIB)s0nfpucd.$(OBJ_EXT)
S0NFPC       =$(NETWORKLIB)s0nfpc.$(OBJ_EXT)
S0NFPA       =$(NETWORKLIB)s0nfpa.$(OBJ_EXT)
S0NUE        =$(NETWORKLIB)s0nue.$(OBJ_EXT)
S0NUR        =$(NETWORKLIB)s0nur.$(OBJ_EXT)
NUR          =$(NETWORKLIB)nur.$(OBJ_EXT)
S0SNTPTEST   =$(NETWORKLIB)sntptest.$(OBJ_EXT)
NAEDHSD	     =$(NETWORKLIB)naedhsd.$(OBJ_EXT)
S0NTISMN     =$(NETWORKLIB)s0ntismn.$(OBJ_EXT)
S0NTSPXC     =$(NETWORKLIB)s0ntspxc.$(OBJ_EXT)
S0NTLLSNR    =$(NETWORKLIB)ntllsnr.$(OBJ_EXT)
S0NTLOBT     =$(NETWORKLIB)ntlobt.$(OBJ_EXT)

LOCALNETLIBS=$(LLIBNNCC) $(LLIBNL)   \
             $(PROTOCOLLIBS) $(LLIBNETWORK) \
             $(LLIBNSGL) $(LLIBNSGLC) $(LLIBNSGR) \
             $(LLIBNMD) $(LLIBNMS) \
             $(LLIBNFP) $(LSNMPLIB) $(SNMPAGENTLIB) \
             $(LLIBRPC) $(LLIBNETWORK) $(PROTOCOLLIBS) \
             $(LLIBEPC) $(LLIBNL) \
             $(LLIBNNCC) \
             $(LLIBNSGL) $(LLIBNSGLC) \
             $(LLIBNMD) $(LLIBNMS) $(LLIBNFP) $(LSNMPLIB) \
             $(LLIBNETWORK) $(ANOLIBS) $(NATIVELIBS) $(LLIBSSL) \
             $(LLIBBCERT) $(LLIBRSASTD)

LOCALNETLIBD=$(LIBNI) $(LIBNFP) $(LIBNSGR) \
             $(LIBNMD) $(LIBNNCC) $(LIBNSGL) $(LIBNSGI) \
             $(SNMPLIB) $(SNMPAGENTLIB) $(LIBNMS) $(LIBNETV2) \
             $(PROTOCOLLIBD) $(LIBSSLREF) $(LIBNETWORK) \
             $(LIBRPC) $(LIBEPC) $(PROTOCOLLIBD) $(ANOLIBD) \
             $(NATIVELIBD) $(LIBSSLREF) $(LIBBCERT)

CMGW_LINKLINE=$(LINK) $(S0NFPGW) $(LOCALNETLIBS) $(LINKTTLIBS)
CMADMIN_LINKLINE=$(LINK) $(S0NFPA) $(LOCALNETLIBS) $(LINKTTLIBS) $(LLIBTHREAD)
CMCTL_LINKLINE=$(LINK) $(S0NFPC) $(LOCALNETLIBS) $(LINKTTLIBS)
SFPUCD_LINKLINE=$(LINK) $(S0NFPUCD) $(LINKTTLIBS)
SNTPTEST_LINKLINE=$(LINK) $(S0SNTPTEST) $(LINKLDLIBS)
OKLIST_LINKLINE=$(LINK) $(NETWORKLIB)snauk5pt.$(OBJ_EXT) \
		$(NETWORKLIB)s0nauk5l.$(OBJ_EXT) \
		$(LINKTTLIBS) $(KERBEROS_LIB)
OKINIT_LINKLINE=$(LINK) $(NETWORKLIB)snauk5pt.$(OBJ_EXT) \
		$(NETWORKLIB)s0nauk5i.$(OBJ_EXT) \
		$(LINKTTLIBS) $(KERBEROS_LIB)
OKDSTRY_LINKLINE=$(LINK) $(NETWORKLIB)snauk5pt.$(OBJ_EXT) \
		$(NETWORKLIB)s0nauk5d.$(OBJ_EXT) \
		$(LINKTTLIBS) $(KERBEROS_LIB)
NAMESCTL_LINKLINE=$(LINK) $(S0NNCC) $(NNCCM) $(LOCALNETLIBS) $(LINKTTLIBS)
NAMES_LINKLINE=$(LINK) $(SNMP_OFILES) $(S0NNOV) $(LIBNNO) $(LLIBCLNT) \
	$(LOCALNETLIBS) $(LINKTTLIBS) $(SNMPAGENTLIB)
NPLITEST_LINKLINE=$(LDCCOM) $(NETWORKSRC)npl/s0tnpl.$(OBJ_EXT) \
	$(NETWORKSRC)npl/stnpl.$(OBJ_EXT) $(NETWORKSRC)npl/tnpl.$(OBJ_EXT) \
	$(TTLIBS)
NAEDAC_LINKLINE=$(LDCCOM) $(NETWORKSRC)nae/s0naedac.o \
	$(NETWORKSRC)nae/naedac.o $(LIBNAE) $(TTLIBS)
REQTOOL_LINKLINE=$(LDCCOM) $(NETWORKSRC)ssl/certs/reqtool.o \
	$(LIBSSLB) $(NIGTAB) $(TTLIBS)
TNSLSNR_OFILES=$(S0NSGL) $(SNSGLP)
TNSLSNR_LINKLINE=$(LINK) $(TNSLSNR_OFILES) $(LOCALNETLIBS) $(LINKTTLIBS) $(SNMPAGENTLIB) $(MATHLIB)
LSNRCTL_OFILES=$(S0NSGLC)
LSNRCTL_LINKLINE=$(LINK) $(LSNRCTL_OFILES) $(LOCALNETLIBS) $(LINKTTLIBS) $(SNMPAGENTLIB) $(MATHLIB)
TNSPING_LINKLINE=$(LINK) $(S0NSPING) $(NSPING) $(LINKTTLIBS)
TRCROUTE_LINKLINE=$(LINK) $(S0NUR) $(NUR) $(LINKTTLIBS)
TRCFMT_LINKLINE=$(SETUP) $(SETUP_FLAGS) $(NETWORKSRC)nu/trcfmt \
	$(NETWORKBIN)trcfmt
ONRSD_LINKLINE=$(LINK) $(SNMP_OFILES) $(S0NNOV_ONRSD) $(LIBNND) $(LLIBCLNT) \
	 $(LOCALNETLIBS) $(LINKTTLIBS) $(SNMPAGENTLIB)

INSTALL_CMAN_TARGS=icmctl icmadmin icmgw 
INSTALL_NAMES_TARGS=inames inamesctl
INSTALL_NAU_TARGS=ioklist iokinit iokdstry ikerberos icybersafe ientrust iradius
INSTALL_NET_CLIENT_TARGS=itrcroute ionrsd itnsping
INSTALL_NET_SERVER_TARGS=itnslsnr ilsnrctl

INSTALL_LDSHLIB=$(LD) $(LDFLAGS) -h $@ -G
INSTALL_LDZFLAGSPRE=-z text -z allextract
INSTALL_LDZFLAGSPOST=-z defaultextract -z defs
INSTALL_LDRUNFLAG=-R

INSTALL_SHLIB_KERBEROS=$(ECHODO) $(INSTALL_LDSHLIB) $(INSTALL_LDZFLAGSPRE) \
		       $(LOC_LIBNAUK5) $(INSTALL_LDZFLAGSPOST) \
		       $(INSTALL_LDRUNFLAG) $(PRODLIBHOME) \
	               $(SHARED_CLIENTLIBS) $(LINKLDLIBS)
INSTALL_SHLIB_RADIUS=$(ECHODO) $(INSTALL_LDSHLIB) $(INSTALL_LDZFLAGSPRE) \
		     $(LOC_LIBNAUR) $(INSTALL_LDZFLAGSPOST) \
		     $(INSTALL_LDRUNFLAG) $(PRODLIBHOME) \
	             $(SHARED_CLIENTLIBS) $(LINKLDLIBS)
INSTALL_SHLIB_CYBERSAFE=-$(ECHODO) $(INSTALL_LDSHLIB) $(INSTALL_LDZFLAGSPRE) \
			 $(LOC_LIBNAUG) $(INSTALL_LDZFLAGSPOST) \
			 $(CYBERSAFE_LIBS) $(INSTALL_LDRUNFLAG) \
	                 $(PRODLIBHOME) $(SHARED_CLIENTLIBS) $(LINKLDLIBS)
INSTALL_SHLIB_ENTRUST=-$(ECHODO) $(INSTALL_LDSHLIB) $(INSTALL_LDZFLAGSPRE) \
		       $(LOC_LIBNZTWVE) $(INSTALL_LDZFLAGSPOST) \
		       $(ENTRUST_LIBS) $(INSTALL_LDRUNFLAG) $(PRODLIBHOME) \
		       $(SHARED_CLIENTLIBS) $(LLIBNL) $(LINKLDLIBS)

# Entering /lnx/work/pse/linux/920/src_020425/network/s_network.mk

ASFLAGS_SHIP=$(NOKPIC_ASFLAGS) -o

LLAIO=
LLIBTHREAD = -lpthread

GENNT=compile

SSLTEST_THREADLIB=-lpthread
JAVACONFIG_ENV_SETUP=LD_LIBRARY_PATH=$(ORACLE_HOME)/lib:$(SRCHOME)/rdbms/lib; 

INSTALL_LDSHLIB=$(LD) $(LDFLAGS) -h $@ -shared
INSTALL_LDZFLAGSPRE=
INSTALL_LDZFLAGSPOST=
INSTALL_LDRUNFLAG=-rpath

INSTALL_SHLIB_KERBEROS=$(ECHODO) $(INSTALL_LDSHLIB) $(INSTALL_LDZFLAGSPRE) \
                       $(LOC_LIBNAUK5) $(INSTALL_LDZFLAGSPOST) \
                       $(INSTALL_LDRUNFLAG) $(PRODLIBHOME) \
                       $(SHARED_CLIENTLIBS) \
                       `cat $(ORACLE_HOME)/network/admin/libnk59.def | grep -E "[a-zA-Z]+[;]" | sed 's/^/-u/' | sed 's/\;//'`

INSTALL_SHLIB_RADIUS=$(ECHODO) $(INSTALL_LDSHLIB) $(INSTALL_LDZFLAGSPRE) \
                     $(LOC_LIBNAUR) $(INSTALL_LDZFLAGSPOST) \
                     $(INSTALL_LDRUNFLAG) $(PRODLIBHOME) \
                     $(SHARED_CLIENTLIBS) -u nauradius


INSTALL_NAU_TARGS=ioklist iokinit iokdstry ikerberos iradius

# Entering /lnx/work/pse/linux/920/src_020425/javavm/exports.mk
LIBJAVAVM=$(LIBHOME)$(LIB_PREFIX)aurora.$(LIB_EXT)
LLIBJAVAVM=$(LDLIBFLAG)aurora

# Entering /lnx/work/pse/linux/920/src_020425/javavm/s_exports.mk

# Exiting /lnx/work/pse/linux/920/src_020425/javavm/s_exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/javavm/exports.mk
# Exiting /lnx/work/pse/linux/920/src_020425/network/s_network.mk
# Exiting network.mk
# Entering s_cus_ntwk.mk



SNMPFLAG     =  -DORACLE_SNMP_PEER
SNMPSUFFIX   =  peer
LSNMPLIB     =  $(LLIBNMSP)
SNMPLIB      =  $(LIBNMSP)
SNMPAGENTLIB =  -lpeer
AGENTDIR     = nmi
SNMPAUXDIR  = nmd

# Exiting s_cus_ntwk.mk
# Entering /lnx/work/pse/linux/920/src_020425/buildtools/mkfile/libclntsh.mk
$(LIBCLNTSH):	${LIBHOME}libclient9.a	${LIBHOME}libsql9.a \
		${LIBHOME}libntcp9.a	${LIBHOME}libn9.a \
                ${LIBHOME}libnl9.a	${LIBHOME}libnldap9.a \
                ${LIBHOME}libnhost9.a	${LIBHOME}libntns9.a \
                ${LIBHOME}libnoname9.a	${LIBHOME}libnus9.a \
                ${LIBHOME}libntcps9.a  ${LIBHOME}libnro9.a \
	        ${LIBHOME}libnsslb9.a	${LIBHOME}libcommon9.a\
	        ${LIBHOME}libgeneric9.a ${LIBHOME}libmm.a\
	        ${LIBHOME}libnls9.a	${LIBHOME}libcore9.a\
		${LIBHOME}libtrace9.a ${LIBHOME}libwtc9.$(SO_EXT)\
		${RDBMSLIB}xaondy.o
	$(SILENT)$(ECHO) "Building client shared library libclntsh.so ..."
	$(SILENT)$(ECHO) "Call script $$ORACLE_HOME/bin/genclntsh ..."
	$(GENCLNTSH)
	$(SILENT)$(ECHO) "Built $$ORACLE_HOME/${LIBDIR}/libclntsh.so ... DONE"

# Exiting /lnx/work/pse/linux/920/src_020425/buildtools/mkfile/libclntsh.mk
