# $Id: cus_net_client.mk 08-mar-2002.10:43:31 donlee Exp $
#
# cus_net_client.mk - "make" file to reload network client executables
# 
# NOTE: ORACLE_HOME must be either:
#   . set in the user's environment
#   . passed in on the command line
#   . defined in a modified version of this makefile
#
# MODIFIED  (MM/DD/YY)
# donlee     03/08/02  - cannot use $<
# donlee     02/27/02  - mkldflags: echo already adds a NEWLINE
# donlee     02/27/02  - define/use macro covers for INSTALL_TARGS
# donlee     02/26/02  - use relevant LINKLINE macros
# smendiol   07/24/01  - obsolete trcasst
# donlee     02/08/01 -  rm unneeded macro defs
# donlee     02/08/01  - rm unnecessary def of ECHO
# mkrohan    10/12/00  - Switch from LINKEXSYSLIBS to LINKLDLIBS
# mkrohan    10/11/00  - Adding genagtsh
# mkrohan    05/20/00  - Bug #1304913
#

include $(ORACLE_HOME)/network/lib/env_network.mk 

LIBNET=$(LIBHOME)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
CATLDFLAGS=$(CAT) $(NETWORKINSTALL)ldflags.* | tr '\n' ' '

INSTALL_TARGS=clean $(INSTALL_NET_CLIENT_TARGS)

default: itrcroute ionrsd itnsping itrcfmt

tnsping: $(S0NSPING) $(NSPING)
	$(SILENT)$(ECHO) " - Linking $(TNSPING)"
	$(RMF) $@
	$(TNSPING_LINKLINE)

itnsping: tnsping
	-$(MV) -f $(BINHOME)tnsping $(BINHOME)tnsping0
	-$(MV) tnsping $(BINHOME)tnsping
	-$(CHMOD) 751 $(BINHOME)tnsping

trcroute: $(S0NUR) $(LIBNULOCAL)
	$(SILENT)$(ECHO) " - Linking $(TRCROUTE)"
	$(RMF) $@
	$(TRCROUTE_LINKLINE)

itrcroute: trcroute
	-$(MV) -f $(BINHOME)trcroute $(BINHOME)trcroute0
	-$(MV) trcroute $(BINHOME)trcroute
	-$(CHMOD) 751 $(BINHOME)trcroute

itrcfmt: 
	$(ECHO) "Do not relink 'trcfmt'"

onrsd:  $(S0NNOV) $(LIBNND) $(LLIBCLNT)
	$(SILENT)$(ECHO) " - Linking $(ONRSD)"
	$(RMF) $@
	$(ONRSD_LINKLINE)

ionrsd: onrsd
	-$(MV) -f $(BINHOME)onrsd $(BINHOME)onrsd0
	-$(MV) onrsd $(BINHOME)onrsd
	-$(CHMOD) 751 $(BINHOME)onrsd

# Target for relinking ntcontab.o

ntcontab.o:
	(if [ "$(GENNT)" = "compile" ] ; then \
	  $(BINHOME)gennttab > ntcontab.c ;\
	  $(CC) $(CFLAGS_SHIP) -c ntcontab.c ;\
	  $(RMF) $(LIBHOME)ntcontab.o ;\
	  $(MV) ntcontab.o $(LIBHOME) ;\
          $(AR) rv $(LIBNET) $(LIBHOME)$@ ; fi)
	(if [ "$(GENNT)" = "assemble" ] ; then \
	  $(BINHOME)gennttab > ntcontab.s ;\
	  $(AS) $(ASFLAGS_SHIP) ntcontab.o ntcontab.s ;\
	  $(RMF) $(LIBHOME)ntcontab.o ;\
	  $(MV) ntcontab.o $(LIBHOME) ;\
          $(AR) rv $(LIBNET) $(LIBHOME)$@ ; fi)
	(if [ "$(GENNT)" = "oratmp" ] ; then \
	  $(BINHOME)gennttab > ntcontab.c ;\
	  /lib/idcpp ntcontab.c oratmp.c ;\
	  $(COMP) -i oratmp.c -o oratmp.s -f ntcontab.c ;\
	  $(AS) -o ntcontab.o oratmp.s ;\
	  $(RMF) oratmp.c oratmp.s ;\
	  $(RMF) $(LIBHOME)ntcontab.o ;\
	  $(MV) ntcontab.o $(LIBHOME) ;\
          $(AR) rv $(LIBNET) $(LIBHOME)$@ ; fi)
	(if [ "$(GENNT)" = "binary" ] ; then \
	  $(BINHOME)gennttab > ntcontab.c ;\
	  TARGET_BINARY_INTERFACE=$(BINARY_INTERFACE) ;\
	  export TARGET_BINARY_INTERFACE ;\
	  $(CC) $(CFLAGS_SHIP) -c ntcontab.c ;\
	  -$(RMF) $(LIBHOME)ntcontab.o ;\
	  -$(MV) ntcontab.o $(LIBHOME) ;\
          $(AR) rv $(LIBNET) $(LIBHOME)$@ ; fi)

nnfgt.o:
	(if [ "$(GENNT)" = "compile" ] ; then \
	  $(BINHOME)gennfgt > nnfgt.c ;\
	  $(CC) $(CFLAGS_SHIP) -c nnfgt.c ;\
	  $(RMF) $(LIBHOME)nnfgt.o ;\
	  $(MV) nnfgt.o $(LIBHOME) ;\
          $(AR) rv $(LIBNET) $(LIBHOME)$@ ; fi)
	(if [ "$(GENNT)" = "assemble" ] ; then \
	  $(BINHOME)gennfgt > nnfgt.s ;\
	  $(AS) $(ASFLAGS_SHIP) nnfgt.o nnfgt.s ;\
	  $(RMF) $(LIBHOME)nnfgt.o ;\
	  $(MV) nnfgt.o $(LIBHOME) ;\
          $(AR) rv $(LIBNET) $(LIBHOME)$@ ; fi)
	(if [ "$(GENNT)" = "oratmp" ] ; then \
	  $(BINHOME)gennfgt > nnfgt.c ;\
	  /lib/idcpp nnfgt.c oratmp.c ;\
	  $(COMP) -i oratmp.c -o oratmp.s -f nnfgt.c ;\
	  $(AS) -o nnfgt.o oratmp.s ;\
	  $(RMF) oratmp.c oratmp.s ;\
	  $(RMF) $(LIBHOME)nnfgt.o ;\
	  $(MV) nnfgt.o $(LIBHOME) ;\
          $(AR) rv $(LIBNET) $(LIBHOME)$@ ; fi)
	(if [ "$(GENNT)" = "binary" ] ; then \
	  $(BINHOME)gennfgt > nnfgt.c ;\
	  TARGET_BINARY_INTERFACE=$(BINARY_INTERFACE) ;\
	  export TARGET_BINARY_INTERFACE ;\
	  $(CC) $(CFLAGS_SHIP) -c nnfgt.c ;\
	  -$(RMF) $(LIBHOME)nnfgt.o ;\
	  -$(MV) nnfgt.o $(LIBHOME) ;\
          $(AR) rv $(LIBNET) $(LIBHOME)$@ ; fi)

preinstall:
	-$(CHMOD) 755 $(BINHOME)
 
install: preinstall $(INSTALL_TARGS)
 
clean:

client_sharedlib:
	$(GENCLNTSH)
	$(GENAGTSH) $(LIBAGTSH) 1.0

# $(CATLDFLAGS) strips away all the newlines; $(ECHO) adds one
mkldflags: empty_ldflags
	-$(SILENT) $(CATLDFLAGS) >> $(LIBHOME)ldflags 
	-$(SILENT) $(ECHO) >> $(LIBHOME)ldflags

empty_ldflags:
	-$(SILENT) $(RMF) $(LIBHOME)ldflagsO
	-$(SILENT) $(TOUCH) $(LIBHOME)ldflags
	-$(SILENT) $(MV) $(LIBHOME)ldflags $(LIBHOME)ldflagsO
	-$(SILENT) $(TOUCH) $(LIBHOME)ldflags
