/*
 * $Header: pn.h 14-dec-2000.14:36:46 dbronnik Exp $
 */

/* Copyright (c) Oracle Corporation 1999, 2000. All Rights Reserved. */ 
/* 
   NAME 
     pn.h - defintions common to native C compiler and generated C code.

     **!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     **!!!! THIS FILE IS SHIPPED FOR NCOMP.                        !!!!
     **!!!!                                                        !!!!
     **!!!! If you change it for a bug fix, you will need to make  !!!!
     **!!!! sure it is re-shipped also along with the new binaries.!!!!
     **!!!! Please make this note in the BUGDB along with your fix.!!!!
     **!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

     CAUTION:

     Do not put any interpreter specific definitions in pen.h (or files
     included by pen.h such as pvm.h/pdtyp.h/pptyp.h). Such definitions
     belong in pfrdef.h/pfmdef.h. Internal support functions not required
     by generated C code belongs to pet.h/pvm0.h.

   DESCRIPTION 

   RELATED DOCUMENTS 
 
   INSPECTION STATUS 
     Inspection date: 
     Inspection status: 
     Estimated increasing cost defects per page: 
     Rule sets: 
 
   ACCEPTANCE REVIEW STATUS 
     Review date: 
     Review status: 
     Reviewers: 
 
   PUBLIC FUNCTION(S) 

   PRIVATE FUNCTION(S)

   EXAMPLES

   NOTES

   MODIFIED   (MM/DD/YY)
   dbronnik    12/14/00 - add compilation version
   kmuthukk    12/01/00 - don't use "word" type in shipped file.
   kmuthukk    12/01/00 - remove s.h include
   kmuthukk    12/01/00 - lstcat macro should not be in shipped pn.h file
   mvemulap    10/24/00 - add nept field to pnpkd
   mvemulap    07/27/00 - 
   mvemulap    12/20/99 - 
   mvemulap    11/11/99 - 
   kmuthukk    01/07/99 - defns common to native C modules and native compiler
   kmuthukk    01/07/99 - Creation

*/

 
#ifndef PN_ORACLE
# define PN_ORACLE

#ifndef ORATYPES
# include <oratypes.h>
#endif


/*---------------------------------------------------------------------------
                     PUBLIC TYPES AND CONSTANTS
  ---------------------------------------------------------------------------*/

/* pnpkd -- package (any lib unit actually) definition for native 
 * compiled libunits. When a lib-unit is instantiated, the information
 * need is taken from this definition. It is analogous to the pemtpkd
 * used for interpreted lib-units.
 */
struct  pnpkd
{
  ub4   pnver;                             /* native compiler version number */
  ub2   pnnod;                                       /* # depends-on entries */
  ub2   pnmsl;                                        /* maximum scope level */
  ub2   pnnps;               /* number of package slots (global frame slots) */
  ub4   pngfsz;                              /* size of package global frame */
  ub1   pncbsz;             /* PHD_CNSTR_BSZ(SQLCS_IMPLICIT) at compile-time */
  ub1   pnnbsz;                /* PHD_CNSTR_BSZ(SQLCS_NCHAR) of compile time */
  ub4   pnept;                                     /* number of entry points */
  ub4   pnmag;                                          /* compilation stamp */
};
typedef struct pnpkd pnpkd;


/*---------------------------------------------------------------------------
                     PRIVATE TYPES AND CONSTANTS
  ---------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
                           PUBLIC FUNCTIONS
  ---------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
                          PRIVATE FUNCTIONS
  ---------------------------------------------------------------------------*/


#endif                                                          /* PN_ORACLE */
