# Makefile for natively compiled PL/SQL sources.
#
# Copyright (c) 1995, 2002, Oracle Corporation.  All rights reserved.  
#    NAME
#      pnc_makefile.mk
#    DESCRIPTION
#      This file is used to compile C files generated
#      as a result of native compilation of PL/SQL
#      programs.
#
#
#    MODIFIED   (MM/DD/YY)
#     slahoran   02/19/02 - Allow for more shared libraries with the same name.
#     mvemulap   04/09/01 - OPTIMIZE=-xO1
#     mvemulap   04/05/01 - always make the target
#     mvemulap   03/16/01 - fix merge error
#     nmantrav   01/03/01 - Use SUNWspro6.1 cc.
#     mvemulap   01/12/01 -  remove .c file
#     kmuthukk   12/06/00 - revert back to unoptimized as default
#     kmuthukk   12/04/00 - include path must have $ORACHOME/plsql/public
#     kmuthukk   12/04/00 - set optimize to -O2
#     kmuthukk   12/04/00 - use ORACLE_HOME instead of SRCHOME
#     mvemulap   10/27/00 - no echo
#     kmuthukk   04/12/99 - compile optimized
#     mvemulap   03/13/99 - creation

I_SYM=-I

PLSQLHOME=$(ORACLE_HOME)/plsql/

# PLSQL include
PLSQLINCLUDE=$(PLSQLHOME)include/
PLSQLINCLUDEH=$(I_SYM)$(PLSQLINCLUDE)

# PLSQL public
PLSQLPUBLIC=$(PLSQLHOME)public/
PLSQLPUBLICH=$(I_SYM)$(PLSQLPUBLIC)

#
# File extensions
#
SO_EXT=so
OBJ_EXT=o
SRC_EXT=c

#
# C compiler flags
#
#optimize for gcc
#OPTIMIZE=-O1
OPTIMIZE=-O3
#PIC option for gcc
#PIC=-fpic
PIC=-fPIC
INCLUDE=$(PLSQLINCLUDEH) $(PLSQLPUBLICH)
PFLAGS=$(INCLUDE)
CFLAGS=$(OPTIMIZE) $(PFLAGS) $(PIC)

RM=/bin/rm -f

#
# Specify C Compiler
#
# CC=/usr/local/bin/gcc
CC=/usr/bin/gcc

#
# Compile Rule
#
COMPO=$(CC) $*.$(SRC_EXT) -c -o $*.$(OBJ_EXT) $(CFLAGS)
COMPILE.c=COMPO

#
# Specify Linker and Linker flags
#
LD=/usr/bin/ld
LDFLAGS=-shared -o $@
SO_COMMAND=$(LD) $(LDFLAGS) $(SHARED_CFLAG) $*.$(OBJ_EXT)

.SILENT:

#
# To create shared libraries
#
%.$(SO_EXT): FORCE
	-mv $@ $@.$$$$
	$($(COMPILE.c))
	$(SO_COMMAND)
	$(RM) -f $*.$(SRC_EXT) $*.$(OBJ_EXT)

FORCE:
