# Entering precomp.mk

# Entering /project/linux/920/src_020512/buildtools/mkfile/prefix.mk

# Entering /project/linux/920/src_020512/buildtools/mkfile/defs.mk

SHELL=/bin/sh

AS_EXT=s
CC_EXT=cpp
LIB_EXT=a
OBJ_EXT=o
PLB_EXT=plb
SO_EXT=so
LOCK_EXT=lk
SQL_EXT=sql
SYM_EXT=sym
JAVA_EXT=java
CLASS_EXT=class
JAR_EXT=jar
ZIP_EXT=zip

LIB_PREFIX=lib
LDLIBFLAG=-l
LDPATHFLAG=-L
PATHSEP= :

AR=ar
AS=as
AWK=awk
CAT=cat
CC=cc
CCC=CC
CD=cd
CHMOD=chmod
CP=cp
CPP=cpp
DATE=date
ECHO=echo
ECHON=echo -n
EXEC=exec
FIND=find
FOLLOW=-follow
NOLEAF=-noleaf
GREP=grep
KILL=kill
SLEEP=sleep
LD=ld
LMAKE=make
LN=ln
LNS=ln -s
MKDIR=mkdir
MKDIRP=mkdir -p
MV=mv
NM=nm
PERL=perl
RM=rm
RMF=rm -f
RMRF=rm -rf
SED=sed
SORT=sort
TOUCH=touch
TR=tr
XARGS=xargs
LS=ls

NULL_DEVICE=/dev/null

BINDIR=bin
LIBDIR=lib
BINHOME=$(ORACLE_HOME)/$(BINDIR)/
LIBHOME=$(ORACLE_HOME)/$(LIBDIR)/

PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/
PRODLIBHOME=$(PRODHOME)$(LIBDIR)/
PRODSOHOME=$(PRODLIBHOME)

ECHODO=$(BINHOME)echodo
GENSYSLIB=$(BINHOME)gensyslib
GENCLNTSH=$(BINHOME)genclntsh
GENCLNTST=$(BINHOME)genclntst
GENAGTSH=$(BINHOME)genagtsh
GENNAFLG=$(BINHOME)gennaflg
GENAUTAB=$(BINHOME)genautab

ARCHIVE_OBJ=$(AR) r $@ $*.$(OBJ_EXT)
ARCREATE=$(AR) cr$(ARLOCAL)
ARDELETE=$(AR) d$(ARLOCAL)
AREXTRACT=$(AR) x 
ARPRINT=$(AR) t
ARREPLACE=$(AR) r 
DOAR=$(ARCREATE) $@ $? $(RANLIB)

JARCHIVE_OBJ=$(JAR) cv0f $@ $(JPKG_FILES) $(EXTRA_CLASS_FILES)
JARCREATE=$(JAR) cv0f
JARDELETE=$(ECHO) "no such thing"
JAREXTRACT=$(JAR) xf
JARPRINT=$(JAR) tvf
JARREPLACE=$(JAR) uf

CCARCREATE=$(CCC) -xar -o 

MAKE=$(LMAKE)
QUIET=>/dev/null 2>&1
QUIETE=2>/dev/null
SILENT=@

CTSCLEAN=clean
CTSCOMPTYPE=comp_ar1 _UNLOCK='$$(_unlock)' _LOCK='$$(_lock)' _RM='$$(_rm)' 
CTSDEPLIST=DEPLIST=/dev/null
CTSMAKEFLAGS=$(SILENT:@=--no-print-directory -s) $(CTSCLEAN) $(CTSCOMPTYPE) $(CTSDEPLIST)

CFLAGS=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
CFLAGSCC=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGSCC) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
PFLAGS=$(INCLUDE) $(SPFLAGS) $(LPFLAGS)

LD_SHARED_FLAG=$(SHARED_CFLAG)

LDCCOM=$(ADE_DEL_FILE_CMD) $(PURECMDS) $(CC) $(GFLAG) $(CCFLAGS) $(EXOSFLAGS) $(LDFLAGS)
LDCCOMCC=$(ADE_DEL_FILE_CMD) $(PURECMDS) $(CCC) $(GFLAG) $(CCFLAGSCC) $(EXOSFLAGS) $(LDFLAGS)
PURECMDS=$(PURELINK) $(PURIFY) $(PURECOV) $(QUANTIFY)
LINK=$(LDCCOM)
LINKCC=$(LDCCOMCC)
LDFLAGS=-o $@ $(LDPATHFLAG)$(PRODLIBHOME) $(LDPATHFLAG)$(LIBHOME)
LDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(EXSYSLIBS) $(MATHLIB) $(USRLIBS)
MATHLIB=-lm
LINKLDLIBS=$(LDLIBS)
COBLDLIBS=$(LDLIBS)

SYSLIBLIST=$(LIBHOME)sysliblist
SYSLIBS=`$(CAT) $(SYSLIBLIST)`

NAETTOBJS=$(NAUTAB) $(NAETAB) $(NAEDHS)
TTLIBD=$(NETLIBD) $(LIBRDBMS_CLT) $(LIBMM) $(CORELIBD) $(LIBEPC) $(LIBCLNTSH)
ORACLETTLIBS1=$(NTZEOBJ) $(NETLIBS) $(LLIBRDBMS_CLT) $(LLIBWTC) $(LLIBMM) $(CORELIBS)\
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT) $(LLIBEPC) $(CORELIBS) \
       $(LLIBRDBMS_CLT) $(CORELIBS)
ORACLETTLIBS=$(ORACLETTLIBS1)
STATICTTLIBS=$(ORACLETTLIBS) $(LDLIBS)
TTLIBS=$(LLIBCLNTSH) $(STATICTTLIBS)
DEVTTLIBS=$(TTLIBS)
LINKTTLIBS=$(LLIBCLNTSH) $(ORACLETTLIBS) $(LINKLDLIBS)
COBTTLIBS=$(ORACLETTLIBS) $(COBLDLIBS)

STATIC_ORACLETTLIBS=$(NTZEOBJ) $(NETLIBS) $(LIBRDBMS_CLT) \
    $(LIBMM) $(CORELIBS) $(NETLIBS) $(LIBRDBMS_CLT) $(LIBPLS_CLT) \
    $(LIBEPC) $(CORELIBS) $(LIBRDBMS_CLT) $(CORELIBS)

ORACLESTLIBS=$(SGL_ON) $(RDBMSLIB)kpufpd.$(OBJ_EXT) $(CONFIG) $(LLIBSERVER) \
	$(LLIBODM) $(LLIBSKGXP) $(NMLIBS) $(LLIBSKGXNI) \
	$(LLIBPLSF) $(LLIBSLAX) $(LLIBGENERIC) \
	$(LLIBCLIENT) $(LLIBCOMMON) $(LLIBWTC) $(LLIBMM) $(LLIBKNLOPT) $(LLIBPLSB)\
	$(LLIBSERVER) $(LLIBEXTP) $(NAUTAB) $(NAETAB) $(NAEDHS) $(NTZEOBJ) \
	$(NETLIBS) $(LLIBCLIENT) $(LLIBPLSF) $(LLIBICX) $(LLIBOWSUTL) \
	$(LLIBJAVAVMORJOX) $(NETLIBS) $(LLIBEPC) $(SDOLIBS) $(LLIBCORE) \
	$(LLIBVSN) $(LLIBCOMMON) $(LLIBGENERIC) $(LLIBKNLOPT) \
	$(CARTLIBS) $(LLIBUNLSRTL) $(LLIBSNLSRTL) $(CORELIBS) $(LLIBNLSRTL) \
	$(LLIBWWG) $(LLIBOCIJDBC) $(LLIBXSD) $(CORELIBS)
STLIBS=$(ORACLESTLIBS) $(LDLIBS)
LINKSTLIBS=$(ORACLESTLIBS) $(LINKLDLIBS)

SHARED_CLIENTLIBS=$(LLIBCLNTSH) $(LDFLAGSLIST)
STATIC_CLIENTLIBS=$(LLIBCLNTST) $(LDFLAGSLIST)
SHARED_LDCLIENTLIBS=$(SHARED_CLIENTLIBS) $(LDLIBS)
STATIC_LDCLIENTLIBS=$(STATIC_CLIENTLIBS) $(LDLIBS)

I_SYM=-I

# Exiting /project/linux/920/src_020512/buildtools/mkfile/defs.mk
# Entering /project/linux/920/src_020512/buildtools/mkfile/platform.mk

FAMILY=unix
PLATFORM=linux

MOTIFHOME=
OPENWINHOME=
GUILIBHOME= 

DIRSEP=/

SO_EXT=so

GMAKE=make
LMAKE=make
FIND=/usr/bin/find 
PS=ps -feda
RANLIB=echo

ARCHIVE=@`if echo ${LIB} | grep lib > /dev/null 2>&1;then $(ARCREATE) $(LIB) $? ; $(RANLIB) $(LIB) ; else echo ""; fi`

JARCHIVE=@`if echo ${JLIB} | egrep '\.jar' > /dev/null 2>&1;then $(JARCREATE) $(JLIB) $? ; else echo ""; fi`

GROUP=/etc/group

LDFLAGS=-o $@ $(LDPATHFLAG)$(PRODLIBHOME) $(LDPATHFLAG)$(LIBHOME) $(LDPATHFLAG)$(LIBHOME)stubs/
LINK=$(PURECMDS) gcc $(LDFLAGS) $(COMPSOBJS)

LLIBTHREAD=

MOTIFLIBS= -lXm -lXt -lX11 -lgen -lm -lXext -lX11 -lm
XLIBS=
EXOSFLAGS=

COMPOBJS=

SHAREDLIBPATH = -Wl,-rpath,$(ORACLE_HOME)/lib
EXSYSLIBS=-ldl

LLPPATH=$(LD_LIBRARYPATH)
LINKEXSYSLIBS= $(SHAREDLIBPATH):/lib:/usr/lib

LINKLDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(LINKEXSYSLIBS) $(MATHLIB) $(USRLIBS) $(LDLIBS) $(COMPEOBJS)

OPTIMIZE3=-O3
OPTIMIZE6=-O6
OPTIMIZE=$(OPTIMIZE3)
OPTIMIZE0=-O0
OPTIMIZEG=-g

ROFLAGS=-c
SPFLAGS=-DLINUX -D_GNU_SOURCE -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -DSLTS_ENABLE -DSLMXMX_ENABLE -D_REENTRANT -DNS_THREADS

AR=/usr/bin/ar
AS=/usr/bin/as
LD=/usr/bin/ld
NM=/usr/bin/nm
TR=/bin/tr
CPP=/lib/cpp
CHMOD=/bin/chmod
CHGRP=/bin/chgrp
CHOWN=/bin/chown

KPIC_OPTION=-fPIC

CCC=/usr/bin/g++
CCFLAGSCC=-DOCCI_NO_WSTRING=1
CCARCREATE=$(AR) cr$(ARLOCAL)

ASPFLAGS=
NOKPIC_ASFLAGS=
ASFLAGS=
ASRO=$(AS) $<
ASROFLAGS=$(ASFLAGS)

ANSI=-ansi

COMPXA=$(subst -ansi,,$(COMPO))
COMPXACC=$(subst -ansi,,$(COMPOCC))


SHARED_LDFLAG=-shared -L$(ORACLE_HOME)/lib -o
SHARED_CFLAG=

NOKPIC_CCFLAGS=-trigraphs


# Exiting /project/linux/920/src_020512/buildtools/mkfile/platform.mk
# Entering /project/linux/920/src_020512/buildtools/mkfile/rules.mk
 
# Exiting /project/linux/920/src_020512/buildtools/mkfile/rules.mk
# Exiting /project/linux/920/src_020512/buildtools/mkfile/prefix.mk
# Entering /project/linux/920/src_020512/ldap/exports.mk

LDAP_VERSION=9

LIBGSLSSFNAME= gslssf$(LDAP_VERSION)
LLIBGSLSSF= $(LDLIBFLAG)$(LIBGSLSSFNAME)$(LIB_SUFFIX)
LIBGSLSSF= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSSFNAME).$(LIB_EXT)

LIBGSLSSBNAME= gslssb$(LDAP_VERSION)
LLIBGSLSSB= $(LDLIBFLAG)$(LIBGSLSSBNAME)$(LIB_SUFFIX)
LIBGSLSSB= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSSBNAME).$(LIB_EXT)

LIBGSLBER_SNAME= gslber_s$(LDAP_VERSION)
LLIBGSLBER_S= $(LDLIBFLAG)$(LIBGSLBER_SNAME)$(LIB_SUFFIX)
LIBGSLBER_S= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLBER_SNAME).$(LIB_EXT)

LIBGSLAVLNAME= gslavl$(LDAP_VERSION)
LLIBGSLAVL= $(LDLIBFLAG)$(LIBGSLAVLNAME)$(LIB_SUFFIX)
LIBGSLAVL= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLAVLNAME).$(LIB_EXT)

LIBGSLRNAME= gslr$(LDAP_VERSION)
LLIBGSLR= $(LDLIBFLAG)$(LIBGSLRNAME)$(LIB_SUFFIX)
LIBGSLR= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLRNAME).$(LIB_EXT)

LIBGSLDBNAME= gsldb$(LDAP_VERSION)
LLIBGSLDB= $(LDLIBFLAG)$(LIBGSLDBNAME)$(LIB_SUFFIX)
LIBGSLDB= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLDBNAME).$(LIB_EXT)

LIBGSLSGNAME= gslsg$(LDAP_VERSION)
LLIBGSLSG= $(LDLIBFLAG)$(LIBGSLSGNAME)$(LIB_SUFFIX)
LIBGSLSG= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSGNAME).$(LIB_EXT)

LIBGSLECNAME= gslec$(LDAP_VERSION)
LLIBGSLEC= $(LDLIBFLAG)$(LIBGSLECNAME)$(LIB_SUFFIX)
LIBGSLEC= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLECNAME).$(LIB_EXT)

LIBSGSL_SNAME= sgsl_s$(LDAP_VERSION)
LLIBSGSL_S= $(LDLIBFLAG)$(LIBSGSL_SNAME)$(LIB_SUFFIX)
LIBSGSL_S= $(LIBHOME)$(LIB_PREFIX)$(LIBSGSL_SNAME).$(LIB_EXT)

LIBLDAPCLNTNAME= ldapclnt$(LDAP_VERSION)
LIBLDAPCLNT= $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPCLNTNAME).$(LIB_EXT)
LLIBLDAPCLNT= $(LDLIBFLAG)$(LIBLDAPCLNTNAME)

LIBLDAPJCLNTNAME= ldapjclnt$(LDAP_VERSION)
LIBLDAPJCLNT= $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPJCLNTNAME).$(LIB_EXT)
LIBLDAPJCLNTSH = $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPJCLNTNAME).$(SO_EXT)
LLIBLDAPJCLNT= $(LDLIBFLAG)$(LIBLDAPJCLNTNAME)

LIBGSLMTNAME= gslmt$(LDAP_VERSION)
LLIBGSLMT= $(LDLIBFLAG)$(LIBGSLMTNAME)$(LIB_SUFFIX)
LIBGSLMT= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLMTNAME).$(LIB_EXT)

LDAPHOME=    $(ORACLE_HOME)/ldap/
LDAPBIN=     $(LDAPHOME)$(BINDIR)/
LDAPLIB=     $(LDAPHOME)$(LIBDIR)/
LDAPJLIB=    $(LDAPHOME)jlib/

LDAPPUBH=    $(I_SYM)$(LDAPHOME)public $(I_SYM)$(LDAPHOME)include


# Entering /project/linux/920/src_020512/ldap/s_exports.mk


# Exiting /project/linux/920/src_020512/ldap/s_exports.mk
# Exiting /project/linux/920/src_020512/ldap/exports.mk
# Entering /project/linux/920/src_020512/encryption/exports.mk

ENCRYPTIONHOME  = $(ORACLE_HOME)/encryption/
ENCRYPTIONLIB   = $(ENCRYPTIONHOME)$(LIBDIR)/
ENCRYPTIONJLIB  = $(ENCRYPTIONHOME)jlib/
ENCRYPTIONPUBH  = $(I_SYM)$(ENCRYPTIONHOME)include

ENCRYPTION_VERSION=9
BASENAME        =n
CRYPTNAME       =${BASENAME}crypt$(ENCRYPTION_VERSION)
LIBSNS          =$(ENCRYPTIONLIB)$(LIB_PREFIX)$(CRYPTNAME).$(LIB_EXT)
LLIBNCRYPT      =$(LDLIBFLAG)$(ILIB_PREFIX)$(CRYPTNAME)$(ILIB_SUFFIX)

RSASTDNAME	=rsastd
BCERTNAME	=bcert
NZRNAME		=nzr
LIBRSASTD	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(RSASTDNAME).$(LIB_EXT)
LIBBCERT	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(BCERTNAME).$(LIB_EXT)
LIBNZR		=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(NZRNAME).$(LIB_EXT)

PHAOSJAR=$(ENCRYPTIONJLIB)Phaos_Security_Engine_2_1_P5.$(JAR_EXT)

# Entering /project/linux/920/src_020512/encryption/s_exports.mk

# Exiting /project/linux/920/src_020512/encryption/s_exports.mk
# Exiting /project/linux/920/src_020512/encryption/exports.mk
# Entering /project/linux/920/src_020512/network/exports.mk

# Entering /project/linux/920/src_020512/network/libnames.mk

NETWORK_VERSION=9
BASENAME    =n
NETWORKLIB  = $(NETWORKHOME)$(LIBDIR)/
NETWORKJLIB = $(NETWORKHOME)jlib/

COMMONNAME=${BASENAME}${NETWORK_VERSION}
NLNAME=${BASENAME}l${NETWORK_VERSION}
TCPNAME=${BASENAME}tcp${NETWORK_VERSION}
VINAME=${BASENAME}vi${NETWORK_VERSION}
DECNETNAME=${BASENAME}dec${NETWORK_VERSION}
LU62NAME=${BASENAME}lu62${NETWORK_VERSION}
MBNAME=${BASENAME}mb${NETWORK_VERSION}
DCENAME=${BASENAME}dce${NETWORK_VERSION}
BEQNAME=${BASENAME}beq${NETWORK_VERSION}
IPCNAME=${BASENAME}ipc${NETWORK_VERSION}
SPXNAME=${BASENAME}spx${NETWORK_VERSION}
TLINAME=${BASENAME}tli${NETWORK_VERSION}
TLITNAME=${BASENAME}tlit${NETWORK_VERSION}
TLISNAME=${BASENAME}tlis${NETWORK_VERSION}
TLIDNAME=${BASENAME}tlid${NETWORK_VERSION}
USNAME=${BASENAME}us${NETWORK_VERSION}
SHMNAME=${BASENAME}shm${NETWORK_VERSION}
TCPSNAME=${BASENAME}tcps${NETWORK_VERSION}
ENTRUSTNAME=${BASENAME}nzentr${NETWORK_VERSION}
NSGRNAME=${BASENAME}sgr${NETWORK_VERSION}
LSNRNAME=${BASENAME}lsnr${NETWORK_VERSION}
LSNRCNAME=${BASENAME}lsnrc${NETWORK_VERSION}
K5NAME=${BASENAME}k5${NETWORK_VERSION}
RADNAME=${BASENAME}rad${NETWORK_VERSION}
GSSNAME=${BASENAME}gss${NETWORK_VERSION}
NAUTNAME=${BASENAME}aut${NETWORK_VERSION}
GSSTHIRDPARTY=gss
OSSNAME=${BASENAME}oss${NETWORK_VERSION}
NTSNAME=${BASENAME}nts${NETWORK_VERSION}
NSSNAME=${BASENAME}nss${NETWORK_VERSION}
ONNAME=${BASENAME}on${NETWORK_VERSION}
ONDNAME=${BASENAME}ond${NETWORK_VERSION}
ONCNAME=${BASENAME}onc${NETWORK_VERSION}
ONCJNAME=${BASENAME}oncj${NETWORK_VERSION}
RONAME=${BASENAME}ro${NETWORK_VERSION}
ROCNAME=${BASENAME}roc${NETWORK_VERSION}
ROXNAME=${BASENAME}rox${NETWORK_VERSION}
ROTNAME=${BASENAME}rot${NETWORK_VERSION}
CMNAME=${BASENAME}cm${NETWORK_VERSION}
NHOSTNAME=${BASENAME}host${NETWORK_VERSION}
TNSNAME=${BASENAME}tns${NETWORK_VERSION}
ORACLENAME=${BASENAME}oname${NETWORK_VERSION}
NISNAME=${BASENAME}nis${NETWORK_VERSION}
CDSNAME=${BASENAME}cds${NETWORK_VERSION}
NDSNAME=${BASENAME}nds${NETWORK_VERSION}
LDAPNAME=${BASENAME}ldap${NETWORK_VERSION}
LDAPJNAME=${BASENAME}ldapj${NETWORK_VERSION}
SSLBNAME=${BASENAME}sslb${NETWORK_VERSION}
NUJNINAME=${BASENAME}jni${NETWORK_VERSION}
NZJSNAME=${BASENAME}zjs${NETWORK_VERSION}
JSSLNAME=${BASENAME}jssl${NETWORK_VERSION}
ZTNAME=${BASENAME}zt${NETWORK_VERSION}
OWMNAME=owm2

NMPNAME=${BASENAME}nmp${NETWORK_VERSION}

TANAME=${BASENAME}ta${NETWORK_VERSION}
TALNAME=${BASENAME}tal${NETWORK_VERSION}

NZRNAME=nzr



SNLPTDUM         =  $(NETWORKLIB)snlptdum.$(OBJ_EXT) 
OSNTABST         = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT            = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

LIBNETWORK	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBTHINNCR       =  $(NETWORKLIB)$(LIB_PREFIX)$(ROTNAME).$(LIB_EXT)

LOC_LIBNUJNI     =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(LIB_EXT)
LOC_LIBOWM       =  $(NETWORKLIB)$(LIB_PREFIX)$(OWMNAME).$(LIB_EXT)
LOC_LIBJSSL      =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(LIB_EXT)
LIBONCJ          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(SO_EXT)
LIBNUJNI         =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(SO_EXT)
LIBJSSL          =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(SO_EXT)
LIBOWM           =  $(NETWORKLIB)$(LIB_PREFIX)$(OWMNAME).$(SO_EXT)
LIBLDAPJ         =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(SO_EXT)
LOC_LIBONCJ      =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(LIB_EXT)
LOC_LIBLDAPJ     =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(LIB_EXT)

LIBNCR           =  $(NETWORKLIB)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LIBNFP           =  $(NETWORKLIB)$(LIB_PREFIX)$(CMNAME).$(LIB_EXT)
LIBNI            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCC          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCNAME).$(LIB_EXT)
LIBNND           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONDNAME).$(LIB_EXT)
LIBNNO           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONNAME).$(LIB_EXT)
LIBNSGR          =  $(NETWORKLIB)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LIBNSGL          =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRNAME).$(LIB_EXT)
LIBNSGLC         =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRCNAME).$(LIB_EXT)

LLIBNCR           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)
LLIBNFP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CMNAME)$(ILIB_SUFFIX)
LLIBNI            =  $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)
LLIBNNCC          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONCNAME)$(ILIB_SUFFIX)
LLIBNND           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONDNAME)$(ILIB_SUFFIX)
LLIBNNO           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONNAME)$(ILIB_SUFFIX)
LLIBNSGR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)
LLIBNSGL          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRNAME)$(ILIB_SUFFIX)
LLIBNSGLC         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRCNAME)$(ILIB_SUFFIX)

LOC_LIBNAUT      =  $(NETWORKLIB)$(LIB_PREFIX)$(NAUTNAME).$(LIB_EXT)
LIBNAUT          =  $(NETWORKLIB)$(LIB_PREFIX)$(NAUTNAME).$(SO_EXT)
LOC_LIBNAUK5     =  $(NETWORKLIB)$(LIB_PREFIX)$(K5NAME).$(LIB_EXT)
LIBNAUK5         =  $(NETWORKLIB)$(LIB_PREFIX)$(K5NAME).$(SO_EXT)
LOC_LIBNAUR      =  $(NETWORKLIB)$(LIB_PREFIX)$(RADNAME).$(LIB_EXT)
LIBNAUR          =  $(NETWORKLIB)$(LIB_PREFIX)$(RADNAME).$(SO_EXT)
LOC_LIBNAUG      =  $(NETWORKLIB)$(LIB_PREFIX)$(GSSNAME).$(LIB_EXT)
LIBNAUG          =  $(NETWORKLIB)$(LIB_PREFIX)$(GSSNAME).$(SO_EXT)
LIBNAUZ          =  $(NETWORKLIB)$(LIB_PREFIX)$(OSSNAME).$(LIB_EXT)
LIBNAUNTS        =  $(NETWORKLIB)$(LIB_PREFIX)$(NTSNAME).$(LIB_EXT)

LLIBNAUK5         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(K5NAME)$(ILIB_SUFFIX)
LLIBNAUR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RADNAME)$(ILIB_SUFFIX)
LLIBNAUG          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(GSSNAME)$(ILIB_SUFFIX)
LLIBNAUZ          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(OSSNAME)$(ILIB_SUFFIX)
LLIBNAUNTS        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NTSNAME)$(ILIB_SUFFIX)



LIBNTT           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LOC_LIBNTVI      =  $(NETWORKLIB)$(LIB_PREFIX)$(VINAME).$(LIB_EXT)
LIBNTVI          =  $(NETWORKLIB)$(LIB_PREFIX)$(VINAME).$(SO_EXT)
LIBNTZ           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME).$(LIB_EXT)
LIBNTZSTUB       =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME)_std.$(LIB_EXT)
LOC_LIBNZTWVE    =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTNAME).$(LIB_EXT)
LIBNZTWVE        =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTNAME).$(SO_EXT)
LIBNTS           =  $(NETWORKLIB)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LIBNTD           =  $(NETWORKLIB)$(LIB_PREFIX)$(DECNETNAME).$(LIB_EXT)
LIBNTOD          =  $(NETWORKLIB)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LIBCDS           =  $(NETWORKLIB)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LIBNTLU62        =  $(NETWORKLIB)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LIBNTTLI	 =  $(NETWORKLIB)$(LIB_PREFIX)$(TLINAME).$(LIB_EXT)
LIBNTUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(USNAME).$(LIB_EXT)
LIBNTSHM         =  $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME).$(LIB_EXT)
LIBNTP           =  $(NETWORKLIB)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNTNP          =  $(NETWORKLIB)$(LIB_PREFIX)$(NMPNAME).$(LIB_EXT)

LLIBNTT           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)
LLIBNTVI          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(VINAME)$(ILIB_SUFFIX)
LLIBNTZ           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPSNAME)$(ILIB_SUFFIX)
LLIBNTS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)
LLIBNTD           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DECNETNAME)$(ILIB_SUFFIX)
LLIBNTOD          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)
LLIBCDS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)
LLIBNTLU62        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)
LLIBNTTLI	 =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TLINAME)$(ILIB_SUFFIX)
LLIBNTUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(USNAME)$(ILIB_SUFFIX)
LLIBNTSHM        = $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME)$(ILIB_SUFFIX)
LLIBNTP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(BEQNAME)$(ILIB_SUFFIX)
LLIBNTNP          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NMPNAME)$(ILIB_SUFFIX)

LIBNL1           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBNL2           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)

LIBNL            =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LLIBNL           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NLNAME)$(ILIB_SUFFIX)


LIBNUAPI         =  $(NETWORKLIB)$(LIB_PREFIX)$(TANAME).$(LIB_EXT)
LIBNULOCAL       =  $(NETWORKLIB)$(LIB_PREFIX)$(TALNAME).$(LIB_EXT)

LLIBNUAPI         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL       =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)


LLIBNUAPI	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)
LLIBSSL          = #$(LDLIBFLAG)$(ILIB_PREFIX)sslref-bsafe$(ILIB_SUFFIX)
LLIBSSLB         = $(LDLIBFLAG)$(ILIB_PREFIX)$(SSLBNAME)$(ILIB_SUFFIX)
LLIBNZJS 	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(NZJSNAME)$(ILIB_SUFFIX)


LIBNA            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAE           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAU           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNLNV          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMP           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCI          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNFG          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNG           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNPL           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNR            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNS            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNTR           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNZ            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMS0          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBSSLREF 	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBZT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)

LIBSSLB          =  $(NETWORKLIB)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)

LIBNZJS          =  $(NETWORKLIB)$(LIB_PREFIX)$(NZJSNAME).$(LIB_EXT)

LDAPSYSLIBD = $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPCLNTNAME).$(LIB_EXT)
LDAPSYSLIBS = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBLDAPCLNTNAME)$(ILIB_SUFFIX)

# Exiting /project/linux/920/src_020512/network/libnames.mk

NETWORKHOME=$(ORACLE_HOME)/network/
NETWORKADMIN=$(NETWORKHOME)admin/
NETWORKINSTALL=$(NETWORKHOME)install/
NETWORKDEMO=$(NETWORKHOME)demo/

# Entering /project/linux/920/src_020512/network/adapters.mk

# Entering /project/linux/920/src_020512/network/s_adapters.mk

# Exiting /project/linux/920/src_020512/network/s_adapters.mk

# Exiting /project/linux/920/src_020512/network/adapters.mk

LIBNTTCP     = $(LIBHOME)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LLIBNTTCP    = $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)

LIBNTVI      = $(LIBHOME)$(LIB_PREFIX)$(VINAME).$(LIB_EXT)
LLIBNTVI     = $(LDLIBFLAG)$(ILIB_PREFIX)$(VINAME)$(ILIB_SUFFIX)

LIBNTOD      = $(LIBHOME)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LLIBNTOD     = $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)

LIBCDS       = $(LIBHOME)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LLIBCDS      = $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)

LIBNTLU62    = $(LIBHOME)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LLIBNTLU62   = $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)

LIBNTS       = $(LIBHOME)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LLIBNTS      = $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)

LIBNETWORK   = $(LIBHOME)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LLIBNETWORK  = $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)

LIBNSGR      = $(LIBHOME)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LLIBNSGR     = $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)

LIBSQLNET  = $(LDFLAGSFILE) $(PROTOCOLLIBD) $(NATIVELIBD) $(NATIVESYSLIBD) $(LIBNSGR) $(LIBNZJS) $(LIBNETWORK) $(LIBNL)
LLIBSQLNET = $(LDFLAGSLIST) $(PROTOCOLLIBS) $(NATIVELIBS) $(NATIVESYSLIBS) $(LLIBSSLB) $(LLIBNCRYPT) $(LLIBNSGR) $(LLIBNZJS) $(LLIBNETWORK) $(LLIBNL)

LIBRPC       = $(LIBHOME)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LLIBRPC      = $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)

TNSLSNR	     = $(BINHOME)tnslsnr$(EXE_SUFFIX)
LSNRCTL	     = $(BINHOME)lsnrctl$(EXE_SUFFIX)
NAMES	     = $(BINHOME)names$(EXE_SUFFIX)
NAMESCTL     = $(BINHOME)namesctl$(EXE_SUFFIX)

NIGTAB       = $(LIBHOME)nigtab.$(OBJ_EXT)
NIGCON       = $(LIBHOME)nigcon.$(OBJ_EXT) 
NTCONTAB     = $(LIBHOME)ntcontab.$(OBJ_EXT)
MTS_NCR	     = $(LIBHOME)ncrstab.$(OBJ_EXT)

OSNTABST     = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT        = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

NAETAB       = $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS	     = $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB_OBJ   = nautab.$(OBJ_EXT)
NAUTAB	     = $(LIBHOME)$(NAUTAB_OBJ)

NETLIBS      = $(LLIBSQLNET) $(LLIBRPC) $(LLIBSQLNET)
NETLIBD      = $(LIBSQLNET) $(LIBRPC)

LDFLAGSFILE=$(LIBHOME)ldflags
LDFLAGSLIST=`$(CAT) $(LDFLAGSFILE)`

LIBNTP       = $(LIBHOME)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNL        = $(LIBHOME)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBSSLB      = $(LIBHOME)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)


# Entering /project/linux/920/src_020512/network/s_exports.mk


NAETAB64	= $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS64	= $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB64	= $(LIBHOME)$(NAUTAB_OBJ)


# Exiting /project/linux/920/src_020512/network/s_exports.mk
# Exiting /project/linux/920/src_020512/network/exports.mk
# Entering /project/linux/920/src_020512/oracore/exports.mk

COREHOME    = $(ORACLE_HOME)/oracore/
ORACOREHOME = $(COREHOME)



CORE_LIB_NAME     = core
CORE_LIB_VER      = 9
CORE_LIB          = $(CORE_LIB_NAME)$(CORE_LIB_VER)

LIBCORE_STATIC    = $(LIB_PREFIX)$(CORE_LIB).$(LIB_EXT)
LIBCORE_SHARED    = $(LIB_PREFIX)$(CORE_LIB).$(SO_EXT)
LIBCORE_SLH       = $(LIB_PREFIX)$(CORE_LIB).$(ILIB_EXT)

LIBCORE           = $(LIBHOME)$(LIBCORE_STATIC)
LLIBCORE          = $(LDLIBFLAG)$(CORE_LIB)

LIBCORE_ARC_LIB   = $(LIBCORE)
LIBCORE_SHARE_LIB = $(LIBHOME)$(LIBCORE_SHARED)


SLTS_LIB_NAME     = slts
SLTS_LIB_VER      = $(CORE_LIB_VER)
SLTS_LIB          = $(SLTS_LIB_NAME)$(SLTS_LIB_VER)

LIBSLTS_STATIC    = $(LIB_PREFIX)$(SLTS_LIB).$(LIB_EXT)
LIBSLTS_SHARED    = $(LIB_PREFIX)$(SLTS_LIB).$(SO_EXT)
LIBSLTS_SLH       = $(LIB_PREFIX)$(SLTS_LIB).$(ILIB_EXT)

LIBSLTS           = $(LIBHOME)$(LIBSLTS_STATIC)
LLIBSLTS          = $(LDLIBFLAG)$(SLTS_LIB)

LIBSLTS_ARC_LIB   = $(LIBSLTS)
LIBSLTS_SHARE_LIB = $(LIBHOME)$(LIBSLTS_SHARED)


SLF_LIB_NAME     = slf
SLF_LIB_VER      = $(CORE_LIB_VER)
SLF_LIB          = $(SLF_LIB_NAME)$(SLF_LIB_VER)

LIBSLF_STATIC    = $(LIB_PREFIX)$(SLF_LIB).$(LIB_EXT)
LIBSLF_SHARED    = $(LIB_PREFIX)$(SLF_LIB).$(SO_EXT)
LIBSLF_SLH       = $(LIB_PREFIX)$(SLF_LIB).$(ILIB_EXT)

LIBSLF           = $(LIBHOME)$(LIBSLF_STATIC)
LLIBSLF          = $(LDLIBFLAG)$(SLF_LIB)

LIBSLF_ARC_LIB   = $(LIBSLF)
LIBSLF_SHARE_LIB = $(LIBHOME)$(LIBSLF_SHARED)


XB8_LIB_NAME     = xb8
XB8_LIB_VER      = $(CORE_LIB_VER)
XB8_LIB          = $(XB8_LIB_NAME)$(XB8_LIB_VER)

LIBXB8_STATIC    = $(LIB_PREFIX)$(XB8_LIB).$(LIB_EXT)
LIBXB8_SHARED    = $(LIB_PREFIX)$(XB8_LIB).$(SO_EXT)
LIBXB8_SLH       = $(LIB_PREFIX)$(XB8_LIB).$(ILIB_EXT)

LIBXB8           = $(LIBHOME)$(LIBXB8_STATIC)
LLIBXB8          = $(LDLIBFLAG)$(XB8_LIB)

LIBXB8_ARC_LIB   = $(LIBXB8)
LIBXB8_SHARE_LIB = $(LIBHOME)$(LIBXB8_SHARED)


LEH_LIB_NAME     = leh
LEH_LIB_VER      = $(CORE_LIB_VER)
LEH_LIB          = $(LEH_LIB_NAME)$(LEH_LIB_VER)

LIBLEH_STATIC    = $(LIB_PREFIX)$(LEH_LIB).$(LIB_EXT)
LIBLEH_SHARED    = $(LIB_PREFIX)$(LEH_LIB).$(SO_EXT)
LIBLEH_SLH       = $(LIB_PREFIX)$(LEH_LIB).$(ILIB_EXT)

LIBLEH           = $(LIBHOME)$(LIBLEH_STATIC)
LLIBLEH          = $(LDLIBFLAG)$(LEH_LIB)

LIBLEH_ARC_LIB   = $(LIBLEH)
LIBLEH_SHARE_LIB = $(LIBHOME)$(LIBLEH_SHARED)


LIB816  = /oracore/sun5/8.1.6.0.0/lib
CORE816 = $(LIB816)/$(LIBCORE_STATIC)
NLS816  = $(LIB816)/$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)


LIB817  = /oracore/sun5/8.1.7.0.0/lib
CORE817 = $(LIB817)/$(LIBCORE_STATIC)
NLS817  = $(LIB817)/$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)


S0MAIN   = $(LIBHOME)s0main.$(OBJ_EXT)
S1MAIN_C = $(COREHOME)src/corehl/lpm/sosd/main/s1main.c
SCOREPT  = $(LIBHOME)scorept.$(OBJ_EXT)
SSCOREED = $(LIBHOME)sscoreed.$(OBJ_EXT)

COREPUBLIC=$(COREHOME)include $(COREHOME)public/ $(XDKPUBLIC)

ORACOREPUBH=$(I_SYM)$(COREHOME)include $(I_SYM)$(COREHOME)public $(I_SYM)$(COREHOME)port/include $(XDKPUBH)


CORELIBD = $(LIBNLSRTL) $(LIBCV6) $(LIBCORE) $(LIBNLSRTL) $(LIBCORE) \
             $(LIBNLSRTL)  $(LIBUNLSRTL) $(LIBNLSRTL)
CORELIBS = $(LLIBNLSRTL) $(LLIBCV6) $(LLIBCORE) $(LLIBNLSRTL) $(LLIBCORE) \
             $(LLIBNLSRTL) $(LLIBXML) $(LLIBCORE) $(LLIBUNLSRTL) $(LLIBNLSRTL)


# Entering /project/linux/920/src_020512/oracore/s_exports.mk
 
# Exiting /project/linux/920/src_020512/oracore/s_exports.mk
# Exiting /project/linux/920/src_020512/oracore/exports.mk
# Entering /project/linux/920/src_020512/nlsrtl/exports.mk

NLSRTLHOME= $(ORACLE_HOME)/nlsrtl/


ORA_NLS = $(ORACLE_HOME)/ocommon/nls/admin/data/
ORA_NLS33 = $(ORACLE_HOME)/ocommon/nls/admin/data/

NLSRTL_VERSION = 9
NLSRTL_DEBUG_LIBTAG = 

LIBNLSRTLNAME = nls$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)
LLIBNLSRTL= $(LDLIBFLAG)$(LIBNLSRTLNAME)$(LIB_SUFFIX)

LIBUNLSRTLNAME = unls$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBUNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBUNLSRTLNAME).$(LIB_EXT)
LLIBUNLSRTL= $(LDLIBFLAG)$(LIBUNLSRTLNAME)$(LIB_SUFFIX)

LIBSNLSRTLNAME = snls$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBSNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBSNLSRTLNAME).$(LIB_EXT)
LLIBSNLSRTL= $(LDLIBFLAG)$(LIBSNLSRTLNAME)$(LIB_SUFFIX)

NLSRTLPUBH = $(I_SYM)$(NLSRTLHOME)include


GSSHOME = $(ORACLE_HOME)/nlsrtl3/java
GSSCLASSES11 = $(GSSHOME)/lib/gss-1_1.zip
GSSCLASSES12 = $(GSSHOME)/lib/gss-1_2.zip
GSSCHARSET11 = $(GSSHOME)/lib/gss_charset-1_1.zip
GSSCHARSET12 = $(GSSHOME)/lib/gss_charset-1_2.zip

# Entering /project/linux/920/src_020512/nlsrtl/s_exports.mk


# Exiting /project/linux/920/src_020512/nlsrtl/s_exports.mk
# Exiting /project/linux/920/src_020512/nlsrtl/exports.mk
# Entering /project/linux/920/src_020512/rdbms/exports.mk


RDBMS_VERSION = 9

LIBCLNTSTNAME=clntst$(RDBMS_VERSION)
LIBCLNTST=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSTNAME).$(LIB_EXT)
LLIBCLNTST=$(LDLIBFLAG)$(LIBCLNTSTNAME)

LIBSERVERNAME=server$(RDBMS_VERSION)
LIBSERVER=$(LIBHOME)$(LIB_PREFIX)$(LIBSERVERNAME).$(LIB_EXT)
LLIBSERVER=$(LDLIBFLAG)$(LIBSERVERNAME)$(LIB_SUFFIX)

LIBCLIENTNAME=client$(RDBMS_VERSION)
LIBCLIENT=$(LIBHOME)$(LIB_PREFIX)$(LIBCLIENTNAME).$(LIB_EXT)
LLIBCLIENT=$(LDLIBFLAG)$(LIBCLIENTNAME)

LIBGENERICNAME=generic$(RDBMS_VERSION)
LIBGENERIC=$(LIBHOME)$(LIB_PREFIX)$(LIBGENERICNAME).$(LIB_EXT)
LLIBGENERIC=$(LDLIBFLAG)$(LIBGENERICNAME)

LIBSKGXPNAME=skgxp$(RDBMS_VERSION)
LIBSKGXP=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXPNAME).$(SKGXP_EXT)
LLIBSKGXP=$(LDLIBFLAG)$(LIBSKGXPNAME)

SKGXN_VERSION=2
LIBSKGXNNAME=skgxn$(SKGXN_VERSION)
LIBSKGXN=$(ORACLUSTERDIR)$(LIB_PREFIX)$(LIBSKGXNNAME).$(SKGXN_EXT)
LLIBSKGXN=$(LDLIBFLAG)$(LIBSKGXNNAME)
LIBSKGXNINAME=skgxn$(RDBMS_VERSION)
LIBSKGXNI=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXNINAME).$(SKGXN_EXT)
LLIBSKGXNI=$(LDLIBFLAG)$(LIBSKGXNINAME)

LIBOCCINAME=occi
LIBOCCI=$(LIBHOME)$(LIB_PREFIX)$(LIBOCCINAME)$(RDBMS_VERSION).$(LIB_EXT)
LLIBOCCI=$(LDLIBFLAG)$(LIBOCCINAME)$(RDBMS_VERSION)
LLIBOCCISTATIC=$(LDLIBFLAG)$(LIBOCCINAME)$(RDBMS_VERSION)

LIBSKGXP_CLT=
LLIBSKGXP_CLT=

LIBCOMMONNAME=common$(RDBMS_VERSION)
LIBCOMMON=$(LIBHOME)$(LIB_PREFIX)$(LIBCOMMONNAME).$(LIB_EXT)
LLIBCOMMON=$(LDLIBFLAG)$(LIBCOMMONNAME)

LIBVSNNAME=vsn$(RDBMS_VERSION)
LIBVSN=$(LIBHOME)$(LIB_PREFIX)$(LIBVSNNAME).$(LIB_EXT)
LLIBVSN=$(LDLIBFLAG)$(LIBVSNNAME)

LIBAGENTNAME=agent$(RDBMS_VERSION)
LIBAGENT=$(LIBHOME)$(LIB_PREFIX)$(LIBAGENTNAME).$(LIB_EXT)
LLIBAGENT=$(LDLIBFLAG)$(LIBAGENTNAME)

LIBDBTOOLSNAME=dbtools$(RDBMS_VERSION)
LIBDBTOOLS=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDBTOOLSNAME).$(LIB_EXT)
LLIBDBTOOLS=$(LDLIBFLAG)$(LIBDBTOOLSNAME)

LIBWTCNAME=wtc$(RDBMS_VERSION)
LIBWTC=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCNAME).$(LIB_EXT)
LLIBWTC=$(LDLIBFLAG)$(LIBWTCNAME)

LIBWTCSERVERNAME=wtcserver$(RDBMS_VERSION)
LIBWTCSERVER=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCSERVERNAME).$(LIB_EXT)
LLIBWTCSERVER=$(LDLIBFLAG)$(LIBWTCSERVERNAME)

DLMHOME=$(ORACLE_HOME)/odlm/

LIBMMNAME=mm
LIBMM=$(LIBHOME)$(LIB_PREFIX)$(LIBMMNAME).$(LIB_EXT)
LLIBMM=$(LDLIBFLAG)$(LIBMMNAME)


LIBRDBMS_CLT=$(LIBCLIENT) $(LIBSKGXP_CLT) $(LIBVSN) $(LIBWTC) $(LIBCOMMON) \
	$(LIBGENERIC)
LLIBRDBMS_CLT=$(LLIBCLIENT) $(LLIBSKGXP_CLT) $(LLIBVSN) $(LLIBWTC) \
	$(LLIBCOMMON) $(LLIBGENERIC)

LIBRDBMS_SERVER=$(LIBCLIENT) $(LIBSKGXP_CLT) $(LIBVSN) $(LIBWTCSERVER) \
	$(LIBCOMMON) $(LIBGENERIC)
LLIBRDBMS_SERVER=$(LLIBCLIENT) $(LLIBSKGXP_CLT) $(LLIBVSN) $(LLIBWTCSERVER) \
	$(LLIBCOMMON) $(LLIBGENERIC)

LIBCLNTSHNAME=clntsh
LIBCLNTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSHNAME).$(SO_EXT)
LLIBCLNTSH=$(LDLIBFLAG)$(LIBCLNTSHNAME)

LIBAGTSHNAME=agtsh
LIBAGTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBAGTSHNAME).$(SO_EXT)
LLIBAGTSH=$(LDLIBFLAG)$(LIBAGTSHNAME)

LIBSHWTC=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCNAME).$(SO_EXT)
LLIBSHWTC=$(LDLIBFLAG)$(LIBWTCNAME)

LIBKNLOPTNAME=knlopt
LIBKNLOPT=$(RDBMSLIB)$(LIB_PREFIX)$(LIBKNLOPTNAME).$(LIB_EXT)
LLIBKNLOPT=$(LDLIBFLAG)$(LIBKNLOPTNAME)

CONFIG = $(RDBMSLIB)config.$(OBJ_EXT)



LLIBORDSDO=$(LDLIBFLAG)$(LIBORDSDONAME)$(LIB_SUFFIX)
SDOLIBS = `if ${AR} tv $(LIBKNLOPT) | $(GREP) "kxmnsd.$(OBJ_EXT)" > /dev/null 2>&1 ; then echo " " ; else echo "${LLIBORDSDO}"; fi`

DEF_ON= $(RDBMSLIB)kpudfo.$(OBJ_EXT)
DEF_OFF= $(RDBMSLIB)kpundf.$(OBJ_EXT)
DEF_OPT= $(RDBMSLIB)defopt.$(OBJ_EXT)

RDBMSHOME=$(ORACLE_HOME)/rdbms/
RDBMSLIB=$(RDBMSHOME)$(LIBDIR)/
RDBMSADMIN=$(RDBMSHOME)admin/

ORAMAPLIB=$(RDBMSLIB)

LIBNIDNAME=nid
LIBNID=$(RDBMSLIB)$(LIB_PREFIX)$(LIBNIDNAME).$(LIB_EXT)
LLIBNID=$(LDLIBFLAG)$(LIBNIDNAME)

# Entering /project/linux/920/src_020512/rdbms/s_exports.mk


SKGXP_EXT=$(SO_EXT)



SKGXN_EXT=$(SO_EXT)


SKGXN_VERSION=9
LLIBOCCI=$(LDLIBFLAG)$(LIBOCCINAME)
LIBOCCI=$(LIBHOME)$(LIB_PREFIX)$(LIBOCCINAME).$(SO_EXT).$(RDBMS_VERSION).0

# Exiting /project/linux/920/src_020512/rdbms/s_exports.mk
# Exiting /project/linux/920/src_020512/rdbms/exports.mk
# Entering /project/linux/920/src_020512/otrace/exports.mk

TRACE_VERSION=9

LIBTRACENAME=trace$(TRACE_VERSION)
LIBTRACE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACENAME).$(LIB_EXT)
LLIBTRACE=$(LDLIBFLAG)$(LIBTRACENAME)$(LIB_SUFFIX)
LIBEPC=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACENAME).$(LIB_EXT)
LLIBEPC=$(LDLIBFLAG)$(LIBTRACENAME)$(LIB_SUFFIX)

LIBTRACEPTNAME=tracept$(TRACE_VERSION)
LIBTRACEPT=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPTNAME).$(LIB_EXT)
LLIBTRACEPT=$(LDLIBFLAG)$(LIBTRACEPTNAME)$(LIB_SUFFIX)
LIBEPCPT=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPTNAME).$(LIB_EXT)
LLIBEPCPT=$(LDLIBFLAG)$(LIBTRACEPTNAME)$(LIB_SUFFIX)

LIBTRACEFENAME=tracefe$(TRACE_VERSION)
LIBTRACEFE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEFENAME).$(LIB_EXT)
LLIBTRACEFE=$(LDLIBFLAG)$(LIBTRACEFENAME)$(LIB_SUFFIX)
LIBEPCFE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEFENAME).$(LIB_EXT)
LLIBEPCFE=$(LDLIBFLAG)$(LIBTRACEFENAME)$(LIB_SUFFIX)

LIBTRACEPLSNAME=tracepls$(TRACE_VERSION)
LIBTRACEPLS=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPLSNAME).$(LIB_EXT)
LLIBTRACEPLS=$(LDLIBFLAG)$(LIBTRACEPLSNAME)$(LIB_SUFFIX)
LIBEPCPLS=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPLSNAME).$(LIB_EXT)
LLIBEPCPLS=$(LDLIBFLAG)$(LIBTRACEPLSNAME)$(LIB_SUFFIX)

# Entering /project/linux/920/src_020512/otrace/s_exports.mk

# Exiting /project/linux/920/src_020512/otrace/s_exports.mk
# Exiting /project/linux/920/src_020512/otrace/exports.mk
# Entering /project/linux/920/src_020512/plsql/exports.mk

PLSQL_VERSION=9

WRAP=$(BINHOME)wrap

LIBPLSNAME=pls
LIBPLSN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPLS=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION) 
LIBPLSNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(SO_EXT)
ILIBPLSN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(ILIB_EXT)
LIBPLPNAME=plp
LIBPLPN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPLP=$(LDLIBFLAG)$(LIBPLPNAME)$(PLSQL_VERSION)
LIBPLPNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(SO_EXT)
ILIBPLPN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(ILIB_EXT)
LIBPLCNAME=plc
LIBPLCN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPLC=$(LDLIBFLAG)$(LIBPLCNAME)$(PLSQL_VERSION)
LIBPLCSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(SO_EXT)
ILIBPLCN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(ILIB_EXT)

LIBEXTP=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBEXTP=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION)

LIBPLSF=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION).$(LIB_EXT) 
LLIBPLSF=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION) $(LDLIBFLAG)$(LIBPLPNAME)$(PLSQL_VERSION)

LIBPLSB=$(LIBHOME)$(LIBPLSNAME)$(PLSQL_VERSION)
LLIBPLSB=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION)

PLSQLLIBS=$(LIBPLSN) $(LIBPLPN)
LPLSQLLIBS=$(LLIBPLS)


LLIBPLSQL= $(LPLSQLLIBS) $(LLIBPLP)

LIBPSANAME=psa
LIBICD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBICD=$(LDLIBFLAG)$(LIBPLPNAME)$(PLSQL_VERSION)
LIBPSD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPSD=$(LDLIBFLAG)$(LIBPLCNAME)$(PLSQL_VERSION)
LIBPSA=$(LIBHOME)$(LIB_PREFIX)$(LIBPSANAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPSA=$(LDLIBFLAG)$(LIBPSANAME)$(PLSQL_VERSION)

PLSQLHOME=$(ORACLE_HOME)/plsql/

# Entering /project/linux/920/src_020512/plsql/s_exports.mk
 
# Exiting /project/linux/920/src_020512/plsql/s_exports.mk
# Exiting /project/linux/920/src_020512/plsql/exports.mk
# Entering /project/linux/920/src_020512/slax/exports.mk

TOP = $(ORACLE_HOME)/slax

SLAX_VERSION=9
LIBSLAXNAME=slax$(SLAX_VERSION)
LLIBSLAX=$(LDLIBFLAG)$(LIBSLAXNAME)$(LIB_SUFFIX)
LIBSLAX=$(LIBHOME)$(LIB_PREFIX)$(LIBSLAXNAME).$(LIB_EXT)

SLAX_PRD=slax
SLAXHOME=$(ORACLE_HOME)/slax/
SLAXADMIN=$(SLAXHOME)admin/
SLAXLIB=$(SLAXHOME)$(LIBDIR)/
 
SLAXPUBH=$(I_SYM)$(SLAXHOME)include

# Entering /project/linux/920/src_020512/slax/s_exports.mk

# Exiting /project/linux/920/src_020512/slax/s_exports.mk
# Exiting /project/linux/920/src_020512/slax/exports.mk
# Entering /project/linux/920/src_020512/xdk/exports.mk

XDKHOME    = $(ORACLE_HOME)/xdk/

XDK_LIB_VER    = 9



XML_LIB_NAME     = xml
XML_LIB_VER      = $(XDK_LIB_VER)
XML_LIB          = $(XML_LIB_NAME)$(XML_LIB_VER)

LIBXML_STATIC    = $(LIB_PREFIX)$(XML_LIB).$(LIB_EXT)
LIBXML_SHARED    = $(LIB_PREFIX)$(XML_LIB).$(SO_EXT)
LIBXML_SLH       = $(LIB_PREFIX)$(XML_LIB).$(ILIB_EXT)

LIBXML           = $(LIBHOME)$(LIBXML_STATIC)
LLIBXML          = $(LDLIBFLAG)$(XML_LIB)

LIBXML_ARC_LIB	 = $(LIBXML)
LIBXML_SHARE_LIB = $(LIBHOME)$(LIBXML_SHARED)


XMLCG_LIB_NAME     = xmlg
XMLCG_LIB_VER      = $(XDK_LIB_VER)
XMLCG_LIB          = $(XMLCG_LIB_NAME)$(XMLCG_LIB_VER)

LIBXMLCG_STATIC    = $(LIB_PREFIX)$(XMLCG_LIB).$(LIB_EXT)
LIBXMLCG_SHARED    = $(LIB_PREFIX)$(XMLCG_LIB).$(SO_EXT)
LIBXMLCG_SLH       = $(LIB_PREFIX)$(XMLCG_LIB).$(ILIB_EXT)

LIBXMLCG           = $(LIBHOME)$(LIBXMLCG_STATIC)
LLIBXMLCG          = $(LDLIBFLAG)$(XMLCG_LIB)

LIBXMLCG_ARC_LIB   = $(LIBXMLCG)
LIBXMLCG_SHARE_LIB = $(LIBHOME)$(LIBXMLCG_SHARED)


XSD_LIB_NAME       = xsd
XSD_LIB_VER        = $(XDK_LIB_VER)
XSD_LIB            = $(XSD_LIB_NAME)$(XSD_LIB_VER)

LIBXSD_STATIC      = $(LIB_PREFIX)$(XSD_LIB).$(LIB_EXT)
LIBXSD_SHARED      = $(LIB_PREFIX)$(XSD_LIB).$(SO_EXT)
LIBXSD_SLH         = $(LIB_PREFIX)$(XSD_LIB).$(ILIB_EXT)

LIBXSD             = $(LIBHOME)$(LIBXSD_STATIC)
LLIBXSD            = $(LDLIBFLAG)$(XSD_LIB)

LIBXSD_ARC_LIB     = $(LIBXSD)
LIBXSD_SHARE_LIB   = $(LIBHOME)$(LIBXSD_SHARED)


XMLPS_LIB_NAME     = xmlps
XMLPS_LIB_VER      = $(XDK_LIB_VER)
XMLPS_LIB          = $(XMLPS_LIB_NAME)$(XMLPS_LIB_VER)

LIBXMLPS_STATIC    = $(LIB_PREFIX)$(XMLPS_LIB).$(LIB_EXT)
LIBXMLPS_SHARED    = $(LIB_PREFIX)$(XMLPS_LIB).$(SO_EXT)
LIBXMLPS_SLH       = $(LIB_PREFIX)$(XMLPS_LIB).$(ILIB_EXT)

LIBXMLPS           = $(LIBHOME)$(LIBXMLPS_STATIC)
LLIBXMLPS          = $(LDLIBFLAG)$(XMLPS_LIB)

LIBXMLPS_ARC_LIB   = $(LIBXMLPS)
LIBXMLPS_SHARE_LIB = $(LIBHOME)$(LIBXMLPS_SHARED)


XMLPC_LIB_NAME     = xmlpc
XMLPC_LIB_VER      = $(XDK_LIB_VER)
XMLPC_LIB          = $(XMLPC_LIB_NAME)$(XMLPC_LIB_VER)

LIBXMLPC_STATIC    = $(LIB_PREFIX)$(XMLPC_LIB).$(LIB_EXT)
LIBXMLPC_SHARED    = $(LIB_PREFIX)$(XMLPC_LIB).$(SO_EXT)
LIBXMLPC_SLH       = $(LIB_PREFIX)$(XMLPC_LIB).$(ILIB_EXT)

LIBXMLPC           = $(LIBHOME)$(LIBXMLPC_STATIC)
LLIBXMLPC          = $(LDLIBFLAG)$(XMLPC_LIB)

LIBXMLPC_ARC_LIB   = $(LIBXMLPC)
LIBXMLPC_SHARE_LIB = $(LIBHOME)$(LIBXMLPC_SHARED)

LLIBXDKS = $(LLIBXMLPS)                   
LLIBXDKC =              
LLIBXDKG = $(LLIBXML)                      


XML815C_LIB_NAME     = xmlc
XML815C_LIB_VER      = $(XDK_LIB_VER)
XML815C_LIB          = $(XML815C_LIB_NAME)$(XML815C_LIB_VER)

LIBXML815C_STATIC    = $(LIB_PREFIX)$(XML815C_LIB).$(LIB_EXT)
LIBXML815C_SHARED    = $(LIB_PREFIX)$(XML815C_LIB).$(SO_EXT)
LIBXML815C_SLH       = $(LIB_PREFIX)$(XML815C_LIB).$(ILIB_EXT)

LIBXML815C           = $(LIBHOME)$(LIBXML815C_STATIC)
LLIBXML815C          = $(LDLIBFLAG)$(XML815C_LIB)

LIBXML815C_ARC_LIB   = $(LIBXML815C)
LIBXML815C_SHARE_LIB = $(LIBHOME)$(LIBXML815C_SHARED)


XML816C_LIB_NAME     = xmlc
XML816C_LIB_VER      = $(XDK_LIB_VER)
XML816C_LIB          = $(XML816C_LIB_NAME)$(XML816C_LIB_VER)

LIBXML816C_STATIC    = $(LIB_PREFIX)$(XML816C_LIB).$(LIB_EXT)
LIBXML816C_SHARED    = $(LIB_PREFIX)$(XML816C_LIB).$(SO_EXT)
LIBXML816C_SLH       = $(LIB_PREFIX)$(XML816C_LIB).$(ILIB_EXT)

LIBXML816C           = $(LIBHOME)$(LIBXML816C_STATIC)
LLIBXML816C          = $(LDLIBFLAG)$(XML816C_LIB)

LIBXML816C_ARC_LIB   = $(LIBXML816C)
LIBXML816C_SHARE_LIB = $(LIBHOME)$(LIBXML816C_SHARED)


LIB816  = /oracore/sun5/8.1.6.0.0/lib
CORE816 = $(LIB816)/$(LIBCORE_STATIC)
NLS816  = $(LIB816)/$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)

XDKPUBLIC=$(XDKHOME)include $(XDKHOME)public

XDKPUBH=$(I_SYM)$(XDKHOME)include $(I_SYM)$(XDKHOME)public

XMLORGJAR = $(XDKSRC)java/lib/xmlorg.jar


XMLPARSERV2 = xmlparserv2
XMLPARSERV2JAR = $(LIBHOME)$(XMLPARSERV2).$(JAR_EXT)

XMLMESG = xmlmesg
XMLMESGJAR = $(LIBHOME)$(XMLMESG).$(JAR_EXT)

XMLPLSQL = xmlplsql
XMLPLSQLJAR = $(LIBHOME)$(XMLPLSQL).$(JAR_EXT)

XMLCOMP = xmlcomp
XMLCOMPJAR = $(LIBHOME)$(XMLCOMP).$(JAR_EXT)

XMLCOMP2 = xmlcomp2
XMLCOMP2JAR = $(LIBHOME)$(XMLCOMP2).$(JAR_EXT)

CLASSGEN = classgen
CLASSGENJAR = $(LIBHOME)$(CLASSGEN).$(JAR_EXT)

XSCHEMA = xschema
XSCHEMAJAR  = $(LIBHOME)$(XSCHEMA).$(JAR_EXT)

XSQL = oraclexsql
XSQLJAR = $(LIBHOME)$(XSQL).$(JAR_EXT)

XSQLSERIAL = xsqlserializers
XSQLSERIALJAR = $(LIBHOME)$(XSQLSERIAL).$(JAR_EXT)

TRANSX = transx
TRANSXJAR  = $(LIBHOME)$(TRANSX).$(ZIP_EXT)


# Entering /project/linux/920/src_020512/xdk/s_exports.mk
 
# Exiting /project/linux/920/src_020512/xdk/s_exports.mk



# Exiting /project/linux/920/src_020512/xdk/exports.mk

# Entering /project/linux/920/src_020512/dbjava/exports.mk

JDBCHOME=$(ORACLE_HOME)/dbjava/

JDBC_VERSION = 9

JDBCCLASSES14_JAR=$(ORACLE_HOME)/dbjava/lib/ojdbc14.jar
JDBCCLASSES12=$(ORACLE_HOME)/dbjava/lib/classes12.zip
JDBCCLASSES12_JAR=$(ORACLE_HOME)/dbjava/lib/classes12.jar
JDBCCLASSES11=$(ORACLE_HOME)/dbjava/lib/classes111.zip
JDBCCLASSES11_JAR=$(ORACLE_HOME)/dbjava/lib/classes111.jar
JDBCCLASSES10=$(ORACLE_HOME)/dbjava/lib/classes102.zip
JDBCCLASSESJOLT=$(ORACLE_HOME)/dbjava/lib/classesjolt.zip
JDBCCLASSESJOLT_JAR=$(ORACLE_HOME)/dbjava/lib/classesjolt.jar
JDBCUTHINJOLT=$(ORACLE_HOME)/dbjava/lib/ultra12.zip
JDBCUTHINJOLT_JAR=$(ORACLE_HOME)/dbjava/lib/ultra12.jar
JDBCUTSRVJOLT=$(ORACLE_HOME)/dbjava/lib/utsrv12.zip
JDBCUTSRVJOLT_JAR=$(ORACLE_HOME)/dbjava/lib/utsrv12.jar
JDBCCLASSES14DBG_JAR=$(ORACLE_HOME)/dbjava/lib/ojdbc14_g.jar
JDBCCLASSES12DBG=$(ORACLE_HOME)/dbjava/lib/classes12_g.zip
JDBCCLASSES12DBG_JAR=$(ORACLE_HOME)/dbjava/lib/classes12_g.jar
JDBCCLASSES11DBG=$(ORACLE_HOME)/dbjava/lib/classes111_g.zip
JDBCCLASSES11DBG_JAR=$(ORACLE_HOME)/dbjava/lib/classes111_g.jar
JDBCCLASSES12DMS_JAR=$(ORACLE_HOME)/dbjava/lib/classes12dms.jar
JDBCCLASSES12DMSDBG_JAR=$(ORACLE_HOME)/dbjava/lib/classes12dms_g.jar
JDBCCLASSES11PRIV_JAR=$(ORACLE_HOME)/dbjava/lib/classes111_priv.jar
JDBCCLASSES12PRIV_JAR=$(ORACLE_HOME)/dbjava/lib/classes12_priv.jar
JDBCCLASSES12DMSPRIV_JAR=$(ORACLE_HOME)/dbjava/lib/classes12dms_priv.jar
JDBCCLASSES14PRIV_JAR=$(ORACLE_HOME)/dbjava/lib/ojdbc14_priv.jar

JDBCJAR4JAVAVM=$(ORACLE_HOME)/dbjava/lib/classes12.jar


OCIJDBCNAME=ocijdbc$(JDBC_VERSION)
LIBOCIJDBC=$(JDBCHOME)lib/$(LIB_PREFIX)$(OCIJDBCNAME).$(LIB_EXT)
LLIBOCIJDBC=$(LDLIBFLAG)$(OCIJDBCNAME)$(LIB_SUFFIX)

OCIJDBCSTNAME=ocijdbcst$(JDBC_VERSION)
LLIBOCIJDBCST=$(LDLIBFLAG)$(OCIJDBCSTNAME)$(LIB_SUFFIX)

JDBC_OCI_LIB=$(JDBCHOME)lib/$(LIB_PREFIX)$(OCIJDBCNAME).$(SO_EXT)
JDBC_OCI_LIB_DEBUG=$(JDBCHOME)lib/$(LIB_PREFIX)$(OCIJDBCNAME)_g.$(SO_EXT)

HETEROXANAME = heteroxa$(JDBC_VERSION)
JDBC_XA_LIB=$(JDBCHOME)lib/$(LIB_PREFIX)$(HETEROXANAME).$(SO_EXT)
JDBC_XA_LIB_DEBUG=$(JDBCHOME)lib/$(LIB_PREFIX)$(HETEROXANAME)_g.$(SO_EXT)

NLS_CHARSET10_ZIP=$(JDBCHOME)lib/nls_charset10.zip
NLS_CHARSET11_ZIP=$(JDBCHOME)lib/nls_charset11.zip
NLS_CHARSET11_JAR=$(JDBCHOME)lib/nls_charset11.jar
NLS_CHARSET12_ZIP=$(JDBCHOME)lib/nls_charset12.zip
NLS_CHARSET12_JAR=$(JDBCHOME)lib/nls_charset12.jar

JDBCPUBH=$(I_SYM)$(JDBCHOME)if

OCRS12_ZIP=$(ORACLE_HOME)/dbjava/lib/ocrs12.zip
OCRS12_JAR=$(ORACLE_HOME)/dbjava/lib/ocrs12.jar
# Exiting /project/linux/920/src_020512/dbjava/exports.mk

# Entering /project/linux/920/src_020512/ctx/exports.mk



CTX_VERSION = 9


LIBCTXSNAME=ctxs$(CTX_VERSION)
LIBCTXS = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXSNAME).$(LIB_EXT)
LLIBCTXS = $(LDLIBFLAG)$(LIBCTXSNAME)$(LIB_SUFFIX)

LIBCTXWKLNAME=wkl
LIBCTXWK = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXWKLNAME).$(LIB_EXT)
LLIBCTXWKL = $(LDLIBFLAG)$(LIBCTXWKLNAME)$(LIB_SUFFIX)

LIBCTXCNAME=ctxc$(CTX_VERSION)
LIBCTXC = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXCNAME).$(LIB_EXT)
LLIBCTXC = $(LDLIBFLAG)$(LIBCTXCNAME)$(LIB_SUFFIX)

LIBCTXNAME=ctx$(CTX_VERSION)
LIBCTX = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXNAME).$(LIB_EXT)
LLIBCTX = $(LDLIBFLAG)$(LIBCTXNAME)$(LIB_SUFFIX)
 
LIBZXNAME=zx$(CTX_VERSION)
LIBZX = $(CTXLIB)$(LIB_PREFIX)$(LIBZXNAME).$(LIB_EXT)
LLIBZX = $(LDLIBFLAG)$(LIBZXNAME)$(LIB_SUFFIX)
 
LIBGXNAME=gx$(CTX_VERSION)
LIBGX = $(CTXLIB)$(LIB_PREFIX)$(LIBGXNAME).$(LIB_EXT)
LLIBGX = $(LDLIBFLAG)$(LIBGXNAME)$(LIB_SUFFIX)
 
CTX_LINK = $(LLIBCTXC) $(LLIBCTX) $(LLIBZX) $(LLIBGX) $(LLIBCTX) $(LLIBZX) $(LLIBGX)

CTXHOME=$(ORACLE_HOME)/ctx/

CTXPUBH=$(I_SYM)$(CTXHOME)public

CTXLIB=$(CTXHOME)lib/

# Entering /project/linux/920/src_020512/ctx/s_exports.mk
# Exiting /project/linux/920/src_020512/ctx/s_exports.mk
# Exiting /project/linux/920/src_020512/ctx/exports.mk
# Entering /project/linux/920/src_020512/javavm/exports.mk
LIBJAVAVM=$(LIBHOME)$(LIB_PREFIX)aurora.$(LIB_EXT)
LLIBJAVAVM=$(LDLIBFLAG)aurora

# Entering /project/linux/920/src_020512/javavm/s_exports.mk

# Exiting /project/linux/920/src_020512/javavm/s_exports.mk
# Exiting /project/linux/920/src_020512/javavm/exports.mk
# Entering /project/linux/920/src_020512/jis/exports.mk
# Exiting /project/linux/920/src_020512/jis/exports.mk
# Entering /project/linux/920/src_020512/jsp/exports.mk



LIBJSR=$(ORACLE_HOME)/jsp/lib/ojsr.jar

LIBJSP=$(ORACLE_HOME)/jsp/lib/ojsp.jar
LIBJSPRUN=$(ORACLE_HOME)/jsp/lib/ojsprun.jar
LIBJSPXLATE=$(ORACLE_HOME)/jsp/lib/ojspxlate.jar
LIBUTIL=$(ORACLE_HOME)/jsp/lib/ojsputil.jar

# Exiting /project/linux/920/src_020512/jsp/exports.mk
# Entering /project/linux/920/src_020512/sqlplus/exports.mk

PRODUCT=sqlplus
SQLPLUSHOME=$(ORACLE_HOME)/sqlplus/
SQLPLUSLIBDIR=$(SQLPLUSHOME)$(LIBDIR)/

LIBSQLPLUSNAME = sqlplus
LIBISQLPLUSNAME= isqlplus
LIBSQLPLUSSO   = $(SQLPLUSLIBDIR)$(LIB_PREFIX)$(LIBSQLPLUSNAME).$(SO_EXT)
LIBSQLPLUS     = $(SQLPLUSLIBDIR)$(LIB_PREFIX)$(LIBSQLPLUSNAME).$(LIB_EXT)
LIBISQLPLUS    = $(SQLPLUSLIBDIR)$(LIB_PREFIX)$(LIBISQLPLUSNAME).$(LIB_EXT)
LLIBSQLPLUS    = $(LDLIBFLAG)$(LIBSQLPLUSNAME)
LLIBISQLPLUS   = $(LDLIBFLAG)$(LIBISQLPLUSNAME)

LIBMAIN        = $(SQLPLUSLIBDIR)s0afimai.$(OBJ_EXT)
LIBIMAIN       = $(SQLPLUSLIBDIR)safiimfg.$(OBJ_EXT)
LLIBMAIN       = $(SQLPLUSLIBDIR)s0afimai.$(OBJ_EXT)
LLIBIMAIN      = $(SQLPLUSLIBDIR)safiimfg.$(OBJ_EXT)

SQLPLUSLIBS    = $(LLIBMAIN) $(LLIBSQLPLUS)
ISQLPLUSLIBS   = $(LLIBIMAIN) $(LLIBISQLPLUS) $(LLIBSQLPLUS)

SQLPLUS        = $(SQLPLUSBINDIR)sqlplus$(EXE_SUFFIX)
ISQLPLUS       = $(SQLPLUSBINDIR)isqlplus$(EXE_SUFFIX)

# Entering /project/linux/920/src_020512/sqlplus/s_exports.mk

SHARED_LDFLAG=-shared -L$(SQLPLUSHOME)lib -L$(ORACLE_HOME)/lib -R$(ORACLE_HOME)/lib -o
LDSYMSTRIP=-s
S_LDOPTS=-h $(LIB_PREFIX)$(LIBSQLPLUSNAME).$(SO_EXT) $(LDSYMSTRIP) \
-u afidrv -z defs -lc

HELPINS=$(SQLPLUSBINDIR)helpins
DEMOBLD=$(SQLPLUSBINDIR)demobld
DEMODROP=$(SQLPLUSBINDIR)demodrop
# Exiting /project/linux/920/src_020512/sqlplus/s_exports.mk
# Exiting /project/linux/920/src_020512/sqlplus/exports.mk
 
# Entering /project/linux/920/src_020512/precomp/exports.mk

TOP=$(ORACLE_HOME)/precomp

PRECOMP_VERSION=9
LIBSQLNAME=sql$(PRECOMP_VERSION)
LLIBSQL=$(LDLIBFLAG)$(LIBSQLNAME)$(LIB_SUFFIX)
LIBSQL=$(LIBHOME)$(LIB_PREFIX)$(LIBSQLNAME).$(LIB_EXT)

PRECOMP_PRD=precomp
PRECOMPHOME=$(ORACLE_HOME)/precomp/
PRECOMPADMIN=$(PRECOMPHOME)admin/
PRECOMPLIB=$(PRECOMPHOME)$(LIBDIR)/

OTTCLASSESZIP=$(PRECOMPLIB)ottclasses.$(ZIP_EXT)

PRECOMPPUBH=$(I_SYM)$(PRECOMPHOME)public $(I_SYM)$(PRECOMPHOME)include

# Entering /project/linux/920/src_020512/precomp/s_exports.mk
 
# Exiting /project/linux/920/src_020512/precomp/s_exports.mk
# Exiting /project/linux/920/src_020512/precomp/exports.mk

PRODUCT=precomp

PRECOMPADALIB=$(PRECOMPHOME)pubsrc/adalib/
PRECOMPBIN=$(PRECOMPHOME)$(BINDIR)/
PRECOMPDEMO=$(PRECOMPHOME)demo/
PRECOMPINCLUDE=$(PRECOMPHOME)include/
PRECOMPINSTALL=$(PRECOMPHOME)install/
PRECOMPMESG=$(PRECOMPHOME)mesg/
PRECOMPSRC=$(PRECOMPHOME)src/
PRECOMPUTL=$(PRECOMPHOME)utl/

OTTCLASS=$(PRECOMPHOME)classes/
JAVAC=$(JDK_HOME)/bin/javac
JAVAC_MEM_FLAG = -J-mx64m

UTL_SCRIPTS = \
        ott \

PRODLIBHOME=$(PRECOMPLIB)


LIBFIDLNAME=fidl
LIBMODNAME=mod
LIBOTTNAME=ots2c
LIBPCCNAME=pcc
LIBPCONAME=pco
LIBPFONAME=pfo
LIBPGPNAME=pgp
LIBPPLNAME=ppl
LIBPROC2NAME=proc2
LIBPROCOB2NAME=procob2
LIBPSDNAME=psd
LIBSQXNAME=sqx8

LIBFIDL=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBFIDLNAME).$(LIB_EXT)
LIBMOD=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBMODNAME).$(LIB_EXT)
LIBOTT=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBOTTNAME).$(LIB_EXT)
LIBPCC=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPCCNAME).$(LIB_EXT)
LIBPCO=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPCONAME).$(LIB_EXT)
LIBPFO=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPFONAME).$(LIB_EXT)
LIBPGP=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPGPNAME).$(LIB_EXT)
LIBPPL=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPPLNAME).$(LIB_EXT)
LIBPROC2=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPROC2NAME).$(LIB_EXT)
LIBPROCOB2=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPROCOB2NAME).$(LIB_EXT)
LIBPSD=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBPSDNAME).$(LIB_EXT)
LIBSQX=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBSQXNAME).$(LIB_EXT)

LOC_LIBSQL=$(PRECOMPLIB)$(LIB_PREFIX)$(LIBSQLNAME).$(LIB_EXT)

PRECOMP_LIBS=$(LIBFIDL) $(LIBMOD) $(LIBOTT) $(LIBPCC) $(LIBPCO) $(LIBPFO) \
	$(LIBPGP) $(LIBPPL) $(LIBPROC2) $(LIBPROCOB2) $(LIBPSD) $(LOC_LIBSQL)
 
COBMAIN=$(PRECOMPLIB)spc0drv.$(OBJ_EXT)
COB2MAIN=$(PRECOMPLIB)spcbd.$(OBJ_EXT)
FIDLMAIN=$(PRECOMPLIB)ilmain.$(OBJ_EXT)
FORMAIN=$(PRECOMPLIB)spc1drv.$(OBJ_EXT)
MODADAMAIN=$(PRECOMPLIB)pmsapr.$(OBJ_EXT) $(PRECOMPLIB)spmmain.$(OBJ_EXT)
PLIMAIN=$(PRECOMPLIB)spc3drv.$(OBJ_EXT)
 
PD1OBJ=pd1.$(OBJ_EXT)
PDAOBJ=pda.$(OBJ_EXT)
PDBOBJ=pdb.$(OBJ_EXT)
PDCOBJ=pdc.$(OBJ_EXT)
PDFOBJ=pdf.$(OBJ_EXT)
PDSOBJ=pds.$(OBJ_EXT)
CODEGENOBJS=$(PD1OBJ) $(PDAOBJ) $(PDCOBJ) $(PDBOBJ) $(PDFOBJ) $(PDSOBJ)

ADAPDC=$(PRECOMPLIB)$(PDAOBJ) $(PRECOMPLIB)$(PDSOBJ)
CPDC=$(PRECOMPLIB)$(PDCOBJ) $(PRECOMPLIB)$(PDSOBJ)
COBPDC=$(PRECOMPLIB)$(PDBOBJ) $(PRECOMPLIB)$(PDSOBJ)
FORPDC=$(PRECOMPLIB)$(PDFOBJ) $(PRECOMPLIB)$(PDSOBJ)
PLIPDC=$(PRECOMPLIB)$(PD1OBJ) $(PRECOMPLIB)$(PDSOBJ)

PRECOMP_OBJFILES=$(ADAPDC) $(CPDC) $(COBPDC) $(FORPDC) $(PLIPDC) $(COBMAIN) \
		 $(COB2MAIN) $(FIDLMAIN) $(FORMAIN) $(MODADAMAIN) $(PLIMAIN)

PRECOMPH=$(I_SYM)$(PRECOMPHOME)hdrs
PRECOMPSH=$(PRECOMPH) $(PRECOMPPUBH)

INCLUDE=$(PRECOMPSH) $(PLSQLPUBH) $(RDBMSPUBH) $(ORACOREPUBH) $(NLSRTLPUBH) \
	$(OTRACEPUBH) $(NETWORKPUBH) $(SLAXPUBH) $(OTHER_H) $(I_SYM).


STATICPROLDLIBS=$(STATIC_LDCLIENTLIBS) $(LLIBTHREAD)
DYNAMICPROLDLIBS=$(SHARED_LDCLIENTLIBS) $(LLIBTHREAD)
PROLDLIBS=$(DYNAMICPROLDLIBS)

STATICCPPLDLIBS=$(STATIC_LDCLIENTLIBS)
DYNAMICCPPLDLIBS=$(SHARED_LDCLIENTLIBS)
CPPLDLIBS=$(DYNAMICCPPLDLIBS)

COBOL_STATICPROLDLIBS=$(STATIC_CLIENTLIBS) $(COBLDLIBS) $(LLIBTHREAD)
COBOL_DYNAMICPROLDLIBS=$(SHARED_CLIENTLIBS) $(COBLDLIBS) $(LLIBTHREAD)
COBOL_PROLDLIBS=$(COBOL_DYNAMICPROLDLIBS)

LIBPLS_CLT=$(LPLSQLLIBS)

MODADA=modada$(EXE_SUFFIX)
OTT=ott$(EXE_SUFFIX)
OTT8=ott8$(EXE_SUFFIX)
PROC=proc$(EXE_SUFFIX)
PROCOB=procob$(EXE_SUFFIX)
PROCOB18=procob18$(EXE_SUFFIX)
PROFOR=profor$(EXE_SUFFIX)
PROPLI=propli$(EXE_SUFFIX)
RTSORA=rtsora$(EXE_SUFFIX)

LOC_MODADA=$(PRECOMPBIN)$(MODADA)
LOC_OTT=$(PRECOMPBIN)$(OTT8)
LOC_PROC=$(PRECOMPBIN)$(PROC)
LOC_PROCOB=$(PRECOMPBIN)$(PROCOB)
LOC_PROCOB18=$(PRECOMPBIN)$(PROCOB18)
LOC_PROFOR=$(PRECOMPBIN)$(PROFOR)
LOC_PROPLI=$(PRECOMPBIN)$(PROPLI)
LOC_RTSORA=$(PRECOMPBIN)$(RTSORA)

MODADA_LINKLINE=$(LINK) $(MODADAMAIN) $(LIBMOD) $(ADAPDC) $(LIBSLAX) \
		$(LIBPGP) $(LLIBPLSQL) $(LLIBSNLSRTL) $(LLIBUNLSRTL) \
		$(LLIBNLSRTL) $(DEF_ON) $(SSCOREED) $(LINKTTLIBS)

OTT8_LINKLINE=$(LINK) $(S0MAIN) $(LIBOTT) $(LIBPGP) $(DEF_ON) $(LLIBPLSQL) \
	     $(LINKTTLIBS)

PROC_LINKLINE=$(LINK) $(S0MAIN) $(CPDC) $(LIBPROC2) $(LIBSLAX) \
	      $(LIBPGP) $(LLIBPLSQL) $(LLIBSNLSRTL) $(LLIBUNLSRTL) \
	      $(LLIBNLSRTL) $(DEF_ON) $(LINKTTLIBS)

PROCOB_LINKLINE=$(LINK) $(COB2MAIN) $(LIBPROCOB2) $(LIBSLAX) $(COBPDC) \
	        $(LIBPGP) $(DEF_ON) $(LLIBPLSQL) $(LIBPROCOB2) $(LLIBPLSQL) \
	        $(LLIBSNLSRTL) $(LLIBUNLSRTL) $(LLIBNLSRTL) $(SSCOREED) \
		$(LINKTTLIBS)

PROCOB18_LINKLINE=$(LINK) $(COBMAIN) $(COBPDC) $(LIBPCO) $(LIBPCC) $(LIBPGP) \
		  $(LLIBPLSQL) $(LIBSLAX) $(LIBPSD) $(LLIBPLSQL) $(LIBPSD) \
		  $(LLIBSNLSRTL) $(LLIBUNLSRTL) $(LLIBNLSRTL) $(DEF_ON) \
		  $(SSCOREED) $(LINKTTLIBS)

PROFOR_LINKLINE=$(LINK) $(FORMAIN) $(FORPDC) $(LIBPFO) \
		$(LIBPCC) $(LIBPGP) $(LLIBPLSQL) $(LIBPSD) $(LIBSLAX) \
		$(LLIBPLSQL) $(LIBPSD) $(LLIBSNLSRTL) $(LLIBUNLSRTL) \
		$(LLIBNLSRTL) $(DEF_ON) $(SSCOREED) $(LINKTTLIBS)

PROPLI_LINKLINE=$(LINK) $(PLIMAIN) $(PLIPDC) $(LIBPPL) $(LIBPCC) \
		$(LIBPGP) $(LLIBPLSQL) $(LIBSLAX) $(LIBPSD) $(LLIBPLSQL) \
		$(LIBPSD) $(LLIBSNLSRTL) $(LLIBUNLSRTL) $(LLIBNLSRTL) \
		$(DEF_ON) $(SSCOREED) $(LINKTTLIBS)

RTSORA_LINKLINE=$(COB) -o $(LOC_RTSORA) -t -xe "" $(RTSPORTFLAGS) \
		$(COBSQLINTF) $(SCOREPT) $(SSCOREED) $(DEF_ON) $(LDPATHFLAG) \
		$(LIBHOME) $(LLIBCLNTSH)

EXE_PROT=755


DEMO_PROC_BUILD_SHARED=$(CC) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(PROLDLIBS)
DEMO_PROC_BUILD_STATIC=$(CC) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICPROLDLIBS)
DEMO_PROC_CPPBUILD_SHARED=$(CPLUSPLUS) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(CPPLDLIBS)
DEMO_PROC_CPPBUILD_STATIC=$(CPLUSPLUS) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICCPPLDLIBS)
PCC2C=$(PROC) $(PROCFLAGS) iname=$(PCCSRC) $(INCLUDE)
C2O=$(CC) $(CFLAGS) -c $*.c
C++2O_EXE=$(CPLUSPLUS) -c $(INCLUDE) $(EXE).c
C++2O=$(CPLUSPLUS) -c $(INCLUDE) $*.c

DEMO_PROCOB_BUILD_SHARED=$(COB) $(COBFLAGS) -o $(EXE) $(COBS) $(LDPATHFLAG)$(LIBHOME) $(COBSQLINTF) $(COBOL_PROLDLIBS)
DEMO_PROCOB_BUILD_STATIC=$(COB) $(COBFLAGS) -o $(EXE) $(COBS) $(LDPATHFLAG)$(LIBHOME) $(COBSQLINTF) $(COBOL_STATICPROLDLIBS)
COB2GNT=$(COB) $(COBGNTFLAGS) $*.cob

DEMO_PROFOR_BUILD_SHARED=$(FC) $(FCFLAGS) -o $(EXE) $(FORS) $(FC_LDPATHFLAG)$(LIBHOME) $(PROLDLIBS)
DEMO_PROFOR_BUILD_STATIC=$(FC) $(FCFLAGS) -o $(EXE) $(FORS) $(FC_LDPATHFLAG)$(LIBHOME) $(STATICPROLDLIBS)
F2O=$(FC) $(FCFLAGS) -c $*.f

LIBDIR32=lib32

DEMO_PROC_BUILD_SHARED_32=$(CC) $(LFLAGS32) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(PROLDLIBS)
DEMO_PROC_BUILD_STATIC_32=$(CC) $(LFLAGS32) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICPROLDLIBS)
DEMO_PROC_CPPBUILD_SHARED_32=$(CPLUSPLUS) $(LFLAGS32) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(CPPLDLIBS)
DEMO_PROC_CPPBUILD_STATIC_32=$(CPLUSPLUS) $(LFLAGS32) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICCPPLDLIBS)
C2O_32=$(CC) $(CFLAGS32) -c $*.c
C++2O_EXE_32=$(CPLUSPLUS) $(LFLAGS32) -c $(INCLUDE) $(EXE).c
C++2O_32=$(CPLUSPLUS) $(LFLAGS32) -c $(INCLUDE) $*.c
CFLAGS32=$(CFLAGS)
LFLAGS32=

DEMO_PROCOB_BUILD_SHARED_32=$(DEMO_PROCOB_BUILD_SHARED)
DEMO_PROCOB_BUILD_STATIC_32=$(DEMO_PROCOB_BUILD_STATIC)
COB2GNT_32=$(COB2GNT)

DEMO_PROFOR_BUILD_SHARED_32=$(DEMO_PROFOR_BUILD_SHARED)
DEMO_PROFOR_BUILD_STATIC_32=$(DEMO_PROFOR_BUILD_STATIC)
F2O_32=$(F2O)

LIBDIR64=lib64

DEMO_PROC_BUILD_SHARED_64=$(CC) $(LFLAGS64) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(PROLDLIBS)
DEMO_PROC_BUILD_STATIC_64=$(CC) $(LFLAGS64) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICPROLDLIBS)
DEMO_PROC_CPPBUILD_SHARED_64=$(CPLUSPLUS) $(LFLAGS64) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(CPPLDLIBS)
DEMO_PROC_CPPBUILD_STATIC_64=$(CPLUSPLUS) $(LFLAGS64) -o $(EXE) $(OBJS) $(LDPATHFLAG)$(LIBHOME) $(STATICCPPLDLIBS)
C2O_64=$(CC) $(CFLAGS64) -c $*.c
C++2O_EXE_64=$(CPLUSPLUS) $(LFLAGS64) -c $(INCLUDE) $(EXE).c
C++2O_64=$(CPLUSPLUS) $(LFLAGS64) -c $(INCLUDE) $*.c
CFLAGS64=$(CFLAGS)
LFLAGS64=

DEMO_PROCOB_BUILD_SHARED_64=$(DEMO_PROCOB_BUILD_SHARED)
DEMO_PROCOB_BUILD_STATIC_64=$(DEMO_PROCOB_BUILD_STATIC)
COB2GNT_64=$(COB2GNT)

DEMO_PROFOR_BUILD_SHARED_64=$(DEMO_PROFOR_BUILD_SHARED)
DEMO_PROFOR_BUILD_STATIC_64=$(DEMO_PROFOR_BUILD_STATIC)
F2O_64=$(F2O)


INSTALL_SHORTCUT_TARGETS=$(MODADA) $(OTT8) $(PROC) $(PROCOB) $(PROCOB18) \
			 $(PROFOR) $(PROPLI) $(RTSORA)

# Entering /project/linux/920/src_020512/precomp/s_precomp.mk
 
ASFLAGS=

LLAIO=
LLIBTHREAD=
THREADLIBS=$(LLIBTHREAD)
TTLIBS+=-ldl

CCFLAGS= $(NOKPIC_CCFLAGS) -fPIC -DPRECOMP

SYS_INCLUDE='sys_include=(/usr/include,/usr/lib/gcc-lib/i486-suse-linux/2.95.3/include,/usr/lib/gcc-lib/i386-redhat-linux/2.96/include)'

CPLUSPLUS=g++
CPLUS_SYS_INCLUDE='sys_include=(/usr/include,/usr/lib/gcc-lib/i486-suse-linux/2.95.3/include,/usr/include/g++,/usr/lib/gcc-lib/i386-redhat-linux/2.96/include)'
CPLUS_INCLUDE= $(I_SYM)$(PRECOMPDEMO)proc $(INCLUDE)
CPLUS_CFLAGS=$(OPTIMIZE) $(INCLUDE) -DSLTS_ENABLE -D_REENTRANT

ADAPORT=verdix
ADACC=ada -e
ADALD=a.ld
ADACLEAN= a.rmlib -f

COB=cob
COBFLAGS=-C IBMCOMP -C NESTCALL  -x
COBGNTFLAGS=-C IBMCOMP -C NESTCALL -u
GNT=.gnt
COBSQLINTF=$(PRECOMPLIB)cobsqlintf.o
SHAREDLIBPATH =  -L$(ORACLE_HOME)/lib

FC=f77-4.0
FCFLAGS=
FC_LDPATHFLAG=$(LDPATHFLAG)

PL1=lpipl1
PL1LD=ldpl1
PL1FLAGS=-lowercase


JAVACLASSDIR=$(ORACLE_HOME)/precomp/classes/
JDK_HOME=/usr/local/java/jdk118_v3

JAVAC13=/usr/local/java/jdk1.3.1_02/bin/javac -classpath $(CLASSPATH13) -d $(JAVACLASSDIR)

CLASSPATH13=.$(CLASS_SEP)$(JAVACLASSDIR)$(CLASS_SEP)$(JDBCCLASSES11)$(CLASS_SEP)/usr/local/java/jdk1.3.1_02/lib/dt.jar:/usr/local/java/jdk1.3.1_02/lib/tools.jar:$(ORACLE_HOME)/sqlj/lib/runtime.zip:$(ORACLE_HOME)/jdbc/lib/nls_charset11.zip:$(ORACLE_HOME)/sqlj/lib/translator.zip:$(ORACLE_HOME)/javavm/lib/aurora.zip:$(ORACLE_HOME)/precomp/lib/ottclasses.zip

CLASS_SEP=:
DIRSEP=/

ZIP=zip

JAVACLASSPATH=.$(CLASS_SEP)$(JAVACLASSDIR)$(CLASS_SEP)$(JDBCCLASSES11)$(CLASS_SEP)$(COREHOME)lib/lclasses11.zip$(CLASS_SEP)$(JDK_HOME)/lib/classes.zip$(CLASS_SEP)$(ORACLE_HOME)/sqlj/lib/translator.zip$(CLASS_SEP)$(SRCHOME)/sqlj/lib/runtime.zip

SHIPHOME_JRE_LOCATION=/usr/local/java/jre118_v3
SHIPHOME_JRE_RUNCMD=jre
SHIPHOME_JRE_JRECLASSFILE=$(SHIPHOME_JRE_LOCATION)/lib/rt.jar:$(SHIPHOME_JRE_LOCATION)/lib/i18n.jar
SHIPHOME_JRE_JDBCCLASSFILE=classes111.zip
SHIPHOME_JRE_SSLCLASSFILE=$$ORACLE_HOME/jlib/javax-ssl-1_1.jar:$$ORACLE_HOME/jlib/jssl-1_1.jar
SHIPHOME_JDK_LOCATION=/usr/local/java/jdk1.3.1_02
SHIPHOME_JDK_RUNCMD=java
SHIPHOME_JDK_JDKCLASSFILE=$(SHIPHOME_JDK_LOCATION)/lib/dt.jar:$(SHIPHOME_JDK_LOCATION)/lib/tools.jar
SHIPHOME_JDK_JDBCCLASSFILE=classes12_g.zip
SHIPHOME_JDK_NLSCLASSFILE=nls_charset12.jar
SHIPHOME_JDK_SQLJCLASSFILE=runtime12.jar
SHIPHOME_JDK_SSLCLASSFILE=$$ORACLE_HOME/jlib/javax-ssl-1_2.jar:$$ORACLE_HOME/jlib/jssl-1_2.jar

# Exiting /project/linux/920/src_020512/precomp/s_precomp.mk
# Exiting precomp.mk
# Entering /project/linux/920/src_020512/buildtools/mkfile/libclntsh.mk
$(LIBCLNTSH):	${LIBHOME}libclient9.a	${LIBHOME}libsql9.a \
		${LIBHOME}libntcp9.a	${LIBHOME}libn9.a \
                ${LIBHOME}libnl9.a	${LIBHOME}libnldap9.a \
                ${LIBHOME}libnhost9.a	${LIBHOME}libntns9.a \
                ${LIBHOME}libnoname9.a	${LIBHOME}libnus9.a \
                ${LIBHOME}libntcps9.a  ${LIBHOME}libnro9.a \
	        ${LIBHOME}libnsslb9.a	${LIBHOME}libcommon9.a\
	        ${LIBHOME}libgeneric9.a ${LIBHOME}libmm.a\
	        ${LIBHOME}libnls9.a	${LIBHOME}libcore9.a\
		${LIBHOME}libtrace9.a ${LIBHOME}libwtc9.$(SO_EXT)\
		${RDBMSLIB}xaondy.o
	$(SILENT)$(ECHO) "Building client shared library libclntsh.so ..."
	$(SILENT)$(ECHO) "Call script $$ORACLE_HOME/bin/genclntsh ..."
	$(GENCLNTSH)
	$(SILENT)$(ECHO) "Built $$ORACLE_HOME/${LIBDIR}/libclntsh.so ... DONE"

# Exiting /project/linux/920/src_020512/buildtools/mkfile/libclntsh.mk
