# Entering rdbms.mk

# Entering /project/ia/920/src_020504/buildtools/mkfile/prefix.mk

# Entering /project/ia/920/src_020504/buildtools/mkfile/defs.mk

SHELL=/bin/sh

AS_EXT=s
CC_EXT=cpp
LIB_EXT=a
OBJ_EXT=o
PLB_EXT=plb
SO_EXT=so
LOCK_EXT=lk
SQL_EXT=sql
SYM_EXT=sym
JAVA_EXT=java
CLASS_EXT=class
JAR_EXT=jar
ZIP_EXT=zip

LIB_PREFIX=lib
LDLIBFLAG=-l
LDPATHFLAG=-L
PATHSEP= :

AR=ar
AS=as
AWK=awk
CAT=cat
CC=cc
CCC=CC
CD=cd
CHMOD=chmod
CP=cp
CPP=cpp
DATE=date
ECHO=echo
ECHON=echo -n
EXEC=exec
FIND=find
FOLLOW=-follow
NOLEAF=-noleaf
GREP=grep
KILL=kill
SLEEP=sleep
LD=ld
LMAKE=make
LN=ln
LNS=ln -s
MKDIR=mkdir
MKDIRP=mkdir -p
MV=mv
NM=nm
PERL=perl
RM=rm
RMF=rm -f
RMRF=rm -rf
SED=sed
SORT=sort
TOUCH=touch
TR=tr
XARGS=xargs
LS=ls

NULL_DEVICE=/dev/null

BINDIR=bin
LIBDIR=lib
BINHOME=$(ORACLE_HOME)/$(BINDIR)/
LIBHOME=$(ORACLE_HOME)/$(LIBDIR)/

PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/
PRODLIBHOME=$(PRODHOME)$(LIBDIR)/
PRODSOHOME=$(PRODLIBHOME)

ECHODO=$(BINHOME)echodo
GENSYSLIB=$(BINHOME)gensyslib
GENCLNTSH=$(BINHOME)genclntsh
GENCLNTST=$(BINHOME)genclntst
GENAGTSH=$(BINHOME)genagtsh
GENNAFLG=$(BINHOME)gennaflg
GENAUTAB=$(BINHOME)genautab

ARCHIVE_OBJ=$(AR) r $@ $*.$(OBJ_EXT)
ARCREATE=$(AR) cr$(ARLOCAL)
ARDELETE=$(AR) d$(ARLOCAL)
AREXTRACT=$(AR) x 
ARPRINT=$(AR) t
ARREPLACE=$(AR) r 
DOAR=$(ARCREATE) $@ $? $(RANLIB)

JARCHIVE_OBJ=$(JAR) cv0f $@ $(JPKG_FILES) $(EXTRA_CLASS_FILES)
JARCREATE=$(JAR) cv0f
JARDELETE=$(ECHO) "no such thing"
JAREXTRACT=$(JAR) xf
JARPRINT=$(JAR) tvf
JARREPLACE=$(JAR) uf

CCARCREATE=$(CCC) -xar -o 

MAKE=$(LMAKE)
QUIET=>/dev/null 2>&1
QUIETE=2>/dev/null
SILENT=@

CTSCLEAN=clean
CTSCOMPTYPE=comp_ar1 _UNLOCK='$$(_unlock)' _LOCK='$$(_lock)' _RM='$$(_rm)' 
CTSDEPLIST=DEPLIST=/dev/null
CTSMAKEFLAGS=$(SILENT:@=--no-print-directory -s) $(CTSCLEAN) $(CTSCOMPTYPE) $(CTSDEPLIST)

CFLAGS=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGS) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
CFLAGSCC=$(GFLAG) $(OPTIMIZE) $(CDEBUG) $(CCFLAGSCC) $(PFLAGS)\
	$(SHARED_CFLAG) $(USRFLAGS)
PFLAGS=$(INCLUDE) $(SPFLAGS) $(LPFLAGS)

LD_SHARED_FLAG=$(SHARED_CFLAG)

LDCCOM=$(ADE_DEL_FILE_CMD) $(PURECMDS) $(CC) $(GFLAG) $(CCFLAGS) $(EXOSFLAGS) $(LDFLAGS)
LDCCOMCC=$(ADE_DEL_FILE_CMD) $(PURECMDS) $(CCC) $(GFLAG) $(CCFLAGSCC) $(EXOSFLAGS) $(LDFLAGS)
PURECMDS=$(PURELINK) $(PURIFY) $(PURECOV) $(QUANTIFY)
LINK=$(LDCCOM)
LINKCC=$(LDCCOMCC)
LDFLAGS=-o $@ $(LDPATHFLAG)$(PRODLIBHOME) $(LDPATHFLAG)$(LIBHOME)
LDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(EXSYSLIBS) $(MATHLIB) $(USRLIBS)
MATHLIB=-lm
LINKLDLIBS=$(LDLIBS)
COBLDLIBS=$(LDLIBS)

SYSLIBLIST=$(LIBHOME)sysliblist
SYSLIBS=`$(CAT) $(SYSLIBLIST)`

NAETTOBJS=$(NAUTAB) $(NAETAB) $(NAEDHS)
TTLIBD=$(NETLIBD) $(LIBRDBMS_CLT) $(LIBMM) $(CORELIBD) $(LIBEPC) $(LIBCLNTSH)
ORACLETTLIBS1=$(NTZEOBJ) $(NETLIBS) $(LLIBRDBMS_CLT) $(LLIBWTC) $(LLIBMM) $(CORELIBS)\
       $(NETLIBS) $(LLIBRDBMS_CLT) $(LIBPLS_CLT) $(LLIBEPC) $(CORELIBS) \
       $(LLIBRDBMS_CLT) $(CORELIBS)
ORACLETTLIBS=$(ORACLETTLIBS1)
STATICTTLIBS=$(ORACLETTLIBS) $(LDLIBS)
TTLIBS=$(LLIBCLNTSH) $(STATICTTLIBS)
DEVTTLIBS=$(TTLIBS)
LINKTTLIBS=$(LLIBCLNTSH) $(ORACLETTLIBS) $(LINKLDLIBS)
COBTTLIBS=$(ORACLETTLIBS) $(COBLDLIBS)

STATIC_ORACLETTLIBS=$(NTZEOBJ) $(NETLIBS) $(LIBRDBMS_CLT) \
    $(LIBMM) $(CORELIBS) $(NETLIBS) $(LIBRDBMS_CLT) $(LIBPLS_CLT) \
    $(LIBEPC) $(CORELIBS) $(LIBRDBMS_CLT) $(CORELIBS)

ORACLESTLIBS=$(SGL_ON) $(RDBMSLIB)kpufpd.$(OBJ_EXT) $(CONFIG) $(LLIBSERVER) \
	$(LLIBODM) $(LLIBSKGXP) $(NMLIBS) $(LLIBSKGXNI) \
	$(LLIBPLSF) $(LLIBSLAX) $(LLIBGENERIC) \
	$(LLIBCLIENT) $(LLIBCOMMON) $(LLIBWTC) $(LLIBMM) $(LLIBKNLOPT) $(LLIBPLSB)\
	$(LLIBSERVER) $(LLIBEXTP) $(NAUTAB) $(NAETAB) $(NAEDHS) $(NTZEOBJ) \
	$(NETLIBS) $(LLIBCLIENT) $(LLIBPLSF) $(LLIBICX) $(LLIBOWSUTL) \
	$(LLIBJAVAVMORJOX) $(NETLIBS) $(LLIBEPC) $(SDOLIBS) $(LLIBCORE) \
	$(LLIBVSN) $(LLIBCOMMON) $(LLIBGENERIC) $(LLIBKNLOPT) \
	$(CARTLIBS) $(LLIBUNLSRTL) $(LLIBSNLSRTL) $(CORELIBS) $(LLIBNLSRTL) \
	$(LLIBWWG) $(LLIBOCIJDBC) $(LLIBXSD) $(CORELIBS)
STLIBS=$(ORACLESTLIBS) $(LDLIBS)
LINKSTLIBS=$(ORACLESTLIBS) $(LINKLDLIBS)

SHARED_CLIENTLIBS=$(LLIBCLNTSH) $(LDFLAGSLIST)
STATIC_CLIENTLIBS=$(LLIBCLNTST) $(LDFLAGSLIST)
SHARED_LDCLIENTLIBS=$(SHARED_CLIENTLIBS) $(LDLIBS)
STATIC_LDCLIENTLIBS=$(STATIC_CLIENTLIBS) $(LDLIBS)

I_SYM=-I

# Exiting /project/ia/920/src_020504/buildtools/mkfile/defs.mk
# Entering /project/ia/920/src_020504/buildtools/mkfile/platform.mk

FAMILY=unix
PLATFORM=linux

MOTIFHOME=
OPENWINHOME=
GUILIBHOME= 

DIRSEP=/

SO_EXT=so

GMAKE=make
LMAKE=make
FIND=/usr/bin/find 
PS=ps -feda
RANLIB=echo

ARCHIVE=@`if echo ${LIB} | grep lib > /dev/null 2>&1;then $(ARCREATE) $(LIB) $? ; $(RANLIB) $(LIB) ; else echo ""; fi`

JARCHIVE=@`if echo ${JLIB} | egrep '\.jar' > /dev/null 2>&1;then $(JARCREATE) $(JLIB) $? ; else echo ""; fi`

GROUP=/etc/group

LDFLAGS=-o $@ $(LDPATHFLAG)$(PRODLIBHOME) $(LDPATHFLAG)$(LIBHOME) $(LDPATHFLAG)$(LIBHOME)stubs/
LINK=$(PURECMDS) gcc $(LDFLAGS) $(COMPSOBJS)

LLIBTHREAD=

MOTIFLIBS= -lXm -lXt -lX11 -lgen -lm -lXext -lX11 -lm
XLIBS=
EXOSFLAGS=

COMPOBJS=

SHAREDLIBPATH = -Wl,-rpath,$(ORACLE_HOME)/lib
EXSYSLIBS=-ldl

LLPPATH=$(LD_LIBRARYPATH)
LINKEXSYSLIBS= $(SHAREDLIBPATH):/lib:/usr/lib

LINKLDLIBS=$(EXPDLIBS) $(EXOSLIBS) $(SYSLIBS) $(LINKEXSYSLIBS) $(MATHLIB) $(USRLIBS) $(LDLIBS) $(COMPEOBJS)

OPTIMIZE3=-O3
OPTIMIZE6=-O6
OPTIMIZE=$(OPTIMIZE3)
OPTIMIZE0=-O0
OPTIMIZEG=-g

ROFLAGS=-c
SPFLAGS=-DLINUX -D_GNU_SOURCE -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -DSLTS_ENABLE -DSLMXMX_ENABLE -D_REENTRANT -DNS_THREADS

AR=/usr/bin/ar
AS=/usr/bin/as
LD=/usr/bin/ld
NM=/usr/bin/nm
TR=/bin/tr
CPP=/lib/cpp
CHMOD=/bin/chmod
CHGRP=/bin/chgrp
CHOWN=/bin/chown

KPIC_OPTION=-fPIC

CCC=/usr/bin/g++
CCFLAGSCC=-DOCCI_NO_WSTRING=1
CCARCREATE=$(AR) cr$(ARLOCAL)

ASPFLAGS=
NOKPIC_ASFLAGS=
ASFLAGS=
ASRO=$(AS) $<
ASROFLAGS=$(ASFLAGS)

ANSI=-ansi

COMPXA=$(subst -ansi,,$(COMPO))
COMPXACC=$(subst -ansi,,$(COMPOCC))


SHARED_LDFLAG=-shared -L$(ORACLE_HOME)/lib -o
SHARED_CFLAG=

NOKPIC_CCFLAGS=-trigraphs


# Exiting /project/ia/920/src_020504/buildtools/mkfile/platform.mk
# Entering /project/ia/920/src_020504/buildtools/mkfile/rules.mk
 
# Exiting /project/ia/920/src_020504/buildtools/mkfile/rules.mk
# Exiting /project/ia/920/src_020504/buildtools/mkfile/prefix.mk
# Entering /project/ia/920/src_020504/oracore/exports.mk

COREHOME    = $(ORACLE_HOME)/oracore/
ORACOREHOME = $(COREHOME)



CORE_LIB_NAME     = core
CORE_LIB_VER      = 9
CORE_LIB          = $(CORE_LIB_NAME)$(CORE_LIB_VER)

LIBCORE_STATIC    = $(LIB_PREFIX)$(CORE_LIB).$(LIB_EXT)
LIBCORE_SHARED    = $(LIB_PREFIX)$(CORE_LIB).$(SO_EXT)
LIBCORE_SLH       = $(LIB_PREFIX)$(CORE_LIB).$(ILIB_EXT)

LIBCORE           = $(LIBHOME)$(LIBCORE_STATIC)
LLIBCORE          = $(LDLIBFLAG)$(CORE_LIB)

LIBCORE_ARC_LIB   = $(LIBCORE)
LIBCORE_SHARE_LIB = $(LIBHOME)$(LIBCORE_SHARED)


SLTS_LIB_NAME     = slts
SLTS_LIB_VER      = $(CORE_LIB_VER)
SLTS_LIB          = $(SLTS_LIB_NAME)$(SLTS_LIB_VER)

LIBSLTS_STATIC    = $(LIB_PREFIX)$(SLTS_LIB).$(LIB_EXT)
LIBSLTS_SHARED    = $(LIB_PREFIX)$(SLTS_LIB).$(SO_EXT)
LIBSLTS_SLH       = $(LIB_PREFIX)$(SLTS_LIB).$(ILIB_EXT)

LIBSLTS           = $(LIBHOME)$(LIBSLTS_STATIC)
LLIBSLTS          = $(LDLIBFLAG)$(SLTS_LIB)

LIBSLTS_ARC_LIB   = $(LIBSLTS)
LIBSLTS_SHARE_LIB = $(LIBHOME)$(LIBSLTS_SHARED)


SLF_LIB_NAME     = slf
SLF_LIB_VER      = $(CORE_LIB_VER)
SLF_LIB          = $(SLF_LIB_NAME)$(SLF_LIB_VER)

LIBSLF_STATIC    = $(LIB_PREFIX)$(SLF_LIB).$(LIB_EXT)
LIBSLF_SHARED    = $(LIB_PREFIX)$(SLF_LIB).$(SO_EXT)
LIBSLF_SLH       = $(LIB_PREFIX)$(SLF_LIB).$(ILIB_EXT)

LIBSLF           = $(LIBHOME)$(LIBSLF_STATIC)
LLIBSLF          = $(LDLIBFLAG)$(SLF_LIB)

LIBSLF_ARC_LIB   = $(LIBSLF)
LIBSLF_SHARE_LIB = $(LIBHOME)$(LIBSLF_SHARED)


XB8_LIB_NAME     = xb8
XB8_LIB_VER      = $(CORE_LIB_VER)
XB8_LIB          = $(XB8_LIB_NAME)$(XB8_LIB_VER)

LIBXB8_STATIC    = $(LIB_PREFIX)$(XB8_LIB).$(LIB_EXT)
LIBXB8_SHARED    = $(LIB_PREFIX)$(XB8_LIB).$(SO_EXT)
LIBXB8_SLH       = $(LIB_PREFIX)$(XB8_LIB).$(ILIB_EXT)

LIBXB8           = $(LIBHOME)$(LIBXB8_STATIC)
LLIBXB8          = $(LDLIBFLAG)$(XB8_LIB)

LIBXB8_ARC_LIB   = $(LIBXB8)
LIBXB8_SHARE_LIB = $(LIBHOME)$(LIBXB8_SHARED)


LEH_LIB_NAME     = leh
LEH_LIB_VER      = $(CORE_LIB_VER)
LEH_LIB          = $(LEH_LIB_NAME)$(LEH_LIB_VER)

LIBLEH_STATIC    = $(LIB_PREFIX)$(LEH_LIB).$(LIB_EXT)
LIBLEH_SHARED    = $(LIB_PREFIX)$(LEH_LIB).$(SO_EXT)
LIBLEH_SLH       = $(LIB_PREFIX)$(LEH_LIB).$(ILIB_EXT)

LIBLEH           = $(LIBHOME)$(LIBLEH_STATIC)
LLIBLEH          = $(LDLIBFLAG)$(LEH_LIB)

LIBLEH_ARC_LIB   = $(LIBLEH)
LIBLEH_SHARE_LIB = $(LIBHOME)$(LIBLEH_SHARED)


LIB816  = /oracore/sun5/8.1.6.0.0/lib
CORE816 = $(LIB816)/$(LIBCORE_STATIC)
NLS816  = $(LIB816)/$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)


LIB817  = /oracore/sun5/8.1.7.0.0/lib
CORE817 = $(LIB817)/$(LIBCORE_STATIC)
NLS817  = $(LIB817)/$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)


S0MAIN   = $(LIBHOME)s0main.$(OBJ_EXT)
S1MAIN_C = $(COREHOME)src/corehl/lpm/sosd/main/s1main.c
SCOREPT  = $(LIBHOME)scorept.$(OBJ_EXT)
SSCOREED = $(LIBHOME)sscoreed.$(OBJ_EXT)

COREPUBLIC=$(COREHOME)include $(COREHOME)public/ $(XDKPUBLIC)

ORACOREPUBH=$(I_SYM)$(COREHOME)include $(I_SYM)$(COREHOME)public $(I_SYM)$(COREHOME)port/include $(XDKPUBH)


CORELIBD = $(LIBNLSRTL) $(LIBCV6) $(LIBCORE) $(LIBNLSRTL) $(LIBCORE) \
             $(LIBNLSRTL)  $(LIBUNLSRTL) $(LIBNLSRTL)
CORELIBS = $(LLIBNLSRTL) $(LLIBCV6) $(LLIBCORE) $(LLIBNLSRTL) $(LLIBCORE) \
             $(LLIBNLSRTL) $(LLIBXML) $(LLIBCORE) $(LLIBUNLSRTL) $(LLIBNLSRTL)


# Entering /project/ia/920/src_020504/oracore/s_exports.mk
 
# Exiting /project/ia/920/src_020504/oracore/s_exports.mk
# Exiting /project/ia/920/src_020504/oracore/exports.mk
# Entering /project/ia/920/src_020504/xdk/exports.mk

XDKHOME    = $(ORACLE_HOME)/xdk/

XDK_LIB_VER    = 9



XML_LIB_NAME     = xml
XML_LIB_VER      = $(XDK_LIB_VER)
XML_LIB          = $(XML_LIB_NAME)$(XML_LIB_VER)

LIBXML_STATIC    = $(LIB_PREFIX)$(XML_LIB).$(LIB_EXT)
LIBXML_SHARED    = $(LIB_PREFIX)$(XML_LIB).$(SO_EXT)
LIBXML_SLH       = $(LIB_PREFIX)$(XML_LIB).$(ILIB_EXT)

LIBXML           = $(LIBHOME)$(LIBXML_STATIC)
LLIBXML          = $(LDLIBFLAG)$(XML_LIB)

LIBXML_ARC_LIB	 = $(LIBXML)
LIBXML_SHARE_LIB = $(LIBHOME)$(LIBXML_SHARED)


XMLCG_LIB_NAME     = xmlg
XMLCG_LIB_VER      = $(XDK_LIB_VER)
XMLCG_LIB          = $(XMLCG_LIB_NAME)$(XMLCG_LIB_VER)

LIBXMLCG_STATIC    = $(LIB_PREFIX)$(XMLCG_LIB).$(LIB_EXT)
LIBXMLCG_SHARED    = $(LIB_PREFIX)$(XMLCG_LIB).$(SO_EXT)
LIBXMLCG_SLH       = $(LIB_PREFIX)$(XMLCG_LIB).$(ILIB_EXT)

LIBXMLCG           = $(LIBHOME)$(LIBXMLCG_STATIC)
LLIBXMLCG          = $(LDLIBFLAG)$(XMLCG_LIB)

LIBXMLCG_ARC_LIB   = $(LIBXMLCG)
LIBXMLCG_SHARE_LIB = $(LIBHOME)$(LIBXMLCG_SHARED)


XSD_LIB_NAME       = xsd
XSD_LIB_VER        = $(XDK_LIB_VER)
XSD_LIB            = $(XSD_LIB_NAME)$(XSD_LIB_VER)

LIBXSD_STATIC      = $(LIB_PREFIX)$(XSD_LIB).$(LIB_EXT)
LIBXSD_SHARED      = $(LIB_PREFIX)$(XSD_LIB).$(SO_EXT)
LIBXSD_SLH         = $(LIB_PREFIX)$(XSD_LIB).$(ILIB_EXT)

LIBXSD             = $(LIBHOME)$(LIBXSD_STATIC)
LLIBXSD            = $(LDLIBFLAG)$(XSD_LIB)

LIBXSD_ARC_LIB     = $(LIBXSD)
LIBXSD_SHARE_LIB   = $(LIBHOME)$(LIBXSD_SHARED)


XMLPS_LIB_NAME     = xmlps
XMLPS_LIB_VER      = $(XDK_LIB_VER)
XMLPS_LIB          = $(XMLPS_LIB_NAME)$(XMLPS_LIB_VER)

LIBXMLPS_STATIC    = $(LIB_PREFIX)$(XMLPS_LIB).$(LIB_EXT)
LIBXMLPS_SHARED    = $(LIB_PREFIX)$(XMLPS_LIB).$(SO_EXT)
LIBXMLPS_SLH       = $(LIB_PREFIX)$(XMLPS_LIB).$(ILIB_EXT)

LIBXMLPS           = $(LIBHOME)$(LIBXMLPS_STATIC)
LLIBXMLPS          = $(LDLIBFLAG)$(XMLPS_LIB)

LIBXMLPS_ARC_LIB   = $(LIBXMLPS)
LIBXMLPS_SHARE_LIB = $(LIBHOME)$(LIBXMLPS_SHARED)


XMLPC_LIB_NAME     = xmlpc
XMLPC_LIB_VER      = $(XDK_LIB_VER)
XMLPC_LIB          = $(XMLPC_LIB_NAME)$(XMLPC_LIB_VER)

LIBXMLPC_STATIC    = $(LIB_PREFIX)$(XMLPC_LIB).$(LIB_EXT)
LIBXMLPC_SHARED    = $(LIB_PREFIX)$(XMLPC_LIB).$(SO_EXT)
LIBXMLPC_SLH       = $(LIB_PREFIX)$(XMLPC_LIB).$(ILIB_EXT)

LIBXMLPC           = $(LIBHOME)$(LIBXMLPC_STATIC)
LLIBXMLPC          = $(LDLIBFLAG)$(XMLPC_LIB)

LIBXMLPC_ARC_LIB   = $(LIBXMLPC)
LIBXMLPC_SHARE_LIB = $(LIBHOME)$(LIBXMLPC_SHARED)

LLIBXDKS = $(LLIBXMLPS)                   
LLIBXDKC =              
LLIBXDKG = $(LLIBXML)                      


XML815C_LIB_NAME     = xmlc
XML815C_LIB_VER      = $(XDK_LIB_VER)
XML815C_LIB          = $(XML815C_LIB_NAME)$(XML815C_LIB_VER)

LIBXML815C_STATIC    = $(LIB_PREFIX)$(XML815C_LIB).$(LIB_EXT)
LIBXML815C_SHARED    = $(LIB_PREFIX)$(XML815C_LIB).$(SO_EXT)
LIBXML815C_SLH       = $(LIB_PREFIX)$(XML815C_LIB).$(ILIB_EXT)

LIBXML815C           = $(LIBHOME)$(LIBXML815C_STATIC)
LLIBXML815C          = $(LDLIBFLAG)$(XML815C_LIB)

LIBXML815C_ARC_LIB   = $(LIBXML815C)
LIBXML815C_SHARE_LIB = $(LIBHOME)$(LIBXML815C_SHARED)


XML816C_LIB_NAME     = xmlc
XML816C_LIB_VER      = $(XDK_LIB_VER)
XML816C_LIB          = $(XML816C_LIB_NAME)$(XML816C_LIB_VER)

LIBXML816C_STATIC    = $(LIB_PREFIX)$(XML816C_LIB).$(LIB_EXT)
LIBXML816C_SHARED    = $(LIB_PREFIX)$(XML816C_LIB).$(SO_EXT)
LIBXML816C_SLH       = $(LIB_PREFIX)$(XML816C_LIB).$(ILIB_EXT)

LIBXML816C           = $(LIBHOME)$(LIBXML816C_STATIC)
LLIBXML816C          = $(LDLIBFLAG)$(XML816C_LIB)

LIBXML816C_ARC_LIB   = $(LIBXML816C)
LIBXML816C_SHARE_LIB = $(LIBHOME)$(LIBXML816C_SHARED)


LIB816  = /oracore/sun5/8.1.6.0.0/lib
CORE816 = $(LIB816)/$(LIBCORE_STATIC)
NLS816  = $(LIB816)/$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)

XDKPUBLIC=$(XDKHOME)include $(XDKHOME)public

XDKPUBH=$(I_SYM)$(XDKHOME)include $(I_SYM)$(XDKHOME)public

XMLORGJAR = $(XDKSRC)java/lib/xmlorg.jar


XMLPARSERV2 = xmlparserv2
XMLPARSERV2JAR = $(LIBHOME)$(XMLPARSERV2).$(JAR_EXT)

XMLMESG = xmlmesg
XMLMESGJAR = $(LIBHOME)$(XMLMESG).$(JAR_EXT)

XMLPLSQL = xmlplsql
XMLPLSQLJAR = $(LIBHOME)$(XMLPLSQL).$(JAR_EXT)

XMLCOMP = xmlcomp
XMLCOMPJAR = $(LIBHOME)$(XMLCOMP).$(JAR_EXT)

XMLCOMP2 = xmlcomp2
XMLCOMP2JAR = $(LIBHOME)$(XMLCOMP2).$(JAR_EXT)

CLASSGEN = classgen
CLASSGENJAR = $(LIBHOME)$(CLASSGEN).$(JAR_EXT)

XSCHEMA = xschema
XSCHEMAJAR  = $(LIBHOME)$(XSCHEMA).$(JAR_EXT)

XSQL = oraclexsql
XSQLJAR = $(LIBHOME)$(XSQL).$(JAR_EXT)

XSQLSERIAL = xsqlserializers
XSQLSERIALJAR = $(LIBHOME)$(XSQLSERIAL).$(JAR_EXT)

TRANSX = transx
TRANSXJAR  = $(LIBHOME)$(TRANSX).$(ZIP_EXT)


# Entering /project/ia/920/src_020504/xdk/s_exports.mk
 
# Exiting /project/ia/920/src_020504/xdk/s_exports.mk



# Exiting /project/ia/920/src_020504/xdk/exports.mk
# Entering /project/ia/920/src_020504/nlsrtl/exports.mk

NLSRTLHOME= $(ORACLE_HOME)/nlsrtl/


ORA_NLS = $(ORACLE_HOME)/ocommon/nls/admin/data/
ORA_NLS33 = $(ORACLE_HOME)/ocommon/nls/admin/data/

NLSRTL_VERSION = 9
NLSRTL_DEBUG_LIBTAG = 

LIBNLSRTLNAME = nls$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBNLSRTLNAME).$(LIB_EXT)
LLIBNLSRTL= $(LDLIBFLAG)$(LIBNLSRTLNAME)$(LIB_SUFFIX)

LIBUNLSRTLNAME = unls$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBUNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBUNLSRTLNAME).$(LIB_EXT)
LLIBUNLSRTL= $(LDLIBFLAG)$(LIBUNLSRTLNAME)$(LIB_SUFFIX)

LIBSNLSRTLNAME = snls$(NLSRTL_VERSION)$(NLSRTL_DEBUG_LIBTAG)
LIBSNLSRTL= $(LIBHOME)$(LIB_PREFIX)$(LIBSNLSRTLNAME).$(LIB_EXT)
LLIBSNLSRTL= $(LDLIBFLAG)$(LIBSNLSRTLNAME)$(LIB_SUFFIX)

NLSRTLPUBH = $(I_SYM)$(NLSRTLHOME)include


GSSHOME = $(ORACLE_HOME)/nlsrtl3/java
GSSCLASSES11 = $(GSSHOME)/lib/gss-1_1.zip
GSSCLASSES12 = $(GSSHOME)/lib/gss-1_2.zip
GSSCHARSET11 = $(GSSHOME)/lib/gss_charset-1_1.zip
GSSCHARSET12 = $(GSSHOME)/lib/gss_charset-1_2.zip

# Entering /project/ia/920/src_020504/nlsrtl/s_exports.mk


# Exiting /project/ia/920/src_020504/nlsrtl/s_exports.mk
# Exiting /project/ia/920/src_020504/nlsrtl/exports.mk
# Entering /project/ia/920/src_020504/ldap/exports.mk

LDAP_VERSION=9

LIBGSLSSFNAME= gslssf$(LDAP_VERSION)
LLIBGSLSSF= $(LDLIBFLAG)$(LIBGSLSSFNAME)$(LIB_SUFFIX)
LIBGSLSSF= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSSFNAME).$(LIB_EXT)

LIBGSLSSBNAME= gslssb$(LDAP_VERSION)
LLIBGSLSSB= $(LDLIBFLAG)$(LIBGSLSSBNAME)$(LIB_SUFFIX)
LIBGSLSSB= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSSBNAME).$(LIB_EXT)

LIBGSLBER_SNAME= gslber_s$(LDAP_VERSION)
LLIBGSLBER_S= $(LDLIBFLAG)$(LIBGSLBER_SNAME)$(LIB_SUFFIX)
LIBGSLBER_S= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLBER_SNAME).$(LIB_EXT)

LIBGSLAVLNAME= gslavl$(LDAP_VERSION)
LLIBGSLAVL= $(LDLIBFLAG)$(LIBGSLAVLNAME)$(LIB_SUFFIX)
LIBGSLAVL= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLAVLNAME).$(LIB_EXT)

LIBGSLRNAME= gslr$(LDAP_VERSION)
LLIBGSLR= $(LDLIBFLAG)$(LIBGSLRNAME)$(LIB_SUFFIX)
LIBGSLR= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLRNAME).$(LIB_EXT)

LIBGSLDBNAME= gsldb$(LDAP_VERSION)
LLIBGSLDB= $(LDLIBFLAG)$(LIBGSLDBNAME)$(LIB_SUFFIX)
LIBGSLDB= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLDBNAME).$(LIB_EXT)

LIBGSLSGNAME= gslsg$(LDAP_VERSION)
LLIBGSLSG= $(LDLIBFLAG)$(LIBGSLSGNAME)$(LIB_SUFFIX)
LIBGSLSG= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLSGNAME).$(LIB_EXT)

LIBGSLECNAME= gslec$(LDAP_VERSION)
LLIBGSLEC= $(LDLIBFLAG)$(LIBGSLECNAME)$(LIB_SUFFIX)
LIBGSLEC= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLECNAME).$(LIB_EXT)

LIBSGSL_SNAME= sgsl_s$(LDAP_VERSION)
LLIBSGSL_S= $(LDLIBFLAG)$(LIBSGSL_SNAME)$(LIB_SUFFIX)
LIBSGSL_S= $(LIBHOME)$(LIB_PREFIX)$(LIBSGSL_SNAME).$(LIB_EXT)

LIBLDAPCLNTNAME= ldapclnt$(LDAP_VERSION)
LIBLDAPCLNT= $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPCLNTNAME).$(LIB_EXT)
LLIBLDAPCLNT= $(LDLIBFLAG)$(LIBLDAPCLNTNAME)

LIBLDAPJCLNTNAME= ldapjclnt$(LDAP_VERSION)
LIBLDAPJCLNT= $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPJCLNTNAME).$(LIB_EXT)
LIBLDAPJCLNTSH = $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPJCLNTNAME).$(SO_EXT)
LLIBLDAPJCLNT= $(LDLIBFLAG)$(LIBLDAPJCLNTNAME)

LIBGSLMTNAME= gslmt$(LDAP_VERSION)
LLIBGSLMT= $(LDLIBFLAG)$(LIBGSLMTNAME)$(LIB_SUFFIX)
LIBGSLMT= $(LIBHOME)$(LIB_PREFIX)$(LIBGSLMTNAME).$(LIB_EXT)

LDAPHOME=    $(ORACLE_HOME)/ldap/
LDAPBIN=     $(LDAPHOME)$(BINDIR)/
LDAPLIB=     $(LDAPHOME)$(LIBDIR)/
LDAPJLIB=    $(LDAPHOME)jlib/

LDAPPUBH=    $(I_SYM)$(LDAPHOME)public $(I_SYM)$(LDAPHOME)include


# Entering /project/ia/920/src_020504/ldap/s_exports.mk


# Exiting /project/ia/920/src_020504/ldap/s_exports.mk
# Exiting /project/ia/920/src_020504/ldap/exports.mk
# Entering /project/ia/920/src_020504/plsql/exports.mk

PLSQL_VERSION=9

WRAP=$(BINHOME)wrap

LIBPLSNAME=pls
LIBPLSN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPLS=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION) 
LIBPLSNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(SO_EXT)
ILIBPLSN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLSNAME).$(ILIB_EXT)
LIBPLPNAME=plp
LIBPLPN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPLP=$(LDLIBFLAG)$(LIBPLPNAME)$(PLSQL_VERSION)
LIBPLPNSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(SO_EXT)
ILIBPLPN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLPNAME).$(ILIB_EXT)
LIBPLCNAME=plc
LIBPLCN=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPLC=$(LDLIBFLAG)$(LIBPLCNAME)$(PLSQL_VERSION)
LIBPLCSHR=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(SO_EXT)
ILIBPLCN=$(LIBHOME)/$(LIB_PREFIX)$(LIBPLCNAME).$(ILIB_EXT)

LIBEXTP=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBEXTP=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION)

LIBPLSF=$(LIBHOME)$(LIB_PREFIX)$(LIBPLSNAME)$(PLSQL_VERSION).$(LIB_EXT) 
LLIBPLSF=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION) $(LDLIBFLAG)$(LIBPLPNAME)$(PLSQL_VERSION)

LIBPLSB=$(LIBHOME)$(LIBPLSNAME)$(PLSQL_VERSION)
LLIBPLSB=$(LDLIBFLAG)$(LIBPLSNAME)$(PLSQL_VERSION)

PLSQLLIBS=$(LIBPLSN) $(LIBPLPN)
LPLSQLLIBS=$(LLIBPLS)


LLIBPLSQL= $(LPLSQLLIBS) $(LLIBPLP)

LIBPSANAME=psa
LIBICD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLPNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBICD=$(LDLIBFLAG)$(LIBPLPNAME)$(PLSQL_VERSION)
LIBPSD=$(LIBHOME)$(LIB_PREFIX)$(LIBPLCNAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPSD=$(LDLIBFLAG)$(LIBPLCNAME)$(PLSQL_VERSION)
LIBPSA=$(LIBHOME)$(LIB_PREFIX)$(LIBPSANAME)$(PLSQL_VERSION).$(LIB_EXT)
LLIBPSA=$(LDLIBFLAG)$(LIBPSANAME)$(PLSQL_VERSION)

PLSQLHOME=$(ORACLE_HOME)/plsql/

# Entering /project/ia/920/src_020504/plsql/s_exports.mk
 
# Exiting /project/ia/920/src_020504/plsql/s_exports.mk
# Exiting /project/ia/920/src_020504/plsql/exports.mk
# Entering /project/ia/920/src_020504/precomp/exports.mk

TOP=$(ORACLE_HOME)/precomp

PRECOMP_VERSION=9
LIBSQLNAME=sql$(PRECOMP_VERSION)
LLIBSQL=$(LDLIBFLAG)$(LIBSQLNAME)$(LIB_SUFFIX)
LIBSQL=$(LIBHOME)$(LIB_PREFIX)$(LIBSQLNAME).$(LIB_EXT)

PRECOMP_PRD=precomp
PRECOMPHOME=$(ORACLE_HOME)/precomp/
PRECOMPADMIN=$(PRECOMPHOME)admin/
PRECOMPLIB=$(PRECOMPHOME)$(LIBDIR)/

OTTCLASSESZIP=$(PRECOMPLIB)ottclasses.$(ZIP_EXT)

PRECOMPPUBH=$(I_SYM)$(PRECOMPHOME)public $(I_SYM)$(PRECOMPHOME)include

# Entering /project/ia/920/src_020504/precomp/s_exports.mk
 
# Exiting /project/ia/920/src_020504/precomp/s_exports.mk
# Exiting /project/ia/920/src_020504/precomp/exports.mk
# Entering /project/ia/920/src_020504/slax/exports.mk

TOP = $(ORACLE_HOME)/slax

SLAX_VERSION=9
LIBSLAXNAME=slax$(SLAX_VERSION)
LLIBSLAX=$(LDLIBFLAG)$(LIBSLAXNAME)$(LIB_SUFFIX)
LIBSLAX=$(LIBHOME)$(LIB_PREFIX)$(LIBSLAXNAME).$(LIB_EXT)

SLAX_PRD=slax
SLAXHOME=$(ORACLE_HOME)/slax/
SLAXADMIN=$(SLAXHOME)admin/
SLAXLIB=$(SLAXHOME)$(LIBDIR)/
 
SLAXPUBH=$(I_SYM)$(SLAXHOME)include

# Entering /project/ia/920/src_020504/slax/s_exports.mk

# Exiting /project/ia/920/src_020504/slax/s_exports.mk
# Exiting /project/ia/920/src_020504/slax/exports.mk
# Entering /project/ia/920/src_020504/otrace/exports.mk

TRACE_VERSION=9

LIBTRACENAME=trace$(TRACE_VERSION)
LIBTRACE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACENAME).$(LIB_EXT)
LLIBTRACE=$(LDLIBFLAG)$(LIBTRACENAME)$(LIB_SUFFIX)
LIBEPC=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACENAME).$(LIB_EXT)
LLIBEPC=$(LDLIBFLAG)$(LIBTRACENAME)$(LIB_SUFFIX)

LIBTRACEPTNAME=tracept$(TRACE_VERSION)
LIBTRACEPT=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPTNAME).$(LIB_EXT)
LLIBTRACEPT=$(LDLIBFLAG)$(LIBTRACEPTNAME)$(LIB_SUFFIX)
LIBEPCPT=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPTNAME).$(LIB_EXT)
LLIBEPCPT=$(LDLIBFLAG)$(LIBTRACEPTNAME)$(LIB_SUFFIX)

LIBTRACEFENAME=tracefe$(TRACE_VERSION)
LIBTRACEFE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEFENAME).$(LIB_EXT)
LLIBTRACEFE=$(LDLIBFLAG)$(LIBTRACEFENAME)$(LIB_SUFFIX)
LIBEPCFE=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEFENAME).$(LIB_EXT)
LLIBEPCFE=$(LDLIBFLAG)$(LIBTRACEFENAME)$(LIB_SUFFIX)

LIBTRACEPLSNAME=tracepls$(TRACE_VERSION)
LIBTRACEPLS=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPLSNAME).$(LIB_EXT)
LLIBTRACEPLS=$(LDLIBFLAG)$(LIBTRACEPLSNAME)$(LIB_SUFFIX)
LIBEPCPLS=$(LIBHOME)$(LIB_PREFIX)$(LIBTRACEPLSNAME).$(LIB_EXT)
LLIBEPCPLS=$(LDLIBFLAG)$(LIBTRACEPLSNAME)$(LIB_SUFFIX)

# Entering /project/ia/920/src_020504/otrace/s_exports.mk

# Exiting /project/ia/920/src_020504/otrace/s_exports.mk
# Exiting /project/ia/920/src_020504/otrace/exports.mk
# Entering /project/ia/920/src_020504/sdo/exports.mk
SDO_VERSION=9
LIBORDSDONAME=ordsdo$(SDO_VERSION)
LIBORDSDO=$(LIB_PREFIX)$(LIBORDSDONAME).$(LIB_EXT)
LLIBORDSDO=$(LDLIBFLAG)$(LIB_PREFIX)$(LIBORDSDONAME).$(LIB_EXT)
SDODIRM=md
SDOHOME=$(ORACLE_HOME)/$(SDODIRM)/
SDOLIB=$(SDOHOME)$(LIBDIR)/
SDOADMIN=$(SDOHOME)admin/
SDOBIN=$(SDOHOME)$(BINDIR)/
# Entering /project/ia/920/src_020504/sdo/s_exports.mk

# Exiting /project/ia/920/src_020504/sdo/s_exports.mk
# Exiting /project/ia/920/src_020504/sdo/exports.mk
# Entering /project/ia/920/src_020504/ctx/exports.mk



CTX_VERSION = 9


LIBCTXSNAME=ctxs$(CTX_VERSION)
LIBCTXS = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXSNAME).$(LIB_EXT)
LLIBCTXS = $(LDLIBFLAG)$(LIBCTXSNAME)$(LIB_SUFFIX)

LIBCTXWKLNAME=wkl
LIBCTXWK = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXWKLNAME).$(LIB_EXT)
LLIBCTXWKL = $(LDLIBFLAG)$(LIBCTXWKLNAME)$(LIB_SUFFIX)

LIBCTXCNAME=ctxc$(CTX_VERSION)
LIBCTXC = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXCNAME).$(LIB_EXT)
LLIBCTXC = $(LDLIBFLAG)$(LIBCTXCNAME)$(LIB_SUFFIX)

LIBCTXNAME=ctx$(CTX_VERSION)
LIBCTX = $(CTXLIB)$(LIB_PREFIX)$(LIBCTXNAME).$(LIB_EXT)
LLIBCTX = $(LDLIBFLAG)$(LIBCTXNAME)$(LIB_SUFFIX)
 
LIBZXNAME=zx$(CTX_VERSION)
LIBZX = $(CTXLIB)$(LIB_PREFIX)$(LIBZXNAME).$(LIB_EXT)
LLIBZX = $(LDLIBFLAG)$(LIBZXNAME)$(LIB_SUFFIX)
 
LIBGXNAME=gx$(CTX_VERSION)
LIBGX = $(CTXLIB)$(LIB_PREFIX)$(LIBGXNAME).$(LIB_EXT)
LLIBGX = $(LDLIBFLAG)$(LIBGXNAME)$(LIB_SUFFIX)
 
CTX_LINK = $(LLIBCTXC) $(LLIBCTX) $(LLIBZX) $(LLIBGX) $(LLIBCTX) $(LLIBZX) $(LLIBGX)

CTXHOME=$(ORACLE_HOME)/ctx/

CTXPUBH=$(I_SYM)$(CTXHOME)public

CTXLIB=$(CTXHOME)lib/

# Entering /project/ia/920/src_020504/ctx/s_exports.mk
# Exiting /project/ia/920/src_020504/ctx/s_exports.mk
# Exiting /project/ia/920/src_020504/ctx/exports.mk
# Entering /project/ia/920/src_020504/ordim/exports.mk



LIBORDIMTNAME=	ordimt9
LOC_LIBORDIMT=	$(LIB_PREFIX)$(LIBORDIMTNAME).$(LIB_EXT)
LIBORDIMT=	$(LIBHOME)$(LOC_LIBORDIMT)
LLIBORDIMT=	$(LDLIBFLAG)$(LIBORDIMTNAME)$(LIB_SUFFIX)
ILIBORDIMT=	$(LIBHOME)$(LIB_PREFIX)$(LIBORDIMTNAME).$(ILIB_EXT)


LIBORDIMNAME=     ordim9
LOC_LIBORDIM=     $(LIB_PREFIX)$(LIBORDIMNAME).$(LIB_EXT)
LIBORDIM=         $(LIBHOME)$(LOC_LIBORDIM)
LOC_LIBORDIMSHR=  $(LIB_PREFIX)$(LIBORDIMNAME).$(SO_EXT)
LIBORDIMSHR=      $(LIBHOME)$(LOC_LIBORDIMSHR)
ILIBORDIM =       $(LIBHOME)$(LIB_PREFIX)$(LIBORDIMNAME).$(ILIB_EXT)

LOC_ZIPORDIM=     ordim.$(ZIP_EXT)
ZIPORDIM=         $(ORDIMLIB)$(LOC_ZIPORDIM)
LOC_JARORDIM=     ordim.$(JAR_EXT)
JARORDIM=         $(ORDIMLIB)$(LOC_JARORDIM)
LOC_ZIPORDIM815=  ordim815.$(ZIP_EXT)
ZIPORDIM815=      $(ORDIMLIB)$(LOC_ZIPORDIM815)
LOC_JARORDIMANN=  ordimann.$(JAR_EXT)
JARORDIMANN=      $(ORDIMLIB)$(LOC_JARORDIMANN)
LOC_JARORDIMSVR=  ordimsvr.$(JAR_EXT)
JARORDIMSVR=      $(ORDIMLIB)$(LOC_JARORDIMSVR)
LOC_JARORDIMIMG=  ordimimg.$(JAR_EXT)
JARORDIMIMG=      $(ORDIMLIB)$(LOC_JARORDIMIMG)

LOC_ZIPORDHTTP=   ordhttp.$(ZIP_EXT)
ZIPORDHTTP=       $(ORDIMLIB)$(LOC_ZIPORDHTTP)
LOC_JARORDHTTP=   ordhttp.$(JAR_EXT)
JARORDHTTP=       $(ORDIMLIB)$(LOC_JARORDHTTP)

LOC_JARSERVLET=   servlet.$(JAR_EXT)
JARSERVLET=       $(ORDIMLIB)$(LOC_JARSERVLET)

LIBREALVIDNAME=   orclfs
LOC_LIBREALVID=   $(LIB_PREFIX)$(LIBREALVIDNAME).$(LIB_EXT)
LIBREALVID=       $(LIBHOME)$(LOC_LIBREALVID)
LOC_LIBREALVIDSHR=$(LIB_PREFIX)$(LIBREALVIDNAME).$(SO_EXT)
LIBREALVIDSHR=    $(LIBHOME)$(LOC_LIBREALVIDSHR)

LIBIMCKNAME=      imck
LOC_LIBIMCK=      $(LIB_PREFIX)$(LIBIMCKNAME).$(LIB_EXT)
LIBIMCK=          $(LIBHOME)$(LOC_LIBIMCK)

# Entering /project/ia/920/src_020504/ordim/s_exports.mk

# Exiting /project/ia/920/src_020504/ordim/s_exports.mk
# Exiting /project/ia/920/src_020504/ordim/exports.mk
# Entering /project/ia/920/src_020504/javavm/exports.mk
LIBJAVAVM=$(LIBHOME)$(LIB_PREFIX)aurora.$(LIB_EXT)
LLIBJAVAVM=$(LDLIBFLAG)aurora

# Entering /project/ia/920/src_020504/javavm/s_exports.mk

# Exiting /project/ia/920/src_020504/javavm/s_exports.mk
# Exiting /project/ia/920/src_020504/javavm/exports.mk
# Entering /project/ia/920/src_020504/encryption/exports.mk

ENCRYPTIONHOME  = $(ORACLE_HOME)/encryption/
ENCRYPTIONLIB   = $(ENCRYPTIONHOME)$(LIBDIR)/
ENCRYPTIONJLIB  = $(ENCRYPTIONHOME)jlib/
ENCRYPTIONPUBH  = $(I_SYM)$(ENCRYPTIONHOME)include

ENCRYPTION_VERSION=9
BASENAME        =n
CRYPTNAME       =${BASENAME}crypt$(ENCRYPTION_VERSION)
LIBSNS          =$(ENCRYPTIONLIB)$(LIB_PREFIX)$(CRYPTNAME).$(LIB_EXT)
LLIBNCRYPT      =$(LDLIBFLAG)$(ILIB_PREFIX)$(CRYPTNAME)$(ILIB_SUFFIX)

RSASTDNAME	=rsastd
BCERTNAME	=bcert
NZRNAME		=nzr
LIBRSASTD	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(RSASTDNAME).$(LIB_EXT)
LIBBCERT	=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(BCERTNAME).$(LIB_EXT)
LIBNZR		=$(ENCRYPTIONLIB)$(LIB_PREFIX)$(NZRNAME).$(LIB_EXT)

PHAOSJAR=$(ENCRYPTIONJLIB)Phaos_Security_Engine_2_1_P5.$(JAR_EXT)

# Entering /project/ia/920/src_020504/encryption/s_exports.mk

# Exiting /project/ia/920/src_020504/encryption/s_exports.mk
# Exiting /project/ia/920/src_020504/encryption/exports.mk
# Entering /project/ia/920/src_020504/network/exports.mk

# Entering /project/ia/920/src_020504/network/libnames.mk

NETWORK_VERSION=9
BASENAME    =n
NETWORKLIB  = $(NETWORKHOME)$(LIBDIR)/
NETWORKJLIB = $(NETWORKHOME)jlib/

COMMONNAME=${BASENAME}${NETWORK_VERSION}
NLNAME=${BASENAME}l${NETWORK_VERSION}
TCPNAME=${BASENAME}tcp${NETWORK_VERSION}
VINAME=${BASENAME}vi${NETWORK_VERSION}
DECNETNAME=${BASENAME}dec${NETWORK_VERSION}
LU62NAME=${BASENAME}lu62${NETWORK_VERSION}
MBNAME=${BASENAME}mb${NETWORK_VERSION}
DCENAME=${BASENAME}dce${NETWORK_VERSION}
BEQNAME=${BASENAME}beq${NETWORK_VERSION}
IPCNAME=${BASENAME}ipc${NETWORK_VERSION}
SPXNAME=${BASENAME}spx${NETWORK_VERSION}
TLINAME=${BASENAME}tli${NETWORK_VERSION}
TLITNAME=${BASENAME}tlit${NETWORK_VERSION}
TLISNAME=${BASENAME}tlis${NETWORK_VERSION}
TLIDNAME=${BASENAME}tlid${NETWORK_VERSION}
USNAME=${BASENAME}us${NETWORK_VERSION}
SHMNAME=${BASENAME}shm${NETWORK_VERSION}
TCPSNAME=${BASENAME}tcps${NETWORK_VERSION}
ENTRUSTNAME=${BASENAME}nzentr${NETWORK_VERSION}
NSGRNAME=${BASENAME}sgr${NETWORK_VERSION}
LSNRNAME=${BASENAME}lsnr${NETWORK_VERSION}
LSNRCNAME=${BASENAME}lsnrc${NETWORK_VERSION}
K5NAME=${BASENAME}k5${NETWORK_VERSION}
RADNAME=${BASENAME}rad${NETWORK_VERSION}
GSSNAME=${BASENAME}gss${NETWORK_VERSION}
NAUTNAME=${BASENAME}aut${NETWORK_VERSION}
GSSTHIRDPARTY=gss
OSSNAME=${BASENAME}oss${NETWORK_VERSION}
NTSNAME=${BASENAME}nts${NETWORK_VERSION}
NSSNAME=${BASENAME}nss${NETWORK_VERSION}
ONNAME=${BASENAME}on${NETWORK_VERSION}
ONDNAME=${BASENAME}ond${NETWORK_VERSION}
ONCNAME=${BASENAME}onc${NETWORK_VERSION}
ONCJNAME=${BASENAME}oncj${NETWORK_VERSION}
RONAME=${BASENAME}ro${NETWORK_VERSION}
ROCNAME=${BASENAME}roc${NETWORK_VERSION}
ROXNAME=${BASENAME}rox${NETWORK_VERSION}
ROTNAME=${BASENAME}rot${NETWORK_VERSION}
CMNAME=${BASENAME}cm${NETWORK_VERSION}
NHOSTNAME=${BASENAME}host${NETWORK_VERSION}
TNSNAME=${BASENAME}tns${NETWORK_VERSION}
ORACLENAME=${BASENAME}oname${NETWORK_VERSION}
NISNAME=${BASENAME}nis${NETWORK_VERSION}
CDSNAME=${BASENAME}cds${NETWORK_VERSION}
NDSNAME=${BASENAME}nds${NETWORK_VERSION}
LDAPNAME=${BASENAME}ldap${NETWORK_VERSION}
LDAPJNAME=${BASENAME}ldapj${NETWORK_VERSION}
SSLBNAME=${BASENAME}sslb${NETWORK_VERSION}
NUJNINAME=${BASENAME}jni${NETWORK_VERSION}
NZJSNAME=${BASENAME}zjs${NETWORK_VERSION}
JSSLNAME=${BASENAME}jssl${NETWORK_VERSION}
ZTNAME=${BASENAME}zt${NETWORK_VERSION}
OWMNAME=owm2

NMPNAME=${BASENAME}nmp${NETWORK_VERSION}

TANAME=${BASENAME}ta${NETWORK_VERSION}
TALNAME=${BASENAME}tal${NETWORK_VERSION}

NZRNAME=nzr



SNLPTDUM         =  $(NETWORKLIB)snlptdum.$(OBJ_EXT) 
OSNTABST         = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT            = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

LIBNETWORK	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBTHINNCR       =  $(NETWORKLIB)$(LIB_PREFIX)$(ROTNAME).$(LIB_EXT)

LOC_LIBNUJNI     =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(LIB_EXT)
LOC_LIBOWM       =  $(NETWORKLIB)$(LIB_PREFIX)$(OWMNAME).$(LIB_EXT)
LOC_LIBJSSL      =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(LIB_EXT)
LIBONCJ          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(SO_EXT)
LIBNUJNI         =  $(NETWORKLIB)$(LIB_PREFIX)$(NUJNINAME).$(SO_EXT)
LIBJSSL          =  $(NETWORKLIB)$(LIB_PREFIX)$(JSSLNAME).$(SO_EXT)
LIBOWM           =  $(NETWORKLIB)$(LIB_PREFIX)$(OWMNAME).$(SO_EXT)
LIBLDAPJ         =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(SO_EXT)
LOC_LIBONCJ      =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCJNAME).$(LIB_EXT)
LOC_LIBLDAPJ     =  $(NETWORKLIB)$(LIB_PREFIX)$(LDAPJNAME).$(LIB_EXT)

LIBNCR           =  $(NETWORKLIB)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LIBNFP           =  $(NETWORKLIB)$(LIB_PREFIX)$(CMNAME).$(LIB_EXT)
LIBNI            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCC          =  $(NETWORKLIB)$(LIB_PREFIX)$(ONCNAME).$(LIB_EXT)
LIBNND           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONDNAME).$(LIB_EXT)
LIBNNO           =  $(NETWORKLIB)$(LIB_PREFIX)$(ONNAME).$(LIB_EXT)
LIBNSGR          =  $(NETWORKLIB)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LIBNSGL          =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRNAME).$(LIB_EXT)
LIBNSGLC         =  $(NETWORKLIB)$(LIB_PREFIX)$(LSNRCNAME).$(LIB_EXT)

LLIBNCR           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)
LLIBNFP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CMNAME)$(ILIB_SUFFIX)
LLIBNI            =  $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)
LLIBNNCC          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONCNAME)$(ILIB_SUFFIX)
LLIBNND           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONDNAME)$(ILIB_SUFFIX)
LLIBNNO           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(ONNAME)$(ILIB_SUFFIX)
LLIBNSGR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)
LLIBNSGL          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRNAME)$(ILIB_SUFFIX)
LLIBNSGLC         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LSNRCNAME)$(ILIB_SUFFIX)

LOC_LIBNAUT      =  $(NETWORKLIB)$(LIB_PREFIX)$(NAUTNAME).$(LIB_EXT)
LIBNAUT          =  $(NETWORKLIB)$(LIB_PREFIX)$(NAUTNAME).$(SO_EXT)
LOC_LIBNAUK5     =  $(NETWORKLIB)$(LIB_PREFIX)$(K5NAME).$(LIB_EXT)
LIBNAUK5         =  $(NETWORKLIB)$(LIB_PREFIX)$(K5NAME).$(SO_EXT)
LOC_LIBNAUR      =  $(NETWORKLIB)$(LIB_PREFIX)$(RADNAME).$(LIB_EXT)
LIBNAUR          =  $(NETWORKLIB)$(LIB_PREFIX)$(RADNAME).$(SO_EXT)
LOC_LIBNAUG      =  $(NETWORKLIB)$(LIB_PREFIX)$(GSSNAME).$(LIB_EXT)
LIBNAUG          =  $(NETWORKLIB)$(LIB_PREFIX)$(GSSNAME).$(SO_EXT)
LIBNAUZ          =  $(NETWORKLIB)$(LIB_PREFIX)$(OSSNAME).$(LIB_EXT)
LIBNAUNTS        =  $(NETWORKLIB)$(LIB_PREFIX)$(NTSNAME).$(LIB_EXT)

LLIBNAUK5         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(K5NAME)$(ILIB_SUFFIX)
LLIBNAUR          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(RADNAME)$(ILIB_SUFFIX)
LLIBNAUG          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(GSSNAME)$(ILIB_SUFFIX)
LLIBNAUZ          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(OSSNAME)$(ILIB_SUFFIX)
LLIBNAUNTS        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NTSNAME)$(ILIB_SUFFIX)



LIBNTT           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LOC_LIBNTVI      =  $(NETWORKLIB)$(LIB_PREFIX)$(VINAME).$(LIB_EXT)
LIBNTVI          =  $(NETWORKLIB)$(LIB_PREFIX)$(VINAME).$(SO_EXT)
LIBNTZ           =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME).$(LIB_EXT)
LIBNTZSTUB       =  $(NETWORKLIB)$(LIB_PREFIX)$(TCPSNAME)_std.$(LIB_EXT)
LOC_LIBNZTWVE    =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTNAME).$(LIB_EXT)
LIBNZTWVE        =  $(NETWORKLIB)$(LIB_PREFIX)$(ENTRUSTNAME).$(SO_EXT)
LIBNTS           =  $(NETWORKLIB)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LIBNTD           =  $(NETWORKLIB)$(LIB_PREFIX)$(DECNETNAME).$(LIB_EXT)
LIBNTOD          =  $(NETWORKLIB)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LIBCDS           =  $(NETWORKLIB)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LIBNTLU62        =  $(NETWORKLIB)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LIBNTTLI	 =  $(NETWORKLIB)$(LIB_PREFIX)$(TLINAME).$(LIB_EXT)
LIBNTUS          =  $(NETWORKLIB)$(LIB_PREFIX)$(USNAME).$(LIB_EXT)
LIBNTSHM         =  $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME).$(LIB_EXT)
LIBNTP           =  $(NETWORKLIB)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNTNP          =  $(NETWORKLIB)$(LIB_PREFIX)$(NMPNAME).$(LIB_EXT)

LLIBNTT           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)
LLIBNTVI          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(VINAME)$(ILIB_SUFFIX)
LLIBNTZ           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPSNAME)$(ILIB_SUFFIX)
LLIBNTS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)
LLIBNTD           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DECNETNAME)$(ILIB_SUFFIX)
LLIBNTOD          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)
LLIBCDS           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)
LLIBNTLU62        =  $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)
LLIBNTTLI	 =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TLINAME)$(ILIB_SUFFIX)
LLIBNTUS          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(USNAME)$(ILIB_SUFFIX)
LLIBNTSHM        = $(NETWORKLIB)$(LIB_PREFIX)$(SHMNAME)$(ILIB_SUFFIX)
LLIBNTP           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(BEQNAME)$(ILIB_SUFFIX)
LLIBNTNP          =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NMPNAME)$(ILIB_SUFFIX)

LIBNL1           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBNL2           =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)

LIBNL            =  $(NETWORKLIB)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LLIBNL           =  $(LDLIBFLAG)$(ILIB_PREFIX)$(NLNAME)$(ILIB_SUFFIX)


LIBNUAPI         =  $(NETWORKLIB)$(LIB_PREFIX)$(TANAME).$(LIB_EXT)
LIBNULOCAL       =  $(NETWORKLIB)$(LIB_PREFIX)$(TALNAME).$(LIB_EXT)

LLIBNUAPI         =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL       =  $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)


LLIBNUAPI	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TANAME)$(ILIB_SUFFIX)
LLIBNULOCAL	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(TALNAME)$(ILIB_SUFFIX)
LLIBSSL          = #$(LDLIBFLAG)$(ILIB_PREFIX)sslref-bsafe$(ILIB_SUFFIX)
LLIBSSLB         = $(LDLIBFLAG)$(ILIB_PREFIX)$(SSLBNAME)$(ILIB_SUFFIX)
LLIBNZJS 	 = $(LDLIBFLAG)$(ILIB_PREFIX)$(NZJSNAME)$(ILIB_SUFFIX)


LIBNA            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAE           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNAU           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNLNV          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMP           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNCI          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNFG          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNNG           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNPL           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNR            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNS            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNTR           =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNZ            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBNMS0          =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBSSLREF 	 =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LIBZT            =  $(NETWORKLIB)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)

LIBSSLB          =  $(NETWORKLIB)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)

LIBNZJS          =  $(NETWORKLIB)$(LIB_PREFIX)$(NZJSNAME).$(LIB_EXT)

LDAPSYSLIBD = $(LIBHOME)$(LIB_PREFIX)$(LIBLDAPCLNTNAME).$(LIB_EXT)
LDAPSYSLIBS = $(LDLIBFLAG)$(ILIB_PREFIX)$(LIBLDAPCLNTNAME)$(ILIB_SUFFIX)

# Exiting /project/ia/920/src_020504/network/libnames.mk

NETWORKHOME=$(ORACLE_HOME)/network/
NETWORKADMIN=$(NETWORKHOME)admin/
NETWORKINSTALL=$(NETWORKHOME)install/
NETWORKDEMO=$(NETWORKHOME)demo/

# Entering /project/ia/920/src_020504/network/adapters.mk

# Entering /project/ia/920/src_020504/network/s_adapters.mk

# Exiting /project/ia/920/src_020504/network/s_adapters.mk

# Exiting /project/ia/920/src_020504/network/adapters.mk

LIBNTTCP     = $(LIBHOME)$(LIB_PREFIX)$(TCPNAME).$(LIB_EXT)
LLIBNTTCP    = $(LDLIBFLAG)$(ILIB_PREFIX)$(TCPNAME)$(ILIB_SUFFIX)

LIBNTVI      = $(LIBHOME)$(LIB_PREFIX)$(VINAME).$(LIB_EXT)
LLIBNTVI     = $(LDLIBFLAG)$(ILIB_PREFIX)$(VINAME)$(ILIB_SUFFIX)

LIBNTOD      = $(LIBHOME)$(LIB_PREFIX)$(DCENAME).$(LIB_EXT)
LLIBNTOD     = $(LDLIBFLAG)$(ILIB_PREFIX)$(DCENAME)$(ILIB_SUFFIX)

LIBCDS       = $(LIBHOME)$(LIB_PREFIX)$(CDSNAME).$(LIB_EXT)
LLIBCDS      = $(LDLIBFLAG)$(ILIB_PREFIX)$(CDSNAME)$(ILIB_SUFFIX)

LIBNTLU62    = $(LIBHOME)$(LIB_PREFIX)$(LU62NAME).$(LIB_EXT)
LLIBNTLU62   = $(LDLIBFLAG)$(ILIB_PREFIX)$(LU62NAME)$(ILIB_SUFFIX)

LIBNTS       = $(LIBHOME)$(LIB_PREFIX)$(SPXNAME).$(LIB_EXT)
LLIBNTS      = $(LDLIBFLAG)$(ILIB_PREFIX)$(SPXNAME)$(ILIB_SUFFIX)

LIBNETWORK   = $(LIBHOME)$(LIB_PREFIX)$(COMMONNAME).$(LIB_EXT)
LLIBNETWORK  = $(LDLIBFLAG)$(ILIB_PREFIX)$(COMMONNAME)$(ILIB_SUFFIX)

LIBNSGR      = $(LIBHOME)$(LIB_PREFIX)$(NSGRNAME).$(LIB_EXT)
LLIBNSGR     = $(LDLIBFLAG)$(ILIB_PREFIX)$(NSGRNAME)$(ILIB_SUFFIX)

LIBSQLNET  = $(LDFLAGSFILE) $(PROTOCOLLIBD) $(NATIVELIBD) $(NATIVESYSLIBD) $(LIBNSGR) $(LIBNZJS) $(LIBNETWORK) $(LIBNL)
LLIBSQLNET = $(LDFLAGSLIST) $(PROTOCOLLIBS) $(NATIVELIBS) $(NATIVESYSLIBS) $(LLIBSSLB) $(LLIBNCRYPT) $(LLIBNSGR) $(LLIBNZJS) $(LLIBNETWORK) $(LLIBNL)

LIBRPC       = $(LIBHOME)$(LIB_PREFIX)$(RONAME).$(LIB_EXT)
LLIBRPC      = $(LDLIBFLAG)$(ILIB_PREFIX)$(RONAME)$(ILIB_SUFFIX)

TNSLSNR	     = $(BINHOME)tnslsnr$(EXE_SUFFIX)
LSNRCTL	     = $(BINHOME)lsnrctl$(EXE_SUFFIX)
NAMES	     = $(BINHOME)names$(EXE_SUFFIX)
NAMESCTL     = $(BINHOME)namesctl$(EXE_SUFFIX)

NIGTAB       = $(LIBHOME)nigtab.$(OBJ_EXT)
NIGCON       = $(LIBHOME)nigcon.$(OBJ_EXT) 
NTCONTAB     = $(LIBHOME)ntcontab.$(OBJ_EXT)
MTS_NCR	     = $(LIBHOME)ncrstab.$(OBJ_EXT)

OSNTABST     = $(NETWORKLIB)osntabst.$(OBJ_EXT)
NNFGT        = $(NETWORKLIB)nnfgt.$(OBJ_EXT)

NAETAB       = $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS	     = $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB_OBJ   = nautab.$(OBJ_EXT)
NAUTAB	     = $(LIBHOME)$(NAUTAB_OBJ)

NETLIBS      = $(LLIBSQLNET) $(LLIBRPC) $(LLIBSQLNET)
NETLIBD      = $(LIBSQLNET) $(LIBRPC)

LDFLAGSFILE=$(LIBHOME)ldflags
LDFLAGSLIST=`$(CAT) $(LDFLAGSFILE)`

LIBNTP       = $(LIBHOME)$(LIB_PREFIX)$(BEQNAME).$(LIB_EXT)
LIBNL        = $(LIBHOME)$(LIB_PREFIX)$(NLNAME).$(LIB_EXT)
LIBSSLB      = $(LIBHOME)$(LIB_PREFIX)$(SSLBNAME).$(LIB_EXT)


# Entering /project/ia/920/src_020504/network/s_exports.mk


NAETAB64	= $(LIBHOME)naeet.$(OBJ_EXT) $(LIBHOME)naect.$(OBJ_EXT)
NAEDHS64	= $(LIBHOME)naedhs.$(OBJ_EXT)
NAUTAB64	= $(LIBHOME)$(NAUTAB_OBJ)


# Exiting /project/ia/920/src_020504/network/s_exports.mk
# Exiting /project/ia/920/src_020504/network/exports.mk
# Entering /project/ia/920/src_020504/dbjava/exports.mk

JDBCHOME=$(ORACLE_HOME)/dbjava/

JDBC_VERSION = 9

JDBCCLASSES14_JAR=$(ORACLE_HOME)/dbjava/lib/ojdbc14.jar
JDBCCLASSES12=$(ORACLE_HOME)/dbjava/lib/classes12.zip
JDBCCLASSES12_JAR=$(ORACLE_HOME)/dbjava/lib/classes12.jar
JDBCCLASSES11=$(ORACLE_HOME)/dbjava/lib/classes111.zip
JDBCCLASSES11_JAR=$(ORACLE_HOME)/dbjava/lib/classes111.jar
JDBCCLASSES10=$(ORACLE_HOME)/dbjava/lib/classes102.zip
JDBCCLASSESJOLT=$(ORACLE_HOME)/dbjava/lib/classesjolt.zip
JDBCCLASSESJOLT_JAR=$(ORACLE_HOME)/dbjava/lib/classesjolt.jar
JDBCUTHINJOLT=$(ORACLE_HOME)/dbjava/lib/ultra12.zip
JDBCUTHINJOLT_JAR=$(ORACLE_HOME)/dbjava/lib/ultra12.jar
JDBCUTSRVJOLT=$(ORACLE_HOME)/dbjava/lib/utsrv12.zip
JDBCUTSRVJOLT_JAR=$(ORACLE_HOME)/dbjava/lib/utsrv12.jar
JDBCCLASSES14DBG_JAR=$(ORACLE_HOME)/dbjava/lib/ojdbc14_g.jar
JDBCCLASSES12DBG=$(ORACLE_HOME)/dbjava/lib/classes12_g.zip
JDBCCLASSES12DBG_JAR=$(ORACLE_HOME)/dbjava/lib/classes12_g.jar
JDBCCLASSES11DBG=$(ORACLE_HOME)/dbjava/lib/classes111_g.zip
JDBCCLASSES11DBG_JAR=$(ORACLE_HOME)/dbjava/lib/classes111_g.jar
JDBCCLASSES12DMS_JAR=$(ORACLE_HOME)/dbjava/lib/classes12dms.jar
JDBCCLASSES12DMSDBG_JAR=$(ORACLE_HOME)/dbjava/lib/classes12dms_g.jar
JDBCCLASSES11PRIV_JAR=$(ORACLE_HOME)/dbjava/lib/classes111_priv.jar
JDBCCLASSES12PRIV_JAR=$(ORACLE_HOME)/dbjava/lib/classes12_priv.jar
JDBCCLASSES12DMSPRIV_JAR=$(ORACLE_HOME)/dbjava/lib/classes12dms_priv.jar
JDBCCLASSES14PRIV_JAR=$(ORACLE_HOME)/dbjava/lib/ojdbc14_priv.jar

JDBCJAR4JAVAVM=$(ORACLE_HOME)/dbjava/lib/classes12.jar


OCIJDBCNAME=ocijdbc$(JDBC_VERSION)
LIBOCIJDBC=$(JDBCHOME)lib/$(LIB_PREFIX)$(OCIJDBCNAME).$(LIB_EXT)
LLIBOCIJDBC=$(LDLIBFLAG)$(OCIJDBCNAME)$(LIB_SUFFIX)

OCIJDBCSTNAME=ocijdbcst$(JDBC_VERSION)
LLIBOCIJDBCST=$(LDLIBFLAG)$(OCIJDBCSTNAME)$(LIB_SUFFIX)

JDBC_OCI_LIB=$(JDBCHOME)lib/$(LIB_PREFIX)$(OCIJDBCNAME).$(SO_EXT)
JDBC_OCI_LIB_DEBUG=$(JDBCHOME)lib/$(LIB_PREFIX)$(OCIJDBCNAME)_g.$(SO_EXT)

HETEROXANAME = heteroxa$(JDBC_VERSION)
JDBC_XA_LIB=$(JDBCHOME)lib/$(LIB_PREFIX)$(HETEROXANAME).$(SO_EXT)
JDBC_XA_LIB_DEBUG=$(JDBCHOME)lib/$(LIB_PREFIX)$(HETEROXANAME)_g.$(SO_EXT)

NLS_CHARSET10_ZIP=$(JDBCHOME)lib/nls_charset10.zip
NLS_CHARSET11_ZIP=$(JDBCHOME)lib/nls_charset11.zip
NLS_CHARSET11_JAR=$(JDBCHOME)lib/nls_charset11.jar
NLS_CHARSET12_ZIP=$(JDBCHOME)lib/nls_charset12.zip
NLS_CHARSET12_JAR=$(JDBCHOME)lib/nls_charset12.jar

JDBCPUBH=$(I_SYM)$(JDBCHOME)if

OCRS12_ZIP=$(ORACLE_HOME)/dbjava/lib/ocrs12.zip
OCRS12_JAR=$(ORACLE_HOME)/dbjava/lib/ocrs12.jar
# Exiting /project/ia/920/src_020504/dbjava/exports.mk
# Entering /project/ia/920/src_020504/wwg/exports.mk

WWG_VERSION=9

LIBWWGNAME=wwg
LIBWWG=$(LIBHOME)$(LIB_PREFIX)$(LIBWWGNAME)$(WWG_VERSION).$(LIB_EXT)
LLIBWWG=$(LDLIBFLAG)$(LIBWWGNAME)$(WWG_VERSION)

WWGHOME=$(ORACLE_HOME)/wwg/

WWGPUBH=$(I_SYM)$(WWGHOME)public 

# Entering /project/ia/920/src_020504/wwg/s_exports.mk

# Exiting /project/ia/920/src_020504/wwg/s_exports.mk
# Exiting /project/ia/920/src_020504/wwg/exports.mk
# Entering /project/ia/920/src_020504/jis/exports.mk
# Exiting /project/ia/920/src_020504/jis/exports.mk
# Entering /project/ia/920/src_020504/oraolap/exports.mk
 # ORAOLAP exports.mk
OLAPHOME=$(ORACLE_HOME)/oraolap/

LIBOLAPNAME=oraolap$(RDBMS_VERSION)
LIBOLAPOPT=$(OLAPHOME)lib/$(LIB_PREFIX)$(LIBOLAPNAME).$(LIB_EXT)
LLIBOLAP=$(LDLIBFLAG)$(LIBOLAPNAME)
LOC_LIBOLAP=$(LIBOLAPOPT)

LIBOLAPAPINAME=olapapi$(RDBMS_VERSION)
LIBOLAPAPIOPT=$(OLAPHOME)lib/$(LIB_PREFIX)$(LIBOLAPAPINAME).$(LIB_EXT)
LLIBOLAPAPI=$(LDLIBFLAG)$(LIBOLAPAPINAME)
LOC_LIBOLAPAPI=$(LIBOLAPAPIOPT)

OLAPLINKTEST=${AR} tv $(LIBKNLOPT) | $(GREP) $(OLAP_ON) > /dev/null 2>&1
OLAPPRELINKOPTS =
OLAPLINKOPTS = `if $(OLAPLINKTEST) ; then echo "$(S_OLAPLINKOPTS)" ; fi`

OLAPADMIN=$(OLAPHOME)admin/

LIBOLAPAPINAME=olapapi$(RDBMS_VERSION)
LIBOLAPAPIOPT=$(OLAPHOME)lib/$(LIB_PREFIX)$(LIBOLAPAPINAME).$(LIB_EXT)
LLIBOLAPAPI=$(LDLIBFLAG)$(LIBOLAPAPINAME)
LOC_LIBOLAPAPI=$(LIBOLAPAPIOPT)

STAGE_LIBOLAPAPISONAME=STAGE_untrusted_olapapi$(RDBMS_VERSION)
STAGE_LIBOLAPAPISOOPT=$(OLAPHOME)lib/$(LIB_PREFIX)$(STAGE_LIBOLAPAPISONAME).$(LIB_EXT)
STAGE_LOC_LIBOLAPAPISO=$(STAGE_LIBOLAPAPISOOPT)

LIBOLAPAPISONAME=olapapi$(RDBMS_VERSION)
LIBOLAPAPISOOPT=$(OLAPHOME)lib/$(LIB_PREFIX)$(LIBOLAPAPISONAME).$(SO_EXT)
LLIBOLAPAPISO=$(LDLIBFLAG)$(LIBOLAPAPISONAME)
LOC_LIBOLAPAPISO=$(LIBOLAPAPISOOPT)

# Entering /project/ia/920/src_020504/oraolap/s_exports.mk
S_OLAPPRELINKOPTS=
S_OLAPLINKOPTS= ${LLIBOLAP}
S_TRUSTEDOLAPLINKOPTS= -z allextract ${LOC_LIBOLAPAPI} -z defaultextract -L$(COMPOBJ)
# Exiting /project/ia/920/src_020504/oraolap/s_exports.mk
# Entering /project/ia/920/src_020504/oraolap/sr_oraolap.mk
# Exiting /project/ia/920/src_020504/oraolap/sr_oraolap.mk
# Exiting /project/ia/920/src_020504/oraolap/exports.mk
# Entering /project/ia/920/src_020504/mgw/exports.mk

MGWHOME=$(ORACLE_HOME)/mgw/
# Exiting /project/ia/920/src_020504/mgw/exports.mk
# Entering /project/ia/920/src_020504/dm/exports.mk



LIBDMNAME=dm$(RDBMS_VERSION)
LIBDM=$(LIB_PREFIX)$(LIBDMNAME).$(LIB_EXT)
LLIBDM=$(LDLIBFLAG)$(LIBDMNAME)

DMLINKTEST=${AR} tv $(LIBKNLOPT) | $(GREP) $(DM_ON) > /dev/null 2>&1
DMLIBS = `if $(DMLINKTEST); then $(ECHO) "$(S_DMLIBS)"; fi`

DM_LIB_PREFIX=$(ORACLE_HOME)$(DIRSEP)dm$(DIRSEP)lib$(DIRSEP)
LOC_LIBDM=   $(DM_LIB_PREFIX)lib$(LIBDMNAME).$(LIB_EXT)
LOC_LIBDMSHR=$(DM_LIB_PREFIX)lib$(LIBDMNAME).$(SO_EXT)

LOC_JARDM= odmapi.$(JAR_EXT)
JARDM= $(DM_LIB_PREFIX)$(LOC_JARDM)
LOC_JARDMUTIL= dmutil.$(JAR_EXT)
JARDMUTIL= $(DM_LIB_PREFIX)$(LOC_JARDMUTIL)


# Entering /project/ia/920/src_020504/dm/s_exports.mk

S_DMLIBS=${LLIBDM}
# Exiting /project/ia/920/src_020504/dm/s_exports.mk
# Exiting /project/ia/920/src_020504/dm/exports.mk

# Entering /project/ia/920/src_020504/rdbms/exports.mk


RDBMS_VERSION = 9

LIBCLNTSTNAME=clntst$(RDBMS_VERSION)
LIBCLNTST=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSTNAME).$(LIB_EXT)
LLIBCLNTST=$(LDLIBFLAG)$(LIBCLNTSTNAME)

LIBSERVERNAME=server$(RDBMS_VERSION)
LIBSERVER=$(LIBHOME)$(LIB_PREFIX)$(LIBSERVERNAME).$(LIB_EXT)
LLIBSERVER=$(LDLIBFLAG)$(LIBSERVERNAME)$(LIB_SUFFIX)

LIBCLIENTNAME=client$(RDBMS_VERSION)
LIBCLIENT=$(LIBHOME)$(LIB_PREFIX)$(LIBCLIENTNAME).$(LIB_EXT)
LLIBCLIENT=$(LDLIBFLAG)$(LIBCLIENTNAME)

LIBGENERICNAME=generic$(RDBMS_VERSION)
LIBGENERIC=$(LIBHOME)$(LIB_PREFIX)$(LIBGENERICNAME).$(LIB_EXT)
LLIBGENERIC=$(LDLIBFLAG)$(LIBGENERICNAME)

LIBSKGXPNAME=skgxp$(RDBMS_VERSION)
LIBSKGXP=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXPNAME).$(SKGXP_EXT)
LLIBSKGXP=$(LDLIBFLAG)$(LIBSKGXPNAME)

SKGXN_VERSION=2
LIBSKGXNNAME=skgxn$(SKGXN_VERSION)
LIBSKGXN=$(ORACLUSTERDIR)$(LIB_PREFIX)$(LIBSKGXNNAME).$(SKGXN_EXT)
LLIBSKGXN=$(LDLIBFLAG)$(LIBSKGXNNAME)
LIBSKGXNINAME=skgxn$(RDBMS_VERSION)
LIBSKGXNI=$(LIBHOME)$(LIB_PREFIX)$(LIBSKGXNINAME).$(SKGXN_EXT)
LLIBSKGXNI=$(LDLIBFLAG)$(LIBSKGXNINAME)

LIBOCCINAME=occi
LIBOCCI=$(LIBHOME)$(LIB_PREFIX)$(LIBOCCINAME)$(RDBMS_VERSION).$(LIB_EXT)
LLIBOCCI=$(LDLIBFLAG)$(LIBOCCINAME)$(RDBMS_VERSION)
LLIBOCCISTATIC=$(LDLIBFLAG)$(LIBOCCINAME)$(RDBMS_VERSION)

LIBSKGXP_CLT=
LLIBSKGXP_CLT=

LIBCOMMONNAME=common$(RDBMS_VERSION)
LIBCOMMON=$(LIBHOME)$(LIB_PREFIX)$(LIBCOMMONNAME).$(LIB_EXT)
LLIBCOMMON=$(LDLIBFLAG)$(LIBCOMMONNAME)

LIBVSNNAME=vsn$(RDBMS_VERSION)
LIBVSN=$(LIBHOME)$(LIB_PREFIX)$(LIBVSNNAME).$(LIB_EXT)
LLIBVSN=$(LDLIBFLAG)$(LIBVSNNAME)

LIBAGENTNAME=agent$(RDBMS_VERSION)
LIBAGENT=$(LIBHOME)$(LIB_PREFIX)$(LIBAGENTNAME).$(LIB_EXT)
LLIBAGENT=$(LDLIBFLAG)$(LIBAGENTNAME)

LIBDBTOOLSNAME=dbtools$(RDBMS_VERSION)
LIBDBTOOLS=$(RDBMSLIB)$(LIB_PREFIX)$(LIBDBTOOLSNAME).$(LIB_EXT)
LLIBDBTOOLS=$(LDLIBFLAG)$(LIBDBTOOLSNAME)

LIBWTCNAME=wtc$(RDBMS_VERSION)
LIBWTC=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCNAME).$(LIB_EXT)
LLIBWTC=$(LDLIBFLAG)$(LIBWTCNAME)

LIBWTCSERVERNAME=wtcserver$(RDBMS_VERSION)
LIBWTCSERVER=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCSERVERNAME).$(LIB_EXT)
LLIBWTCSERVER=$(LDLIBFLAG)$(LIBWTCSERVERNAME)

DLMHOME=$(ORACLE_HOME)/odlm/

LIBMMNAME=mm
LIBMM=$(LIBHOME)$(LIB_PREFIX)$(LIBMMNAME).$(LIB_EXT)
LLIBMM=$(LDLIBFLAG)$(LIBMMNAME)


LIBRDBMS_CLT=$(LIBCLIENT) $(LIBSKGXP_CLT) $(LIBVSN) $(LIBWTC) $(LIBCOMMON) \
	$(LIBGENERIC)
LLIBRDBMS_CLT=$(LLIBCLIENT) $(LLIBSKGXP_CLT) $(LLIBVSN) $(LLIBWTC) \
	$(LLIBCOMMON) $(LLIBGENERIC)

LIBRDBMS_SERVER=$(LIBCLIENT) $(LIBSKGXP_CLT) $(LIBVSN) $(LIBWTCSERVER) \
	$(LIBCOMMON) $(LIBGENERIC)
LLIBRDBMS_SERVER=$(LLIBCLIENT) $(LLIBSKGXP_CLT) $(LLIBVSN) $(LLIBWTCSERVER) \
	$(LLIBCOMMON) $(LLIBGENERIC)

LIBCLNTSHNAME=clntsh
LIBCLNTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBCLNTSHNAME).$(SO_EXT)
LLIBCLNTSH=$(LDLIBFLAG)$(LIBCLNTSHNAME)

LIBAGTSHNAME=agtsh
LIBAGTSH=$(LIBHOME)$(LIB_PREFIX)$(LIBAGTSHNAME).$(SO_EXT)
LLIBAGTSH=$(LDLIBFLAG)$(LIBAGTSHNAME)

LIBSHWTC=$(RDBMSLIB)$(LIB_PREFIX)$(LIBWTCNAME).$(SO_EXT)
LLIBSHWTC=$(LDLIBFLAG)$(LIBWTCNAME)

LIBKNLOPTNAME=knlopt
LIBKNLOPT=$(RDBMSLIB)$(LIB_PREFIX)$(LIBKNLOPTNAME).$(LIB_EXT)
LLIBKNLOPT=$(LDLIBFLAG)$(LIBKNLOPTNAME)

CONFIG = $(RDBMSLIB)config.$(OBJ_EXT)



LLIBORDSDO=$(LDLIBFLAG)$(LIBORDSDONAME)$(LIB_SUFFIX)
SDOLIBS = `if ${AR} tv $(LIBKNLOPT) | $(GREP) "kxmnsd.$(OBJ_EXT)" > /dev/null 2>&1 ; then echo " " ; else echo "${LLIBORDSDO}"; fi`

DEF_ON= $(RDBMSLIB)kpudfo.$(OBJ_EXT)
DEF_OFF= $(RDBMSLIB)kpundf.$(OBJ_EXT)
DEF_OPT= $(RDBMSLIB)defopt.$(OBJ_EXT)

RDBMSHOME=$(ORACLE_HOME)/rdbms/
RDBMSLIB=$(RDBMSHOME)$(LIBDIR)/
RDBMSADMIN=$(RDBMSHOME)admin/

ORAMAPLIB=$(RDBMSLIB)

LIBNIDNAME=nid
LIBNID=$(RDBMSLIB)$(LIB_PREFIX)$(LIBNIDNAME).$(LIB_EXT)
LLIBNID=$(LDLIBFLAG)$(LIBNIDNAME)

# Entering /project/ia/920/src_020504/rdbms/s_exports.mk


SKGXP_EXT=$(SO_EXT)



SKGXN_EXT=$(SO_EXT)


SKGXN_VERSION=9
LLIBOCCI=$(LDLIBFLAG)$(LIBOCCINAME)
LIBOCCI=$(LIBHOME)$(LIB_PREFIX)$(LIBOCCINAME).$(SO_EXT).$(RDBMS_VERSION).0

# Exiting /project/ia/920/src_020504/rdbms/s_exports.mk
# Exiting /project/ia/920/src_020504/rdbms/exports.mk

PRODUCT=rdbms
PRODHOME=$(ORACLE_HOME)/$(PRODUCT)/

HSPRODHOME=$(ORACLE_HOME)/hs/
HSLIB=$(HSPRODHOME)$(LIBDIR)/
TG4IFMXPRODHOME=$(ORACLE_HOME)/tg4ifmx/
TG4IFMXLIB=$(TG4IFMXPRODHOME)$(LIBDIR)/
TG4INGRPRODHOME=$(ORACLE_HOME)/tg4ingr/
TG4INGRLIB=$(TG4INGRPRODHOME)$(LIBDIR)/
TG4MSQLPRODHOME=$(ORACLE_HOME)/tg4msql/
TG4MSQLLIB=$(TG4MSQLPRODHOME)$(LIBDIR)/
TG4RDBPRODHOME=$(ORACLE_HOME)/tg4rdb/
TG4RDBLIB=$(TG4RDBPRODHOME)$(LIBDIR)/
TG4RMSPRODHOME=$(ORACLE_HOME)/tg4rms/
TG4RMSLIB=$(TG4RMSPRODHOME)$(LIBDIR)/
TG4SYBSPRODHOME=$(ORACLE_HOME)/tg4sybs/
TG4SYBSLIB=$(TG4SYBSPRODHOME)$(LIBDIR)/
TG4TERAPRODHOME=$(ORACLE_HOME)/tg4tera/
TG4TERALIB=$(TG4TERAPRODHOME)$(LIBDIR)/


LIBKNLOPTSHIPNAME=knlopt_ship
LIBVSNEENAME=vsn_ee$(RDBMS_VERSION)
LIBVSNSTDNAME=vsn_std$(RDBMS_VERSION)

LIBQSMA=$(LOC_LIBQSMASHR)
LIBXDB=$(LOC_LIBGENERIC)

LIBS=$(LIBQSMA) $(LIBWTC) $(LOC_LIBODM) $(LOC_LIBOCITRC) \
     $(LOC_LIBMAPSYM) $(LOC_LIBMAPDUMMY) $(LOC_LIBXDBSHR)
SHLIBS=$(LIBSHWTC) $(LIBODM) 
DLOPENLIBS=$(LIBQSMASHR) $(LIBMAPSYM) $(LIBMAPDUMMY) $(LIBXDBSHR)

INS_CONFIG=$(CONFIG)

CARTLIBS= $(CTX_LINK) $(LLIBORDIMT)
CARTLIBD= $(CTX_LINK) $(LLIBORDIMT)
HS_OCI_DRIVER=$(RDBMSLIB)hoaoci.$(OBJ_EXT)
HS_DEP_DRIVER=$(RDBMSLIB)hoax.$(OBJ_EXT)
HS_OTS_DRIVER=$(RDBMSLIB)hoat.$(OBJ_EXT)

HS_XASWITCH_ORA=$(RDBMSLIB)hsxaora.$(OBJ_EXT)

HSALLMAI = $(RDBMSLIB)horm.$(OBJ_EXT)		# hs all modules main
HSSQLMAI = $(RDBMSLIB)horms.$(OBJ_EXT)		# hs SQL main
HSDEPMAI = $(RDBMSLIB)hormd.$(OBJ_EXT)		# hs DEP main
HSOTSMAI = $(RDBMSLIB)hormt.$(OBJ_EXT)		# hs OTS main
HSAGTSHC = $(RDBMSLIB)homts.$(OBJ_EXT)		# multi-threaded agent 
HSODBCMAI   = $(HSLIB)hsodbc.$(OBJ_EXT)		# hsodbc main
HSOLEFSMAI  = $(HSLIB)hsolefs.$(OBJ_EXT)	# hsolefs main
HSOLESQLMAI = $(HSLIB)hsolesql.$(OBJ_EXT)	# hsolesql main
TG4IFMXMAI  = $(TG4IFMXLIB)tg4ifmx.$(OBJ_EXT)	# tg4ifmx main
TG4INGRMAI  = $(TG4INGRLIB)tg4ingr.$(OBJ_EXT)	# tg4ingr main
TG4MSQLMAI  = $(TG4MSQLLIB)tg4msql.$(OBJ_EXT)	# tg4msql main
TG4RDBMAI   = $(TG4RDBLIB)tg4rdb.$(OBJ_EXT)	# tg4rdb main
TG4RMSMAI   = $(TG4RMSLIB)tg4rms.$(OBJ_EXT)	# tg4rms main
TG4SYBSMAI  = $(TG4SYBSLIB)tg4sybs.$(OBJ_EXT)	# tg4rms main
TG4TERAMAI  = $(TG4TERALIB)tg4tera.$(OBJ_EXT)	# tg4rms main

LIBNAVHOANAME=navhoa
LIBNAVHOA=$(LIBHOME)$(LIB_PREFIX)$(LIBNAVHOANAME).$(LIB_EXT)
LLIBNAVHOA=$(LDLIBFLAG)$(LIBNAVHOANAME)

LIBNAVSHRNAME=hsnav
LIBNAVSHR=$(LIBHOME)$(LIB_PREFIX)$(LIBNAVSHRNAME).$(LIB_EXT)
LLIBNAVSHR=$(LDLIBFLAG)$(LIBNAVSHRNAME)

LIBNVBASESHRNAME=hsbase
LIBNVBASESHR=$(LIBHOME)$(LIB_PREFIX)$(LIBNVBASESHRNAME).$(LIB_EXT)
LLIBNVBASESHR=$(LDLIBFLAG)$(LIBNVBASESHRNAME)


HSALIB_SUBSET1=$(DEF_OPT) $(HSA_OSDLINK_PREPEND) $(HSAGTSHC) $(SSDBED)
HSALIB_SUBSET2=$(LLIBAGTSH) $(LLIBPLSQL) $(LLIBTHREAD)  $(LLIBCLNTSH) \
	$(CORELIBS) $(LIBGENERIC) $(LINKLDLIBS) $(HSA_OSDLINK_APPEND) \
	$(LLIBVSN)

NAVLIBS= $(LDPATHFLAG)$(LIBHOME) \
	$(LLIBNAVHOA)  $(LLIBNAVSHR) $(LLIBNVBASESHR)


VER_ENT= vsnfprd.$(OBJ_EXT)
VER_STD= vsnfstd.$(OBJ_EXT)
VER_PO= vsnfpo.$(OBJ_EXT)
VSNNTP= vsnntp.$(OBJ_EXT)
VSNSTD= vsnstd.$(OBJ_EXT)
VSNPO= vsnpo.$(OBJ_EXT)

VER_ENT_DEPS=knlopt_local $(RDBMSLIB)$(VER_ENT)
VER_STD_DEPS=knlopt_local $(RDBMSLIB)$(VER_STD) rac_off part_off
VER_PO_DEPS=knlopt_local $(RDBMSLIB)$(VER_PO) rac_off part_off

PLS_ON= kkxwtp.$(OBJ_EXT)
PLS_OFF= kkxntp.$(OBJ_EXT)
PLSQAENV=$(ORACLE_HOME)/plsql/utl/plsqaenv
PLSQLUTL=$(ORACLE_HOME)/plsql/utl/
PLSQLSCRIPTS=$(PLSQLUTL)scripts/
PLSQASTART=T_COM:plsqastart.tsc

JOXOPT_FILE=$(RDBMSLIB)joxopt.txt
JOXOFF_OFILE= joxoff.$(OBJ_EXT)
JOX_OFILE=jox.$(OBJ_EXT)
JOXWTP_OFILE= joxwtp.$(OBJ_EXT)

JOX_BOM=$(RDBMSADMIN)jox.bom

JOXNAME=jox$(RDBMS_VERSION)
LIBJOXNAME=$(LIB_PREFIX)$(JOXNAME)
LLIBJOX=$(LDLIBFLAG)$(JOXNAME)
LLIBJAVAVMORJOX=$(LLIBJOX) $(LLIBSERVER)
SHLIBJOX=$(JAVAVM_SHLIB_SOHOME)$(LIBJOXNAME).$(SO_EXT)


RAC_ON= kcsm.$(OBJ_EXT)
RAC_OFF= ksnkcs.$(OBJ_EXT)

OPS_ON= $(RAC_ON)
OPS_OFF=$(RAC_OFF)

DDB_ON= ktd.$(OBJ_EXT)
DDB_OFF= ksnktd.$(OBJ_EXT)

SDO_ON= kxmwsd.$(OBJ_EXT)
SDO_OFF= kxmnsd.$(OBJ_EXT)

LBAC_ON= kzlilbac.$(OBJ_EXT)
LBAC_OFF= kzlnlbac.$(OBJ_EXT)

CTX_ON= kciwcx.$(OBJ_EXT)
CTX_OFF= kcincx.$(OBJ_EXT)

OLAP_ON=  xsyeolap.$(OBJ_EXT)
OLAP_OFF=xsnoolap.$(OBJ_EXT)

PART_ON= kkpoban.$(OBJ_EXT)
PART_OFF= ksnkkpo.$(OBJ_EXT)

DM_ON=dmwdm.$(OBJ_EXT)
DM_OFF=dmndm.$(OBJ_EXT)

LIL_ON= $(LIB_PREFIX)lil.$(LIB_EXT)
LIL_OFF= sllfls.$(OBJ_EXT)

XAS_ON=$(LIBSQL)
XAS_OFF=xaonsl.$(OBJ_EXT)
 
XAD_OFF=xaondy.$(OBJ_EXT)

SQLLIBS=

KPT_ON=kprwts.$(OBJ_EXT)
KPT_OFF=kprnts.$(OBJ_EXT)

SGL_ON=$(OSNTABST) $(RDBMSLIB)ttcsoi.$(OBJ_EXT) $(RDBMSLIB)ttcoerr.$(OBJ_EXT)
SGL_OFF=$(NIGTAB)

EMBEDDED_ON=$(NIGTAB) $(RDBMSLIB)kpufpd.$(OBJ_EXT) $(RDBMSLIB)ttcsoi.$(OBJ_EXT) $(RDBMSLIB)ttcoerr.$(OBJ_EXT)

ORAMAI = $(RDBMSLIB)opimai.$(OBJ_EXT)
SSORED = $(RDBMSLIB)ssoraed.$(OBJ_EXT)
IMPMAI = $(RDBMSLIB)s0impdrv.$(OBJ_EXT)
EXPMAI = $(RDBMSLIB)s0exudrv.$(OBJ_EXT)
LDRMAI = $(RDBMSLIB)sulmain.$(OBJ_EXT)
MIGMAI = $(RDBMSLIB)s0kumain.$(OBJ_EXT)
MIGOBJS = $(RDBMSLIB)skumcf.$(OBJ_EXT)
MXMMAI = $(RDBMSLIB)maxmem.$(OBJ_EXT)
DBGMAI = $(RDBMSLIB)dbfmig.$(OBJ_EXT)
SYSRESVMAI = $(RDBMSLIB)sysresv.$(OBJ_EXT)
ORADISMMAI = $(RDBMSLIB)oradism.$(OBJ_EXT)
FMPUTLMAI = $(RDBMSLIB)skgfxp.$(OBJ_EXT)
FMPUTLHPMAI = $(RDBMSLIB)skgfxph.$(OBJ_EXT)
DUMPSGAMAI = $(RDBMSLIB)dumpsga.$(OBJ_EXT)
MAPSGAMAI = $(RDBMSLIB)mapsga.$(OBJ_EXT)
TSMMAI = $(RDBMSLIB)tstshm.$(OBJ_EXT)
TKPMAI = $(RDBMSLIB)s0kvpf.$(OBJ_EXT)
GOCMAI = $(RDBMSLIB)genoci.$(OBJ_EXT)
PWDMAI = $(RDBMSLIB)s0kuzr.$(OBJ_EXT)
DBFMAI = $(RDBMSLIB)dbfsize.$(OBJ_EXT)
CURMAI = $(RDBMSLIB)cursize.$(OBJ_EXT)
DBVMAI = $(RDBMSLIB)s0kudbv.$(OBJ_EXT)
SSDBED=
TDSMAI = $(RDBMSLIB)kopc.$(OBJ_EXT)
EXTPMAI = $(RDBMSLIB)hormc.$(OBJ_EXT)
AGTCLMAI = $(RDBMSLIB)hout.$(OBJ_EXT)
AGTCLSUR = $(RDBMSLIB)shou.$(OBJ_EXT)
GMSMAI = $(RDBMSLIB)/skgxgd.$(OBJ_EXT) $(RDBMSLIB)/kgxgd.$(OBJ_EXT)	$(RDBMSLIB)/kgxgm.$(OBJ_EXT)
GMCTLM = $(RDBMSLIB)skgxgk.$(OBJ_EXT) $(RDBMSLIB)kgxgk.$(OBJ_EXT)
SSORED = $(RDBMSLIB)ssoraed.$(OBJ_EXT)
TTCSOI = $(RDBMSLIB)ttcsoi.$(OBJ_EXT)
ARCMAI = $(RDBMSLIB)archmon.$(OBJ_EXT)
OSHMAI = $(RDBMSLIB)osh.$(OBJ_EXT)
GKSMAI = $(RDBMSLIB)genksms.$(OBJ_EXT)
GKFMAI = $(RDBMSLIB)genkflat.$(OBJ_EXT)
SSKRMED = $(RDBMSLIB)sskrmed.$(OBJ_EXT)
SKRMPT = $(RDBMSLIB)skrmpt.$(OBJ_EXT)
SBBDPT = $(RDBMSLIB)sbbdpt.$(OBJ_EXT)
SSBBDED = $(RDBMSLIB)ssbbded.$(OBJ_EXT)
SKRSPT = $(RDBMSLIB)skrspt.$(OBJ_EXT)
SSKRSED = $(RDBMSLIB)sskrsed.$(OBJ_EXT)
KGPPMAI = $(RDBMSLIB)kgupc.$(OBJ_EXT)
KGMGRC = $(RDBMSLIB)kgutc.$(OBJ_EXT)	        # kgmgr
LOADPSPMAI = $(RDBMSLIB)wpspldrv.$(OBJ_EXT)	# loadpsp
RFSMGRLMAI =$(RDBMSLIB)srfsd.$(OBJ_EXT) # dgmgrl
RFSXC =$(RDBMSLIB)rfsxc.$(OBJ_EXT)
RFSMGRLOBJS =$(RDBMSLIB)rfsin.$(OBJ_EXT) $(RDBMSLIB)rfscom.$(OBJ_EXT) $(RDBMSLIB)rfsd.$(OBJ_EXT)
AVMUROUTMAI = $(RDBMSLIB)avmurout.$(OBJ_EXT)
AVMPINGMAI = $(RDBMSLIB)savping.$(OBJ_EXT)
AVLIGMSGMAI = $(RDBMSLIB)savigmsg.$(OBJ_EXT)
AVMUMONMAI = $(RDBMSLIB)savumon.$(OBJ_EXT)
KFEDMAI =  $(RDBMSLIB)kfed.$(OBJ_EXT)
SKFEDPT =  $(RDBMSLIB)skfedpt.$(OBJ_EXT)
SSKFEDED = $(RDBMSLIB)sskfeded.$(OBJ_EXT)
SKRNPT = $(RDBMSLIB)skrnpt.$(OBJ_EXT) 
SSKRNED = $(RDBMSLIB)sskrned.$(OBJ_EXT)

ORACLE=$(RDBMSBIN)oracle$(EXE_SUFFIX)
IMP=$(RDBMSBIN)imp$(EXE_SUFFIX)
EXP=$(RDBMSBIN)exp$(EXE_SUFFIX)
SQLLDR=$(RDBMSBIN)sqlldr$(EXE_SUFFIX)
SQLLDR_LIL=$(RDBMSBIN)sqlldr_lil$(EXE_SUFFIX)
MIG=$(RDBMSBIN)mig$(EXE_SUFFIX)
DBVERIFY=$(RDBMSBIN)dbv$(EXE_SUFFIX)
TSTSHM=$(RDBMSBIN)tstshm$(EXE_SUFFIX)
MAXMEM=$(RDBMSBIN)maxmem$(EXE_SUFFIX)
DBFMIG=$(RDBMSBIN)dbfmig$(EXE_SUFFIX)
SYSRESVER=$(RDBMSBIN)sysresv$(EXE_SUFFIX)
ORADISM=$(RDBMSBIN)oradism$(EXE_SUFFIX)
FMPUTL=$(RDBMSBIN)fmputl$(EXE_SUFFIX)
FMPUTLHP=$(RDBMSBIN)fmputlhp$(EXE_SUFFIX)
DUMPSGA=$(RDBMSBIN)dumpsga$(EXE_SUFFIX)
MAPSGA=$(RDBMSBIN)mapsga$(EXE_SUFFIX)
ORAPWD=$(RDBMSBIN)orapwd$(EXE_SUFFIX)
TKPROF=$(RDBMSBIN)tkprof$(EXE_SUFFIX)
DBFSIZE=$(RDBMSBIN)dbfsize$(EXE_SUFFIX)
CURSIZE=$(RDBMSBIN)cursize$(EXE_SUFFIX)
RMAN=$(RDBMSBIN)rman$(EXE_SUFFIX)
GENOCI=$(RDBMSBIN)genoci$(EXE_SUFFIX)
GENKFLAT=$(RDBMSBIN)genkflat$(EXE_SUFFIX)
SVRMGRL=$(RDBMSBIN)svrmgrl$(EXE_SUFFIX)
TDSCOMP=$(RDBMSBIN)tdscomp$(EXE_SUFFIX)
EXTPROC=$(RDBMSBIN)extproc$(EXE_SUFFIX)
EXTPROC32=$(RDBMSBIN)extproc32$(EXE_SUFFIX)
HSALLOCI=$(RDBMSBIN)hsalloci$(EXE_SUFFIX)
HSDEPXA=$(RDBMSBIN)hsdepxa$(EXE_SUFFIX)
HSOTS=$(RDBMSBIN)hsots$(EXE_SUFFIX)
HSODBC=$(RDBMSBIN)hsodbc$(EXE_SUFFIX)
HSOLEFS=$(RDBMSBIN)hsolefs$(EXE_SUFFIX)
HSOLESQL=$(RDBMSBIN)hsolesql$(EXE_SUFFIX)
TG4IFMX=$(RDBMSBIN)tg4ifmx$(EXE_SUFFIX)
TG4INGR=$(RDBMSBIN)tg4ingr$(EXE_SUFFIX)
TG4MSQL=$(RDBMSBIN)tg4msql$(EXE_SUFFIX)
TG4RDB=$(RDBMSBIN)tg4rdb$(EXE_SUFFIX)
TG4RMS=$(RDBMSBIN)tg4rms$(EXE_SUFFIX)
TG4SYBS=$(RDBMSBIN)tg4sybs$(EXE_SUFFIX)
TG4TERA=$(RDBMSBIN)tg4tera$(EXE_SUFFIX)
AGTCTL=$(RDBMSBIN)agtctl$(EXE_SUFFIX)
OGMS=$(RDBMSBIN)ogms$(EXE_SUFFIX)
OGMSCTL=$(RDBMSBIN)ogmsctl$(EXE_SUFFIX)
ARCHMON=$(RDBMSBIN)archmon$(EXE_SUFFIX)
OSH=$(RDBMSBIN)osh$(EXE_SUFFIX)
RMAN=$(RDBMSBIN)rman$(EXE_SUFFIX)
BBED=$(RDBMSBIN)bbed$(EXE_SUFFIX)
SBTTEST=$(RDBMSBIN)sbttest$(EXE_SUFFIX)
KGPMON=$(RDBMSBIN)kgpmon$(EXE_SUFFIX)
KGMGR=$(RDBMSBIN)kgmgr$(EXE_SUFFIX)
LOADPSP=$(RDBMSBIN)loadpsp$(EXE_SUFFIX)
RFSMGRL=$(RDBMSBIN)dgmgrl$(EXE_SUFFIX)
AVMUROUT=$(RDBMSBIN)avmurout$(EXE_SUFFIX)
AVMPING=$(RDBMSBIN)avmping$(EXE_SUFFIX)
AVLIGMSG=$(RDBMSBIN)avligmsg$(EXE_SUFFIX)
AVMUMON=$(RDBMSBIN)avmumon$(EXE_SUFFIX)
KFED=$(RDBMSBIN)kfed$(EXE_SUFFIX)

NID=$(RDBMSBIN)nid$(EXE_SUFFIX)
ORACLE_LINKLINE=$(ORACLE_LINKER) $(PL_FLAGS) $(ORAMAI) $(SSORED) $(TTCSOI) \
	$(NAETTOBJS) $(CONFIG) $(SPOBJS) $(LLIBSERVER) $(LLIBODM) \
	$(LLIBSKGXP) $(LLIBSKGXNI) $(LLIBRDBMS_SERVER) $(DEF_OPT) \
	$(LLIBKNLOPT) $(OLAPLINKOPTS) $(DMLIBS) \
	$(LLIBSLAX) $(LLIBPLSQL) $(LLIBSERVER) $(LLIBRDBMS_SERVER) \
	$(LLIBKNLOPT) $(LLIBSLAX) $(LLIBPLSQL) $(LLIBJAVAVMORJOX) \
	$(LLIBOCIJDBCST) $(LLIBWWG) $(NTZEOBJ) $(NETLIBS) $(LLIBMM) $(CORELIBS)\
	$(NETLIBS) $(LIBPLS_CLT) $(LLIBEPC) $(CORELIBS) $(SDOLIBS) $(CARTLIBS) \
	$(CORELIBS) $(LLIBSNLSRTL) $(LLIBUNLSRTL) $(LLIBXSD) $(CORELIBS) $(LINKLDLIBS) \
	$(PL_ORALIBS)
IMP_LINKLINE=$(LINK) $(OPT) $(IMPMAI) $(SSDBED) $(DEF_OPT) $(LLIBDBTOOLS) \
	$(LINKTTLIBS)
EXP_LINKLINE=$(LINK) $(OPT) $(EXPMAI) $(SSDBED) $(DEF_OPT) $(LLIBDBTOOLS) \
	$(LINKTTLIBS)
LDR_LINKLINE=$(LINK) $(OPT) $(LDRMAI) $(SSDBED) $(DEF_OPT) \
	$(RDBMSLIB)$(LIL_OFF) $(LLIBDBTOOLS) $(LLIBCLNTSH) $(ORACLETTLIBS) \
	$(LLIBTHREAD) $(LINKLDLIBS)
LIL_LINKLINE=$(LINK) $(OPT) $(LDRMAI) $(SSDBED) $(DEF_OPT) $(LLIBDBTOOLS) \
	$(LIL_ON) $(LLIBCLNTSH) $(ORACLETTLIBS) $(LLIBTHREAD) $(LINKLDLIBS)
MIG_LINKLINE=$(LINK) $(OPT) $(MIGMAI) $(MIGOBJS) $(SSDBED) $(DEF_OPT) \
	$(NAETTOBJS) $(LLIBDBTOOLS) $(ORACLETTLIBS) $(ORACLETTLIBS) \
	$(LDFLAGSLIST) $(LLIBPLSQL) $(LLIBXSD) $(CORELIBS) $(LINKLDLIBS)
DBV_LINKLINE=$(LINK) $(OPT) $(DBVMAI) $(SSDBED) $(DEF_OPT) $(LLIBDBTOOLS) \
        $(LLIBSNLSRTL) $(LLIBUNLSRTL) $(LLIBNLSRTL) \
	$(LINKTTLIBS)
TSTSHM_LINKLINE=$(LINK) $(OPT) $(TSMMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
MAXMEM_LINKLINE=$(LINK) $(OPT) $(MXMMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
DBFMIG_LINKLINE=$(LINK) $(OPT) $(DBGMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
SYSRESVER_LINKLINE=$(LINK) $(OPT) $(SYSRESVMAI) $(SSDBED) $(DEF_OFF) \
	$(LINKTTLIBS)
ORADISM_LINKLINE=$(LINK) $(ORADISMMAI) $(LINKLDLIBS)
FMPUTL_LINKLINE=$(LINK) $(FMPUTLMAI) $(LINKLDLIBS) $(CORELIBS)
FMPUTLHP_LINKLINE=$(LINK) $(FMPUTLHPMAI) $(LINKLDLIBS) $(CORELIBS)
GENKSMSOBJ=$(GENKSMS)>$(KSMSSRC);$(AS) $(NOKPIC_ASFLAGS) -o $(KSMS) $(KSMSSRC); $(RMF) $(KSMSSRC)
MAYBE_ARX_KSMS=if [ ! -f $(KSMS) ]; then ($(CD) $(RDBMSLIB); $(AREXTRACT) $(LIBSERVER) ksms.o); fi;
DUMPSGA_LINKLINE=$(LINK) $(OPT) $(DUMPSGAMAI) $(SSDBED) $(DEF_OFF) $(KSMS) \
	$(LINKTTLIBS) 
MAPSGA_LINKLINE=$(LINK) $(OPT) $(MAPSGAMAI) $(SSDBED) $(DEF_OFF) $(KSMS) \
	$(LINKTTLIBS) 
ORAPWD_LINKLINE=$(LINK) $(OPT) $(PWDMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
TKPROF_LINKLINE=$(LINK) $(OPT) $(TKPMAI) $(SSDBED) $(DEF_OPT) $(LINKTTLIBS)
DBFSIZE_LINKLINE=$(LINK) $(OPT) $(DBFMAI) $(SSDBED) $(DEF_OFF) $(LINKTTLIBS)
CURSIZE_LINKLINE=$(LINK) $(OPT) $(CURMAI) $(SSDBED) $(DEF_OPT) $(LINKTTLIBS)
RMAN_LINKLINE=$(LINK) $(OPT) $(S0MAIN) $(SSKRMED) $(SKRMPT) $(DEF_OPT) \
	$(LLIBDBTOOLS) $(LLIBCLIENT) $(LLIBWTC) $(LLIBSQL) $(LLIBPLSQL) \
	$(LLIBSNLSRTL) $(LLIBUNLSRTL) $(LLIBNLSRTL) \
	$(LLIBSLAX) $(LLIBPLSQL) $(LINKTTLIBS)
GENOCI_LINKLINE=$(LINK) $(GOCMAI) $(LINKLDLIBS)
GENKFLAT_LINKLINE=$(LINK) $(GKFMAI) $(LINKLDLIBS)
SVRMGRL_LINKLINE=$(LINK) $(LLIBSVRM) $(DEF_OPT) $(LLIBCLIENT) $(LLIBWTC) $(LLIBSQL) \
	$(LINKTTLIBS) $(LDFLAGSLIST)
TDSCOMP_LINKLINE=$(LINK) $(OPT) $(TDSMAI) $(SSDBED) $(DEF_OPT) $(LINKTTLIBS)
EXTPROC_LINKLINE=$(LINK) $(OPT) $(EXTPMAI) $(PROD_EXTPROC_OPT) \
	$(HSALIB_SUBSET1) $(HSALIB_SUBSET2)
AGTCTL_LINKLINE=$(LINK) $(OPT) $(AGTCLMAI) $(HSALIB_SUBSET1) \
	$(AGTCLSUR) $(HSALIB_SUBSET2)
HSALLOCI_LINKLINE=$(LINK) $(OPT) $(HSALLMAI) $(HSALIB_SUBSET1) \
	$(HS_OCI_DRIVER) $(HS_XASWITCH_ORA) $(RDBMSLIB)$(XAD_OFF) \
	$(HSALIB_SUBSET2)
HSDEPXA_LINKLINE=$(LINK) $(OPT) $(HSDEPMAI) $(HSALIB_SUBSET1) \
	$(HS_DEP_DRIVER) $(RDBMSLIB)$(XAD_OFF) \
	$(HSALIB_SUBSET2)
HSOTS_LINKLINE=$(LINK) $(OPT) $(HSOTSMAI) $(HSALIB_SUBSET1) \
	$(HS_OTS_DRIVER) $(HS_XASWITCH_ORA) $(RDBMSLIB)$(XAD_OFF) \
	$(HSALIB_SUBSET2)
HSODBC_LINKLINE= $(LINK) $(OPT) $(HSODBCMAI) $(HSALIB_SUBSET1) \
	$(NAVLIBS) $(HSA_ODBC_SYSLIBS)  $(HSALIB_SUBSET2)
HSOLEFS_LINKLINE= $(LINK) $(OPT) $(HSOLEFSMAI) $(HSALIB_SUBSET1) \
	$(NAVLIBS) $(HSALIB_SUBSET2)
HSOLESQL_LINKLINE= $(LINK) $(OPT) $(HSOLESQLMAI) $(HSALIB_SUBSET1) \
	$(NAVLIBS) $(HSALIB_SUBSET2)
TG4IFMX_LINKLINE= $(LINK) $(OPT) $(TG4IFMXMAI) $(HSALIB_SUBSET1) \
	$(NAVLIBS) $(HSALIB_SUBSET2)
TG4INGR_LINKLINE= $(LINK) $(OPT) $(TG4INGRMAI) $(HSALIB_SUBSET1) \
	$(NAVLIBS) $(HSALIB_SUBSET2)
TG4MSQL_LINKLINE= $(LINK) $(OPT) $(TG4MSQLMAI) $(HSALIB_SUBSET1) \
	$(NAVLIBS) $(HSALIB_SUBSET2)
TG4RDB_LINKLINE= $(LINK) $(OPT) $(TG4RDBMAI) $(HSALIB_SUBSET1) \
	$(NAVLIBS) $(HSALIB_SUBSET2)
TG4RMS_LINKLINE= $(LINK) $(OPT) $(TG4RMSMAI) $(HSALIB_SUBSET1) \
	$(NAVLIBS) $(HSALIB_SUBSET2)
TG4SYBS_LINKLINE= $(LINK) $(OPT) $(TG4SYBSMAI) $(HSALIB_SUBSET1) \
	$(NAVLIBS) $(HSALIB_SUBSET2)
TG4TERA_LINKLINE= $(LINK) $(OPT) $(TG4TERAMAI) $(HSALIB_SUBSET1) \
	$(NAVLIBS) $(HSA_TERA_SYSLIBS)  $(HSALIB_SUBSET2)

OGMS_LINKLINE=$(LINK) $(OPT) $(GMSMAI) $(SSDBED) $(DEF_OPT) $(LLIBSKGXP) \
	$(LINKTTLIBS)
OGMSCTL_LINKLINE=$(LINK) $(OPT) $(GMCTLM) $(SSDBED) $(DEF_OPT) $(LLIBSKGXP) \
	$(LINKTTLIBS)
ARCHMON_LINKLINE=$(LINK) $(OPT) $(ARCMAI) $(LINKTTLIBS)
OSH_LINKLINE=$(LINK) $(OSHMAI) $(LINKLDLIBS)
BBED_LINKLINE=$(LINK) $(S0MAIN) $(SSBBDED) $(SBBDPT) $(LLIBSQLNET) $(DEF_OPT) \
	$(LLIBDBTOOLS) $(LINKTTLIBS)
SBTTEST_LINKLINE=$(LINK) $(S0MAIN) $(SSKRSED) $(SKRSPT) $(DEF_OPT) \
	$(SHAREDLIBPATH) $(LLIBDBTOOLS) $(LINKTTLIBS)
KGPMON_LINKLINE=$(LINK) $(OPT) $(KGPPMAI) $(LLIBCLIENT) $(LLIBWTC) \
	$(DEF_OPT) $(LLIBSQL) $(LLIBPLSQL) $(LLIBSLAX) \
        $(LLIBSNLSRTL) $(LLIBUNLSRTL) $(LLIBNLSRTL) \
	$(LLIBPLSQL) $(LOC_LIBCLIENT) $(LINKTTLIBS)
IMAGEEXE_LINKLINE=$(LINK) $(OPT) $(IMAGEOBJS) $(SSDBED) $(DEF_OPT) \
	$(SQLLIBS) $(LLIBDBTOOLS) $(LINKTTLIBS) $(THREADLIBS)
IMAGESHARE_LINKLINE=$(LINK) $(OPT) $(IMAGEOBJS) $(SSDBED) $(DEF_OPT) \
	$(LLIBCLNTSH) $(THREADLIBS) $(LINKLDLIBS)
KGMGR_LINKLINE=$(LINK) $(OPT) $(KGMGRC) $(LLIBCLIENT) $(LLIBWTC) \
	$(DEF_OPT) $(LLIBSQL) $(LLIBPLSQL) $(LLIBSLAX) \
	$(LLIBPLSQL) $(LLIBDBTOOLS) $(LINKTTLIBS)
LOADPSP_LINKLINE=$(LINK) $(OPT) $(LLIBSNLSRTL) $(LLIBUNLSRTL) $(LLIBNLSRTL) \
	$(LOADPSPMAI) $(LLIBDBTOOLS) $(LINKTTLIBS)
RFSMGRL_LINKLINE=$(LINK) $(OPT) $(RFSMGRLMAI) $(RFSMGRLOBJS) \
	$(RFSXC) $(SSDBED) $(CORELIBS) $(LLIBDBTOOLS) $(LINKTTLIBS)

AVMUROUT_LINKLINE=$(LINK) $(OPT) $(AVMUROUTMAI) $(SSDBED) $(DEF_OPT) $(LLIBDBTOOLS) \
	$(LINKTTLIBS)
AVMPING_LINKLINE=$(LINK) $(OPT) $(AVMPINGMAI) $(SSDBED) $(DEF_OPT) $(LLIBDBTOOLS) \
	$(LINKTTLIBS)
AVLIGMSG_LINKLINE=$(LINK) $(OPT) $(AVLIGMSGMAI) $(SSDBED) $(DEF_OPT) $(LLIBDBTOOLS) \
	$(LINKTTLIBS)
AVMUMON_LINKLINE=$(LINK) $(OPT) $(AVMUMONMAI) $(SSDBED) $(DEF_OPT) $(LLIBDBTOOLS) \
	$(LINKTTLIBS)

NID_LINKLINE=$(LINK) $(OPT) $(S0MAIN) $(SKRNPT) $(SSKRNED) $(LLIBNID) \
             $(DEF_OPT) $(LINKTTLIBS) 

KFED_LINKLINE=$(LINK) $(S0MAIN) $(KFEDMAI) $(SSKFEDED) $(SKFEDPT) \
	$(LLIBSQLNET) $(DEF_OPT) $(LLIBDBTOOLS) $(LINKTTLIBS)

ALL_OPTS= $(RDBMSLIB)$(PLS_ON) \
	$(RDBMSLIB)$(RAC_ON) \
	$(RDBMSLIB)$(DDB_ON) \
	$(RDBMSLIB)$(SDO_ON) \
	$(RDBMSLIB)$(CTX_ON) \
	$(RDBMSLIB)$(PART_ON) \
	$(RDBMSLIB)$(DM_ON) \
	$(RDBMSLIB)$(LIL_OFF) \
	$(RDBMSLIB)$(KPT_OFF) \
	$(RDBMSLIB)$(OLAP_OFF) \
	$(RDBMSLIB)$(LBAC_OFF)

NO_OPTS= $(RDBMSLIB)$(PLS_ON) \
	$(RDBMSLIB)$(RAC_OFF) \
	$(RDBMSLIB)$(DDB_OFF) \
	$(RDBMSLIB)$(SDO_ON) \
	$(RDBMSLIB)$(CTX_ON) \
	$(RDBMSLIB)$(PART_OFF) \
	$(RDBMSLIB)$(DM_OFF) \
	$(RDBMSLIB)$(LIL_OFF) \
	$(RDBMSLIB)$(OLAP_OFF) \
	$(RDBMSLIB)$(KPT_OFF) \
	$(RDBMSLIB)$(LBAC_OFF)



SKGXPD_NAME=skgxpd
SKGXPD_SRC=skgxpd.c
SKGXPD_OBJ=$(RDBMSLIB)skgxpd.$(OBJ_EXT)
LIBSKGXPD_MEMBERS=$(LIBSKGXPD_STATIC)($(RDBMSLIB)skgxpd.$(OBJ_EXT))

SKGXPU_NAME=skgxpu
SKGXPU_SRC=skgxpu.c sskgxpu.c
SKGXPU_OBJ=$(RDBMSLIB)skgxpu.$(OBJ_EXT)	$(RDBMSLIB)sskgxpu.$(OBJ_EXT)
LIBSKGXPU_MEMBERS=$(LIBSKGXPU_STATIC)($(RDBMSLIB)skgxpu.$(OBJ_EXT))	\
		$(LIBSKGXPU_STATIC)($(RDBMSLIB)sskgxpu.$(OBJ_EXT))

SKGXPT_NAME=skgxpt
SKGXPT_SRC=skgxpt.c sskgxpt.c
SKGXPT_OBJ=$(RDBMSLIB)skgxpt.$(OBJ_EXT)	$(RDBMSLIB)sskgxpt.$(OBJ_EXT)
LIBSKGXPT_MEMBERS=$(LIBSKGXPT_STATIC)($(RDBMSLIB)skgxpt.$(OBJ_EXT))	\
		$(LIBSKGXPT_STATIC)($(RDBMSLIB)sskgxpt.$(OBJ_EXT))

SKGXP_NAME=skgxp$(RDBMS_VERSION)

DEP_LIBSKGXPD=$(LIBSKGXPD_STATIC)
DEP_LIBSKGXPT=$(LIBSKGXPT_STATIC)
DEP_LIBSKGXPU=$(LIBSKGXPU_STATIC)


SKGXNS_NAME=skgxns
SKGXNS_SRC=skgxns.c
SKGXNS_OBJ=$(RDBMSLIB)skgxns.$(OBJ_EXT)
LIBSKGXNS_MEMBERS=$(LIBSKGXNS_STATIC)($(RDBMSLIB)skgxns.$(OBJ_EXT))

SKGXNR_NAME=skgxnr
SKGXNR_SRC=skgxnr.c
SKGXNR_OBJ=$(RDBMSLIB)skgxnr.$(OBJ_EXT)
LIBSKGXNR_MEMBERS=$(LIBSKGXNR_STATIC)($(RDBMSLIB)skgxnr.$(OBJ_EXT))

SKGXND_NAME=skgxnd
SKGXND_SRC=skgxnd.c
SKGXND_OBJ=$(RDBMSLIB)skgxnd.$(OBJ_EXT)
LIBSKGXND_MEMBERS=$(LIBSKGXND_STATIC)($(RDBMSLIB)skgxnd.$(OBJ_EXT))

SKGXN_NAME=skgxn$(RDBMS_VERSION)

DEP_LIBSKGXNS=$(LIBSKGXNS_STATIC)
DEP_LIBSKGXNR=$(LIBSKGXNR_STATIC)
DEP_LIBSKGXND=$(LIBSKGXND_STATIC)

CONFIG_COMPILE_LINE=$(AS) -P config.s

LLIBODM=$(LDLIBFLAG)odm$(RDBMS_VERSION)
LIBODM=$(RDBMSLIB)$(LIB_PREFIX)odm$(RDBMS_VERSION).$(SO_EXT)
LOC_LIBODM=$(RDBMSLIB)$(LIB_PREFIX)odm$(RDBMS_VERSION).$(LIB_EXT)

LIBMAPSYM=$(ORAMAPLIB)$(LIB_PREFIX)mapsym.$(SO_EXT)
LOC_LIBMAPSYM=$(ORAMAPLIB)$(LIB_PREFIX)mapsym.$(LIB_EXT)

LIBMAPDUMMY=$(ORAMAPLIB)$(LIB_PREFIX)mapdummy.$(SO_EXT)
LOC_LIBMAPDUMMY=$(ORAMAPLIB)$(LIB_PREFIX)mapdummy.$(LIB_EXT)

INCLUDE= $(I_SYM)$(ORACLE_HOME)/rdbms/demo $(I_SYM)$(ORACLE_HOME)/rdbms/public $(I_SYM)$(ORACLE_HOME)/plsql/public $(I_SYM)$(ORACLE_HOME)/network/public
ORALIBPATH=-L$(LIBHOME) -L$(RDBMSLIB)
COB=cob
COBFLAGS=-C IBMCOMP -x
COBGNTFLAGS=-C IBMCOMP -u
PSOLIBLIST=$(ORACLE_HOME)/rdbms/lib/psoliblist
LLIBPSO=`cat $(PSOLIBLIST)`
CLEANPSO=rm -f $(PSOLIBLIST); $(GENPSOLIB)
DOLIB=$(ORACLE_HOME)/lib/liborcaccel.a
DUMSDOLIB=$(ORACLE_HOME)/lib/liborcaccel_stub.a
REALSDOLIB=/usr/lpp/orcaccel/liborcaccel.a
PROC=$(ORACLE_HOME)/bin/proc
PCCINCLUDE= include=$(ORACLE_HOME)/precomp/public
PCCI=$(I_SYM)$(ORACLE_HOME)/precomp/public
USERID=scott/tiger
PCCPLSFLAGS= $(PCCINCLUDE) ireclen=132 oreclen=132 sqlcheck=full \
ltype=none user=$(USERID)
PROLDLIBS= $(LLIBSQL) $(TTLIBS)
OCISHAREDLIBS=$(LLIBCLNTSH) $(LDLIBS) $(LLIBTHREAD)
OCISTATICLIBS=$(LLIBCLNTST) $(LDLIBS) $(LLIBTHREAD)
OCICCCSHAREDLIBS=$(OCISHAREDLIBS)
PCCC2O=$(CC) -c $(INCLUDE) $(PCCI) $*.c
C2O=$(CC) -c $(INCLUDE) $(PCCI) $<
CCC2O=$(CCC) -c $(INCLUDE) $<
MAKECPLPLDEMO= \
	@if [ "$(NONDEFER)" = "true" -o "$(NONDEFER)" = "TRUE" ] ; then \
	$(ECHODO) $(CCC) $(ORALIBPATH) -o $(EXE) $? $(DEF_OFF) $(OCISHAREDLIBS); \
	else \
	$(ECHODO) $(CCC) $(ORALIBPATH) -o $(EXE) $? $(OCISHAREDLIBS); \
	fi
SHARED_OCCILIBS=$(LLIBOCCI) $(OCISHAREDLIBS)
STATIC_OCCILIBS=$(LLIBOCCISTATIC) $(OCISTATICLIBS)
MAKEOCCISHAREDDEMO=$(CCC) $(ORALIBPATH) -o $(EXE) $? $(SHARED_OCCILIBS)
MAKEOCCISTATICDEMO=$(CCC) $(ORALIBPATH) -o $(EXE) $? $(STATIC_OCCILIBS)
MAKECPSHAREDDEMO=$(CC) $(ORALIBPATH) -o $(EXE) $? $(OCISHAREDLIBS)
MAKECPSTATICDEMO=$(CC) $(ORALIBPATH) -o $(EXE) $? $(OCISTATICLIBS)

BUILDEXE=$(CC) $(ORALIBPATH) -o $(EXE) $(OBJS) $(OCISHAREDLIBS)
USRPROCFLAGS=
PROCFLAGS=$(USRPROCFLAGS) $(INCLUDE)
PCC2C=$(PROC) $(PROCFLAGS) iname=$(PCCSRC)
DPTARGET=$(CC) $(ORALIBPATH) -o $(EXE) cdemodp.o $(OBJS) $(OCISHAREDLIBS)
O2STATIC=$(CC) $(ORALIBPATH) -o $(EXE) $(OBJS) $(OCISTATICLIBS)
BUILDLIB_NO_CONTEXT=$(LD) $(SHARED_LDFLAG) $(SHARED_LIBNAME) $(OBJS)
BUILDLIB_WITH_CONTEXT=$(LD) $(SHARED_LDFLAG) $(SHARED_LIBNAME) $(OBJS) $(LIBEXTP) $(OCISHAREDLIBS)
BUILD_USERCALLBACK=$(LD) $(SHARED_LDFLAG) $(LIBHOME)$(SHARED_LIBNAME) $(OBJS) $(OCICALLBACK)
JAVAVM_SHLIB_SOHOME=$(LIBHOME)
KSMS=$(ORACLE_HOME)/rdbms/lib/ksms.o

INSTALL_TARGS=clean ioracle imig idbv itstshm imaxmem iorapwd idbfsize idumpsga\
	imapsga icursize iextproc $(IEXTPROC32) iagtctl ihsalloci ihsots ihsdepxa isbttest\
	ikgmgr iloadpsp idgmgrl $(IHSO) inid 
ORACG_TARGS=iavmurout iavmping iavligmsg iavmumon
ITEST=ioracle imig idbv itstshm imaxmem iorapwd idbfsize icursize \
	iextproc $(IEXTPROC32) ihsalloci ihsots ihsdepxa iosh isbttest iexp iimp isqlldr \
	irman iexpst iimpst isqlldrst ikgmgr iloadpsp idgmgrl $(IHSO) $(ITG4) \
	inid
IUTILITIES=iimp iexp isqlldr itkprof irman ikgmgr iloadpsp
ALL_EXECS=oracle mig dbv tstshm maxmem orapwd dbfsize cursize \
      genoci extproc extproc32 hsalloci hsots hsdepxa dgmgrl dumpsga mapsga \
      osh sbttest imp exp sqlldr rman $(S_HSODBC) $(S_HSOLEFS) $(S_HSOLESQL) \
      $(S_TG4IFMX) $(S_TG4INGR) $(S_TG4MSQL) $(S_TG4RDB) $(S_TG4RMS) \
      $(S_TG4SYBS) $(S_TG4TERA)  avmurout avmping avligmsg avmumon nid
LINKMAKEFILE=$(RDBMSHOME)lib/ins_rdbms.mk

LIBXDBTESTNAME=xdbtest
LOC_LIBXDBTEST=$(RDBMSLIB)$(LIB_PREFIX)$(LIBXDBTESTNAME).$(SO_EXT)

# Entering /project/ia/920/src_020504/rdbms/s_rdbms.mk
RANLIBKNLOPT=
RANLIBORA=
OTHERST=
GENARGS=-n F
LDFLAGS_ORA=
LIBLISTRDBMS=
LLAIO=
LLIBTHREAD=
LLIBPOSIX4=
LLIBKSTAT=
PRINTF=/usr/bin/printf

ORACLE_LINKER=$(ADE_DEL_FILE_CMD) $(PURECMDS) gcc $(OLAPPRELINKOPTS) $(LDFLAGS) $(COMPSOBJS) 

CONFIG_COMPILE_LINE=$(CC) -c config.c

CLUSTERDIR=$(ORACLE_HOME)/oracm
LIBCLUST=$(ORACLE_HOME)/lib/libcmdll.so
LLIBCLUST=-lcmdll

S_HSODBC=
S_HSOLEFS=
S_HSOLESQL=
S_TG4IFMX=
S_TG4INGR=
S_TG4MSQL=
S_TG4RDB=
S_TG4RMS=
S_TG4SYBS=
S_TG4TERA=
IHSO=

HSA_OSDLINK_PREPEND=
HSA_OSDLINK_APPEND=

HSA_TERA_SYSLIBS=

PROD_EXTPROC_OPT=


LIBSKGXPD_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPD_NAME).$(LIB_EXT)
LIBSKGXPU_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPU_NAME).$(LIB_EXT)
LIBSKGXPT_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPT_NAME).$(LIB_EXT)
LIBSKGXP_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXP_NAME).$(LIB_EXT)

$(LIBSKGXPD_STATIC):	$(LIBSKGXPD_MEMBERS)
$(LIBSKGXPU_STATIC):	$(LIBSKGXPU_MEMBERS)
$(LIBSKGXPT_STATIC):	$(LIBSKGXPT_MEMBERS)


LIBSKGXPD=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPD_NAME).$(SO_EXT)
LIBSKGXPU=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPU_NAME).$(SO_EXT)
LIBSKGXPT=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXPT_NAME).$(SO_EXT)

LIBSSKGXP_STATIC=$(LIBSKGXPD_STATIC) $(LIBSKGXPU_STATIC) $(LIBSKGXPT_STATIC)
LIBSSKGXP_SHARED=$(LIBSKGXPD)        $(LIBSKGXPU)        $(LIBSKGXPT)
EXTRALIBS += $(LIBSSKGXP_STATIC)
SHLIBS += $(LIBSKGXP)
LIBS += $(LIBSKGXP_STATIC)

$(LIBSKGXPD):	$(LIBSKGXPD_STATIC)
$(LIBSKGXPU):	$(LIBSKGXPU_STATIC)
$(LIBSKGXPT):	$(LIBSKGXPT_STATIC)

POST_SKGXP_UPDATE=



SKGXP_DEFAULT=ipc_none
SKGXP_RAC_ON=ipc_udp

LIBSKGXNS_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXNS_NAME).$(LIB_EXT)
LIBSKGXND_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXND_NAME).$(LIB_EXT)
LIBSKGXNR_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXNR_NAME).$(LIB_EXT)
LIBSKGXN_STATIC=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXN_NAME).$(LIB_EXT)

$(LIBSKGXNS_STATIC):	$(LIBSKGXNS_MEMBERS)
$(LIBSKGXND_STATIC):	$(LIBSKGXND_MEMBERS)


LIBSKGXNS=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXNS_NAME).$(SO_EXT)
LIBSKGXND=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXND_NAME).$(SO_EXT)
LIBSKGXNR=$(RDBMSLIB)$(LIB_PREFIX)$(SKGXNR_NAME).$(SO_EXT)


LIBSSKGXN_STATIC=$(LIBSKGXNS_STATIC) $(LIBSKGXND_STATIC) $(LIBSKGXNR_STATIC)
LIBSSKGXN_SHARED=$(LIBSKGXNS)        $(LIBSKGXND)        $(LIBSKGXNR)
EXTRALIBS += $(LIBSSKGXN_STATIC)
SHLIBS += $(LIBSKGXNI)
LIBS += $(LIBSKGXN_STATIC)

$(LIBSKGXNS):	$(LIBSKGXNS_STATIC)
$(LIBSKGXND):	$(LIBSKGXND_STATIC)

POST_SKGXN_UPDATE=



SKGXN_DEFAULT=nm_none
SKGXN_RAC_ON=nm_auto


LIBSKGXNI=$(LIBHOME)$(LIB_PREFIX)$(SKGXN_NAME).$(SO_EXT)
LIBSKGXN=$(LIBSKGXNI)

NMWARN=\
echo "Warning: No Cluster or Node Monitor library" ;   \
echo "    Check value of CLUSTERDIR ($(CLUSTERDIR))" ; \
echo "    Linking against dummy cluster library.";

GENNMLIB=$(SILENT)                                     \
  -$(RMF) $(LIBSKGXNI);                                \
  if [ -d "$(CLUSTERDIR)" ]; then  \
   $(ECHODO) $(CP) $(LIBCLUST) $(LIBSKGXN);            \
  else                                                 \
    $(ECHO) " - Use stub SKGXN library";               \
    $(MAKE) -f $(MAKEFILE) nm_none ;                   \
  fi;

AIOON=async_on
AIOOFF=async_off
OBJAIO=$(RDBMSLIB)skgaioi.$(OBJ_EXT)
OBJAIOON=$(RDBMSLIB)skgaio.$(OBJ_EXT)
OBJAIOOFF=$(RDBMSLIB)skgaid.$(OBJ_EXT)

$(AIOOFF): do_$(AIOOFF) ioracle

$(AIOON): do_$(AIOON) ioracle

do_$(AIOON): do_$(AIOOFF) $(ALWAYS)
	$(CP) $(OBJAIOON) $(OBJAIO)

do_$(AIOOFF): $(ALWAYS)
	$(RMF) $(OBJAIO)

ifeq ($(PLATFORM), ia64)
PL_FLAGS=-Wl,-E,-relax `test -f $(OBJAIO) && echo $(OBJAIO)`
else
PL_FLAGS=-Wl,-E `test -f $(OBJAIO) && echo $(OBJAIO)`
endif
PL_ORALIBS=`test -f $(OBJAIO) && $(ECHO) -laio`
LIBSKGXNR=
# Exiting /project/ia/920/src_020504/rdbms/s_rdbms.mk
# Exiting rdbms.mk
# Entering /project/ia/920/src_020504/buildtools/mkfile/libclntsh.mk
$(LIBCLNTSH):	${LIBHOME}libclient9.a	${LIBHOME}libsql9.a \
		${LIBHOME}libntcp9.a	${LIBHOME}libn9.a \
                ${LIBHOME}libnl9.a	${LIBHOME}libnldap9.a \
                ${LIBHOME}libnhost9.a	${LIBHOME}libntns9.a \
                ${LIBHOME}libnoname9.a	${LIBHOME}libnus9.a \
                ${LIBHOME}libntcps9.a  ${LIBHOME}libnro9.a \
	        ${LIBHOME}libnsslb9.a	${LIBHOME}libcommon9.a\
	        ${LIBHOME}libgeneric9.a ${LIBHOME}libmm.a\
	        ${LIBHOME}libnls9.a	${LIBHOME}libcore9.a\
		${LIBHOME}libtrace9.a ${LIBHOME}libwtc9.$(SO_EXT)\
		${RDBMSLIB}xaondy.o
	$(SILENT)$(ECHO) "Building client shared library libclntsh.so ..."
	$(SILENT)$(ECHO) "Call script $$ORACLE_HOME/bin/genclntsh ..."
	$(GENCLNTSH)
	$(SILENT)$(ECHO) "Built $$ORACLE_HOME/${LIBDIR}/libclntsh.so ... DONE"

# Exiting /project/ia/920/src_020504/buildtools/mkfile/libclntsh.mk
