# Entering /project/ia/920/src_020504/rdbms/install/cus_rdbms.mk
include $(ORACLE_HOME)/rdbms/lib/env_rdbms.mk

MAKEFILE=$(RDBMSLIB)ins_rdbms.mk
RDBMSBIN=$(ORACLE_HOME)/rdbms/lib/

OSNTABST= `if [ -f $(ORACLE_HOME)/lib/osntabst.o ]; then \
		echo '$(ORACLE_HOME)/lib/osntabst.o'; \
	   else \
		echo '$(ORACLE_HOME)/network/lib/osntabst.o'; \
	   fi `

PATCHSET_OPT=
patchset_opt:
	if $(ARPRINT) ${LIBKNLOPT} | grep $(PATCHSET_OPT); \
        then \
                echo "$(PATCHSET_OPT) found ${LIBKNLOPT} "; \
                $(ARREPLACE) ${LIBKNLOPT} $(PATCHSET_OPT) ; \
        else \
                echo "$(PATCHSET_OPT) not found ${LIBKNLOPT} "; \
        fi;

ksms.s $(RDBMSLIB)ksms.s:
	$(GENKSMS) > ksms.s

ksms.o $(KSMS): $(RDBMSLIB)ksms.s
	$(SILENT)$(CD) $(RDBMSLIB); \
	$(AS) -o ksms.o ksms.s; \
	$(AR) r $(LIBSERVER) ksms.o

$(CONFIG):
	$(SILENT)$(CD) $(RDBMSLIB); \
	$(CONFIG_COMPILE_LINE); \
	$(AR) r $(LIBSERVER) $(CONFIG)

client_sharedlib:
	$(GENCLNTSH)
	$(GENAGTSH) $(LIBAGTSH) 1.0

default: $(ORACLE)

test: clean $(ITEST)

utilities:	$(IUTILITIES)
  
parropt: rac_on
no_parropt: rac_off

sdopt: sdo_on
no_sdopt: sdo_off

ipc_none:
	-$(RMF) $(LIBSKGXP)
	$(CP) $(LIBHOME)/libskgxpd.$(SKGXP_EXT) $(LIBSKGXP)

ipc_udp:
	-$(RMF) $(LIBSKGXP)
	$(CP) $(LIBHOME)/libskgxpu.$(SKGXP_EXT) $(LIBSKGXP)

ipc_tcp:
	-$(RMF) $(LIBSKGXP)
	$(CP) $(LIBHOME)/libskgxpt.$(SKGXP_EXT) $(LIBSKGXP)

nm_auto:
	$(GENNMLIB)

nm_none:
	-$(RMF) $(LIBSKGXNI)
	$(CP) $(LIBHOME)/libskgxns.$(SKGXN_EXT) $(LIBSKGXNI)

nm_ref:
	-$(RMF) $(LIBSKGXNI)
	$(CP) $(LIBHOME)/libskgxnr.$(SKGXN_EXT) $(LIBSKGXNI)

nm_ext:
	-$(RMF) $(LIBSKGXNI)
	$(CP) $(LIBSKGXN) $(LIBSKGXNI)

ioracle: $(ORACLE)
	-mv -f $(ORACLE_HOME)/bin/oracle $(ORACLE_HOME)/bin/oracleO
	-mv $(ORACLE_HOME)/rdbms/lib/oracle $(ORACLE_HOME)/bin/oracle
	-chmod 6751 $(ORACLE_HOME)/bin/oracle

imig: $(MIG)
	-mv -f $(ORACLE_HOME)/bin/mig $(ORACLE_HOME)/bin/migO
	-mv $(ORACLE_HOME)/rdbms/lib/mig $(ORACLE_HOME)/bin/mig
	-chmod 751 $(ORACLE_HOME)/bin/mig

idbv: $(DBVERIFY)
	-mv -f $(ORACLE_HOME)/bin/dbv $(ORACLE_HOME)/bin/dbvO
	-mv $(ORACLE_HOME)/rdbms/lib/dbv $(ORACLE_HOME)/bin/dbv
	-chmod 751 $(ORACLE_HOME)/bin/dbv

itstshm: $(TSTSHM)
	-mv -f $(ORACLE_HOME)/bin/tstshm $(ORACLE_HOME)/bin/tstshmO
	-mv $(ORACLE_HOME)/rdbms/lib/tstshm $(ORACLE_HOME)/bin/tstshm
	-chmod 751 $(ORACLE_HOME)/bin/tstshm

imaxmem: $(MAXMEM)
	-mv -f $(ORACLE_HOME)/bin/maxmem $(ORACLE_HOME)/bin/maxmemO
	-mv $(ORACLE_HOME)/rdbms/lib/maxmem $(ORACLE_HOME)/bin/maxmem
	-chmod 751 $(ORACLE_HOME)/bin/maxmem

iorapwd: $(ORAPWD)
	-mv -f $(ORACLE_HOME)/bin/orapwd $(ORACLE_HOME)/bin/orapwdO
	-mv $(ORACLE_HOME)/rdbms/lib/orapwd $(ORACLE_HOME)/bin/orapwd
	-chmod 751 $(ORACLE_HOME)/bin/orapwd

idbfsize: $(DBFSIZE)
	-mv -f $(ORACLE_HOME)/bin/dbfsize $(ORACLE_HOME)/bin/dbfsizeO
	-mv $(ORACLE_HOME)/rdbms/lib/dbfsize $(ORACLE_HOME)/bin/dbfsize
	-chmod 751 $(ORACLE_HOME)/bin/dbfsize

icursize: $(CURSIZE)
	-mv -f $(ORACLE_HOME)/bin/cursize $(ORACLE_HOME)/bin/cursizeO
	-mv $(ORACLE_HOME)/rdbms/lib/cursize $(ORACLE_HOME)/bin/cursize
	-chmod 751 $(ORACLE_HOME)/bin/cursize

itdscomp: $(TDSCOMP)
	-mv -f $(ORACLE_HOME)/bin/tdscomp $(ORACLE_HOME)/bin/tdscompO
	-mv $(ORACLE_HOME)/rdbms/lib/tdscomp $(ORACLE_HOME)/bin/tdscomp
	-chmod 751 $(ORACLE_HOME)/bin/tdscomp

iextproc: $(EXTPROC)
	-mv -f $(ORACLE_HOME)/bin/extproc $(ORACLE_HOME)/bin/extprocO
	-mv $(ORACLE_HOME)/rdbms/lib/extproc $(ORACLE_HOME)/bin/extproc
	-chmod 751 $(ORACLE_HOME)/bin/extproc

iextproc32: extproc32
	-mv -f $(ORACLE_HOME)/bin/extproc32 $(ORACLE_HOME)/bin/extproc32O
	-mv $(ORACLE_HOME)/rdbms/lib/extproc32 $(ORACLE_HOME)/bin/extproc32
	-chmod 751 $(ORACLE_HOME)/bin/extproc32

iagtctl: $(AGTCTL)
	-mv -f $(ORACLE_HOME)/bin/agtctl $(ORACLE_HOME)/bin/agtctlO
	-mv $(ORACLE_HOME)/rdbms/lib/agtctl $(ORACLE_HOME)/bin/agtctl
	-chmod 751 $(ORACLE_HOME)/bin/agtctl

ihsalloci: $(HSALLOCI)
	-mv -f $(ORACLE_HOME)/bin/hsalloci $(ORACLE_HOME)/bin/hsallociO
	-mv $(ORACLE_HOME)/rdbms/lib/hsalloci $(ORACLE_HOME)/bin/hsalloci
	-chmod 751 $(ORACLE_HOME)/bin/hsalloci

ihsodbc: $(HSODBC)
	-mv -f $(ORACLE_HOME)/bin/hsodbc $(ORACLE_HOME)/bin/hsodbcO
	-mv $(ORACLE_HOME)/rdbms/lib/hsodbc $(ORACLE_HOME)/bin/hsodbc
	-chmod 751 $(ORACLE_HOME)/bin/hsodbc

ihsots: $(HSOTS)
	-mv -f $(ORACLE_HOME)/bin/hsots $(ORACLE_HOME)/bin/hsotsO
	-mv $(ORACLE_HOME)/rdbms/lib/hsots $(ORACLE_HOME)/bin/hsots
	-chmod 751 $(ORACLE_HOME)/bin/hsots

ihsdepxa: $(HSDEPXA)
	-mv -f $(ORACLE_HOME)/bin/hsdepxa $(ORACLE_HOME)/bin/hsdepxaO
	-mv $(ORACLE_HOME)/rdbms/lib/hsdepxa $(ORACLE_HOME)/bin/hsdepxa
	-chmod 751 $(ORACLE_HOME)/bin/hsdepxa

itg4ifmx: $(TG4IFMX)
	-mv -f $(ORACLE_HOME)/bin/tg4ifmx $(ORACLE_HOME)/bin/tg4ifmxO
	-mv $(ORACLE_HOME)/rdbms/lib/tg4ifmx $(ORACLE_HOME)/bin/tg4ifmx
	-chmod 751 $(ORACLE_HOME)/bin/tg4ifmx

itg4ingr: $(TG4INGR)
	-mv -f $(ORACLE_HOME)/bin/tg4ingr $(ORACLE_HOME)/bin/tg4ingrO
	-mv $(ORACLE_HOME)/rdbms/lib/tg4ingr $(ORACLE_HOME)/bin/tg4ingr
	-chmod 751 $(ORACLE_HOME)/bin/tg4ingr

itg4sybs: $(TG4SYBS)
	-mv -f $(ORACLE_HOME)/bin/tg4sybs $(ORACLE_HOME)/bin/tg4sybsO
	-mv $(ORACLE_HOME)/rdbms/lib/tg4sybs $(ORACLE_HOME)/bin/tg4sybs
	-chmod 751 $(ORACLE_HOME)/bin/tg4sybs

itg4tera: $(TG4TERA)
	-mv -f $(ORACLE_HOME)/bin/tg4tera $(ORACLE_HOME)/bin/tg4teraO
	-mv $(ORACLE_HOME)/rdbms/lib/tg4tera $(ORACLE_HOME)/bin/tg4tera
	-chmod 751 $(ORACLE_HOME)/bin/tg4tera

iarchmon: $(ARCHMON)
	-mv -f $(ORACLE_HOME)/bin/archmon $(ORACLE_HOME)/bin/archmonO
	-mv $(ORACLE_HOME)/rdbms/lib/archmon $(ORACLE_HOME)/bin/archmon
	-chmod 751 $(ORACLE_HOME)/bin/archmon

iosh: $(OSH)
	-mv -f $(ORACLE_HOME)/bin/osh $(ORACLE_HOME)/bin/oshO
	-mv $(ORACLE_HOME)/rdbms/lib/osh $(ORACLE_HOME)/bin/osh
	-chmod 751 $(ORACLE_HOME)/bin/osh

isbttest: $(SBTTEST)
	-mv -f $(ORACLE_HOME)/bin/sbttest $(ORACLE_HOME)/bin/sbttestO
	-mv $(ORACLE_HOME)/rdbms/lib/sbttest $(ORACLE_HOME)/bin/sbttest
	-chmod 751 $(ORACLE_HOME)/bin/sbttest

iexp: $(EXP)
	-mv -f $(ORACLE_HOME)/bin/exp $(ORACLE_HOME)/bin/expO
	-mv $(ORACLE_HOME)/rdbms/lib/exp $(ORACLE_HOME)/bin/exp
	-chmod 751 $(ORACLE_HOME)/bin/exp

iimp: $(IMP)
	-mv -f $(ORACLE_HOME)/bin/imp  $(ORACLE_HOME)/bin/impO
	-mv $(ORACLE_HOME)/rdbms/lib/imp $(ORACLE_HOME)/bin/imp
	-chmod 751 $(ORACLE_HOME)/bin/imp

isqlldr: $(SQLLDR)
	-mv -f $(ORACLE_HOME)/bin/sqlldr $(ORACLE_HOME)/bin/sqlldrO
	-mv $(ORACLE_HOME)/rdbms/lib/sqlldr $(ORACLE_HOME)/bin/sqlldr
	-chmod 751 $(ORACLE_HOME)/bin/sqlldr

itkprof: $(TKPROF)
	-mv -f $(ORACLE_HOME)/bin/tkprof $(ORACLE_HOME)/bin/tkprofO
	-mv $(ORACLE_HOME)/rdbms/lib/tkprof $(ORACLE_HOME)/bin/tkprof
	-chmod 751 $(ORACLE_HOME)/bin/tkprof

irman: $(RMAN)
	-mv -f $(ORACLE_HOME)/bin/rman $(ORACLE_HOME)/bin/rmanO
	-mv $(ORACLE_HOME)/rdbms/lib/rman $(ORACLE_HOME)/bin/rman
	-chmod 751 $(ORACLE_HOME)/bin/rman

idumpsga: $(DUMPSGA)
	-mv -f $(ORACLE_HOME)/bin/dumpsga $(ORACLE_HOME)/bin/dumpsga0
	-mv $(ORACLE_HOME)/rdbms/lib/dumpsga $(ORACLE_HOME)/bin/dumpsga
	-chmod 751 $(ORACLE_HOME)/bin/dumpsga

imapsga: $(MAPSGA)
	-mv -f $(ORACLE_HOME)/bin/mapsga $(ORACLE_HOME)/bin/mapsga0
	-mv $(ORACLE_HOME)/rdbms/lib/mapsga $(ORACLE_HOME)/bin/mapsga
	-chmod 751 $(ORACLE_HOME)/bin/mapsga

iavmurout: $(AVMUROUT)
	-mv -f $(ORACLE_HOME)/pfs/bin/oracle_up/avmurout $(ORACLE_HOME)/pfs/bin/oracle_up/avmuroutO
	-mv $(ORACLE_HOME)/rdbms/lib/avmurout $(ORACLE_HOME)/pfs/bin/oracle_up/avmurout
	-chmod 751 $(ORACLE_HOME)/pfs/bin/oracle_up/avmurout

iavmping: $(AVMPING)
	-mv -f $(ORACLE_HOME)/pfs/bin/oracle_ping/avmping $(ORACLE_HOME)/pfs/bin/oracle_ping/avmpingO
	-mv $(ORACLE_HOME)/rdbms/lib/avmping $(ORACLE_HOME)/pfs/bin/oracle_ping/avmping
	-chmod 751 $(ORACLE_HOME)/pfs/bin/oracle_ping/avmping

iavligmsg: $(AVLIGMSG)
	-mv -f $(ORACLE_HOME)/pfs/lib/pfs_internal/avligmsg $(ORACLE_HOME)/pfs/lib/pfs_internal/avligmsgO
	-mv $(ORACLE_HOME)/rdbms/lib/avligmsg $(ORACLE_HOME)/pfs/lib/pfs_internal/avligmsg
	-chmod 751 $(ORACLE_HOME)/pfs/lib/pfs_internal/avligmsg

iavmumon: $(AVMUMON)
	-mv -f $(ORACLE_HOME)/pfs/bin/oracle_up/avmumon $(ORACLE_HOME)/pfs/bin/oracle_up/avmumonO
	-mv $(ORACLE_HOME)/rdbms/lib/avmumon $(ORACLE_HOME)/pfs/bin/oracle_up/avmumon
	-chmod 751 $(ORACLE_HOME)/pfs/bin/oracle_up/avmumon

ikgmgr: $(KGMGR)
	-mv -f $(ORACLE_HOME)/bin/kgmgr $(ORACLE_HOME)/bin/kgmgrO
	-mv $(ORACLE_HOME)/rdbms/lib/kgmgr $(ORACLE_HOME)/bin/kgmgr
	-chmod 751 $(ORACLE_HOME)/bin/kgmgr

iloadpsp: $(LOADPSP)
	-mv -f $(ORACLE_HOME)/bin/loadpsp $(ORACLE_HOME)/bin/loadpspO
	-mv $(ORACLE_HOME)/rdbms/lib/loadpsp $(ORACLE_HOME)/bin/loadpsp
	-chmod 751 $(ORACLE_HOME)/bin/loadpsp

inid: $(NID)
	-mv -f $(ORACLE_HOME)/bin/nid $(ORACLE_HOME)/bin/nidO
	-mv $(ORACLE_HOME)/rdbms/lib/nid $(ORACLE_HOME)/bin/nid
	-chmod 751 $(ORACLE_HOME)/bin/nid

singletask: iexpst iimpst isqlldrst

iexpst: expst
	-mv -f $(ORACLE_HOME)/bin/expst $(ORACLE_HOME)/bin/expstO
	-mv $(ORACLE_HOME)/rdbms/lib/expst $(ORACLE_HOME)/bin/expst
	-chmod 751 $(ORACLE_HOME)/bin/expst

iimpst: impst
	-mv -f $(ORACLE_HOME)/bin/impst $(ORACLE_HOME)/bin/impstO
	-mv $(ORACLE_HOME)/rdbms/lib/impst $(ORACLE_HOME)/bin/impst
	-chmod 751 $(ORACLE_HOME)/bin/impst

isqlldrst: sqlldrst
	-mv -f $(ORACLE_HOME)/bin/sqlldrst $(ORACLE_HOME)/bin/sqlldrstO
	-mv $(ORACLE_HOME)/rdbms/lib/sqlldrst $(ORACLE_HOME)/bin/sqlldrst
	-chmod 751 $(ORACLE_HOME)/bin/sqlldrst

expst: $(EXPMAI) $(DEF_OPT) $(SSDBED)
	$(SILENT)$(ECHO) " - Linking Singletask Export utility (exp)"
	$(LINK) $(EXPMAI) $(SSDBED) $(DEF_OPT) $(LLIBDBTOOLS) $(LINKSTLIBS)

impst: $(IMPMAI) $(DEF_OPT) $(SSDBED)
	$(SILENT)$(ECHO) " - Linking Singletask Import utility (imp)"
	$(LINK) $(IMPMAI) $(SSDBED) $(DEF_OPT) $(LLIBDBTOOLS) $(LINKSTLIBS)

sqlldrst: $(LDRMAI) $(DEF_OPT) $(SSDBED)
	$(SILENT)$(ECHO) " - Linking Singletask SQL*Loader utility (sqlldr)"
	$(LINK) $(LDRMAI) $(SSDBED) $(DEF_OPT) \
	$(RDBMSLIB)$(LIL_OFF) $(LLIBDBTOOLS) $(LINKSTLIBS)

idgmgrl: $(RFSMGRL)
	-mv -f $(ORACLE_HOME)/bin/dgmgrl $(ORACLE_HOME)/bin/dgmgrlO
	-mv $(ORACLE_HOME)/rdbms/lib/dgmgrl $(ORACLE_HOME)/bin/dgmgrl
	-chmod 751 $(ORACLE_HOME)/bin/dgmgrl

preinstall:
	-chmod 755 $(ORACLE_HOME)/bin

install: preinstall $(INSTALL_TARGS)

ioracg: $(ORACG_TARGS)

clean:
	-rm -f $(ALL_EXECS) $(RDBMSLIB)ksms.s $(RDBMSLIB)ksms.o
# Exiting /project/ia/920/src_020504/rdbms/install/cus_rdbms.mk
# Entering link.mk

rac_on: $(KNLOPT_LOCAL) $(RDBMSLIB)$(RAC_ON) $(SKGXP_RAC_ON) $(SKGXN_RAC_ON)
	$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(RAC_OFF) > /dev/null ; \
  then \
		$(ECHODO) $(ARDELETE) $(LIBKNLOPT) $(RAC_OFF) ; \
	fi
	$(ARCREATE) $(LIBKNLOPT) $(RDBMSLIB)$(RAC_ON) $(RANLIBL)

rac_off:$(KNLOPT_LOCAL) $(RDBMSLIB)$(RAC_OFF) $(SKGXP_DEFAULT) $(SKGXN_DEFAULT)
	$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(RAC_ON) > /dev/null ; \
  then \
		$(ECHODO) $(ARDELETE) $(LIBKNLOPT) $(RAC_ON) ; \
	fi
	$(ARCREATE) $(LIBKNLOPT) $(RDBMSLIB)$(RAC_OFF) $(RANLIBL)

ops_on: rac_on

ops_off:rac_off

sdo_on: $(KNLOPT_LOCAL) $(RDBMSLIB)$(SDO_ON)
	$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(SDO_OFF) > /dev/null ; then \
		$(ECHODO) $(ARDELETE) $(LIBKNLOPT) $(SDO_OFF) ; \
	fi
	$(ARCREATE) $(LIBKNLOPT) $(RDBMSLIB)$(SDO_ON) $(RANLIBL)

lbac_on: $(KNLOPT_LOCAL) $(RDBMSLIB)$(LBAC_ON)
	$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(LBAC_OFF) > /dev/null ; then \
		$(ECHODO) $(ARDELETE) $(LIBKNLOPT) $(LBAC_OFF) ; \
	fi
	$(ARCREATE) $(LIBKNLOPT) $(RDBMSLIB)$(LBAC_ON) $(RANLIBL)

lbac_off: $(KNLOPT_LOCAL) $(RDBMSLIB)$(LBAC_OFF)
	$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(LBAC_ON) > /dev/null ; then \
		$(ECHODO) $(ARDELETE) $(LIBKNLOPT) $(LBAC_ON) ; \
	fi
	$(ARCREATE) $(LIBKNLOPT) $(RDBMSLIB)$(LBAC_OFF) $(RANLIBL)

sdo_off: sdo_warn sdo_on
sdo_warn:
	$(SILENT)$(ECHO) Warning: sdo is always turned on. sdo_off is disabled.

ctx_on:	$(KNLOPT_LOCAL) $(RDBMSLIB)$(CTX_ON)
	$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(CTX_OFF) > /dev/null ; then \
		$(ECHODO) $(ARDELETE) $(LIBKNLOPT) $(CTX_OFF) ; \
	fi
	$(ARCREATE) $(LIBKNLOPT) $(RDBMSLIB)$(CTX_ON) $(RANLIBL)

ctx_off:
	$(SILENT)$(ECHO) Warning: ctx is always turned on. ctx_off is disabled.

olap_on:	$(KNLOPT_LOCAL) $(RDBMSLIB)$(OLAP_ON)
	$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(OLAP_OFF) > /dev/null ; then \
		$(ECHODO) $(ARDELETE) $(LIBKNLOPT) $(OLAP_OFF) ; \
	fi
	$(ARCREATE) $(LIBKNLOPT) $(RDBMSLIB)$(OLAP_ON) $(RANLIBL)

olap_off: $(KNLOPT_LOCAL) $(RDBMSLIB)$(OLAP_OFF)
	$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(OLAP_ON) > /dev/null ; then \
		$(ECHODO) $(ARDELETE) $(LIBKNLOPT) $(OLAP_ON) ; \
	fi
	$(ARCREATE) $(LIBKNLOPT) $(RDBMSLIB)$(OLAP_OFF) $(RANLIBL)	

part_on: $(KNLOPT_LOCAL) $(RDBMSLIB)$(PART_ON)
	$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(PART_OFF) > /dev/null ; then \
		$(ECHODO) $(ARDELETE) $(LIBKNLOPT) $(PART_OFF) ; \
	fi
	$(ARCREATE) $(LIBKNLOPT) $(RDBMSLIB)$(PART_ON) $(RANLIBL)

part_off: $(KNLOPT_LOCAL) $(RDBMSLIB)$(PART_OFF)
	$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(PART_ON) > /dev/null ; then \
		$(ECHODO) $(ARDELETE) $(LIBKNLOPT) $(PART_ON) ; \
	fi
	$(ARCREATE) $(LIBKNLOPT) $(RDBMSLIB)$(PART_OFF) $(RANLIBL)

dm_on:	$(KNLOPT_LOCAL) $(RDBMSLIB)$(DM_ON)
	$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(DM_OFF) > /dev/null ; then \
		$(ECHODO) $(ARDELETE) $(LIBKNLOPT) $(DM_OFF) ; \
	fi
	$(ARCREATE) $(LIBKNLOPT) $(RDBMSLIB)$(DM_ON) $(RANLIBL)

dm_off: $(KNLOPT_LOCAL) $(RDBMSLIB)$(DM_OFF)
	$(SILENT)if $(ARPRINT) $(LIBKNLOPT) | $(GREP) '^'$(DM_ON) > /dev/null ; then \
		$(ECHODO) $(ARDELETE) $(LIBKNLOPT) $(DM_ON) ; \
	fi
	$(ARCREATE) $(LIBKNLOPT) $(RDBMSLIB)$(DM_OFF) $(RANLIBL)	


def_on $(DEF_OPT): $(DEF_ON)
	$(SILENT)$(ECHO) "Using deferred protocol.."
	$(SILENT)$(RMF) $(DEF_OPT)
	$(SILENT)$(CP) $(DEF_ON) $(DEF_OPT)	

def_off: $(DEF_OFF)
	$(SILENT)$(ECHO) "Using non-deferred protocol.."
	$(SILENT)$(RMF) $(DEF_OPT)
	$(SILENT)$(CP) $(DEF_OFF) $(DEF_OPT)


$(ORACLE): $(ALWAYS) $(ORACLE_DEPS) $(DEF_OPT) $(INS_CONFIG)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking Oracle "
	$(RMF) $@
	$(ORACLE_LINKLINE)

$(IMP) : $(ALWAYS) $(IMP_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking Import utility (imp)"
	$(RMF) $@
	$(IMP_LINKLINE)

$(EXP) : $(ALWAYS) $(EXP_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking Export utility (exp)"
	$(RMF) $@
	$(EXP_LINKLINE)

$(SQLLDR) : $(ALWAYS) $(SQLLDR_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking SQL*Loader utility (sqlldr)"
	$(RMF) $@
	$(LDR_LINKLINE)

$(SQLLDR_LIL) : $(ALWAYS) $(SQLLIL_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking SQL*Loader utility (sqlldr)"
	$(RMF) $@
	$(LIL_LINKLINE)

$(MIG) : $(ALWAYS) $(MIG_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) "Linking Migration utility (mig)"
	$(RMF) $@
	$(MIG_LINKLINE)

$(DBVERIFY) : $(ALWAYS) $(DBVERIFY_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking DB*Verify utility (dbv)"
	$(RMF) $@
	$(DBV_LINKLINE)

$(TSTSHM) : $(ALWAYS) $(TSTSHM_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking shared memory test utility (tstshm)"
	$(RMF) $@
	$(TSTSHM_LINKLINE)

$(MAXMEM) : $(ALWAYS) $(MAXMEM_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking max memory test utility (maxmem)"
	$(RMF) $@
	$(MAXMEM_LINKLINE)

$(ORAPWD) : $(ALWAYS) $(ORAPWD_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking password utility (orapwd)"
	$(RMF) $@
	$(ORAPWD_LINKLINE)

$(TKPROF) : $(ALWAYS) $(TKPROF_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking performance trace utility (tkprof)"
	$(RMF) $@
	$(TKPROF_LINKLINE)

$(DBFSIZE) : $(ALWAYS) $(DBFSIZE_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking database file size utility (dbfsize)"
	$(RMF) $@
	$(DBFSIZE_LINKLINE)

$(CURSIZE) : $(ALWAYS) $(CURSIZE_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking cursor size utility (cursize)"
	$(RMF) $@
	$(CURSIZE_LINKLINE)

$(RMAN) : $(ALWAYS) $(RMAN_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking recovery manager (rman)"
	$(RMF) $@
	$(RMAN_LINKLINE)


$(TDSCOMP) : $(ALWAYS) $(TDSCOMP_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking TDS compiler (tdscomp)"
	$(RMF) $@
	$(TDSCOMP_LINKLINE)

$(EXTPROC): $(ALWAYS) $(EXTPROC_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) "Linking external procedure agent ($@)"
	$(RMF) $@
	$(EXTPROC_LINKLINE)

extproc32:
	$(MAKE) -f $(LINKMAKEFILE) $(EXTPROC32) EXTPROC=$(EXTPROC32) $(REDEFINES32)

$(AGTCTL): $(ALWAYS) $(AGTCTL_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking Agent Control Utility"
	$(RMF) $@
	$(AGTCTL_LINKLINE)

$(HSALLOCI): $(ALWAYS) $(HSALLOCI_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking HS ORACLE/OCI agent"
	$(RMF) $@
	$(HSALLOCI_LINKLINE)

$(HSDEPXA) : $(ALWAYS) $(HSDEPXA_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking HS Distributed External Procedure agent"
	$(RMF) $@
	$(HSDEPXA_LINKLINE)

$(HSOTS) : $(ALWAYS) $(HSOTS_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking HS OTS agent"
	$(RMF) $@
	$(HSOTS_LINKLINE)

$(HSODBC) : $(ALWAYS) $(HSODBC_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking hsodbc agent"
	$(RMF) $@
	$(HSODBC_LINKLINE)

$(HSOLEFS) : $(ALWAYS) $(HSOLEFS_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking hsolefs agent"
	$(RMF) $@
	$(HSOLEFS_LINKLINE)

$(HSOLESQL) : $(ALWAYS) $(HSOLESQL_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking hsolesql agent"
	$(RMF) $@
	$(HSOLESQL_LINKLINE)

$(TG4IFMX) : $(ALWAYS) $(TG4IFMX_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking tg4ifmx (Informix) agent"
	$(RMF) $@
	$(TG4IFMX_LINKLINE)

$(TG4INGR) : $(ALWAYS) $(TG4INGR_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking tg4ingr (Ingres) agent"
	$(RMF) $@
	$(TG4INGR_LINKLINE)

$(TG4MSQL) : $(ALWAYS) $(TG4MSQL_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking tg4msql (Microsoft SQL Server) agent"
	$(RMF) $@
	$(TG4MSQL_LINKLINE)

$(TG4RDB) : $(ALWAYS) $(TG4RDB_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking tg4rdb (RDB) agent"
	$(RMF) $@
	$(TG4RDB_LINKLINE)

$(TG4RMS) : $(ALWAYS) $(TG4RMS_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking tg4rms (RMS) agent"
	$(RMF) $@
	$(TG4RMS_LINKLINE)

$(TG4SYBS) : $(ALWAYS) $(TG4SYBS_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking tg4sybs (Sybase) agent"
	$(RMF) $@
	$(TG4SYBS_LINKLINE)

$(TG4TERA) : $(ALWAYS) $(TG4TERA_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking tg4tera (Teradata) agent"
	$(RMF) $@
	$(TG4TERA_LINKLINE)

$(ARCHMON) : $(ALWAYS) $(ARCHMON_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking archmon utility (archmon)"
	$(RMF) $@
	$(ARCHMON_LINKLINE)

$(OSH) : $(ALWAYS) $(OSH_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking osh utility (osh)"	
	$(RMF) $@
	$(OSH_LINKLINE)

$(BBED): $(ALWAYS) $(BBED_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) "Linking BBED utility (bbed)"
	$(RMF) $@
	$(BBED_LINKLINE)

$(SBTTEST): $(ALWAYS) $(SBTTEST_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) "Linking SBTTEST utility (sbttest)"
	$(RMF) $@
	$(SBTTEST_LINKLINE)

$(KGMGR): $(ALWAYS) $(KGMGR_DEPS) $(DEF_OPT)
	$(SILENT)$(RMF) $@
	$(SILENT)$(ECHO) "Linking KGMGR (kgmgr)"
	$(KGMGR_LINKLINE)

$(LOADPSP): $(ALWAYS) $(LOADPSP_DEPS)
	$(SILENT)$(RMF) $@
	$(SILENT)$(ECHO) " - Linking PSP Loader utility (loadpsp)"
	$(LOADPSP_LINKLINE)

$(RFSMGRL): $(ALWAYS) $(RFSMGRL_DEPS) $(DEF_OPT)
	$(SILENT)$(RMF) $@
	$(SILENT)$(ECHO) " - Linking Recovery Framework utility (DRSMGRL)"
	$(RFSMGRL_LINKLINE)
$(AVMUROUT) : $(ALWAYS) $(AVMUROUT_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking Avmurout utility (avmurout)"
	$(RMF) $@
	$(AVMUROUT_LINKLINE)
$(AVMPING) : $(ALWAYS) $(AVMPING_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking Avmping utility (avmping)"
	$(RMF) $@
	$(AVMPING_LINKLINE)
$(AVLIGMSG) : $(ALWAYS) $(AVLIGMSG_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking Avligmsg utility (avligmsg)"
	$(RMF) $@
	$(AVLIGMSG_LINKLINE)
$(AVMUMON) : $(ALWAYS) $(AVMUMON_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking Avmumon utility (avmumon)"
	$(RMF) $@
	$(AVMUMON_LINKLINE)

$(NID) : $(ALWAYS) $(NID_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking DB*Newid utility (nid)"
	$(RMF) $@
	$(NID_LINKLINE)

$(KFED): $(ALWAYS) $(KFED_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) "Linking KFED utility (kfed)"
	$(RMF) $@
	$(KFED_LINKLINE)

$(DUMPSGA) : $(ALWAYS) $(DUMPSGA_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking SGA Dump Utility (dumpsga)"
	$(RMF) $@
	$(MAYBE_ARX_KSMS)
	$(DUMPSGA_LINKLINE)

$(MAPSGA) : $(ALWAYS) $(MAPSGA_DEPS) $(DEF_OPT)
	$(SILENT)$(ECHO)
	$(SILENT)$(ECHO) " - Linking SGA Dump Utility (mapsga)"
	$(RMF) $@
	$(MAYBE_ARX_KSMS)
	$(MAPSGA_LINKLINE)

# Exiting link.mk
# Entering s_link.mk

# Exiting s_link.mk
